(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    645494,      18169]
NotebookOptionsPosition[    623004,      17420]
NotebookOutlinePosition[    623612,      17443]
CellTagsIndexPosition[    623569,      17440]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Feynmann diagrams up to 2PN", "Subtitle",
 CellChangeTimes->{{3.467192521992034*^9, 3.467192542350894*^9}, {
  3.514716969261669*^9, 3.514717007143207*^9}, {3.514798009216948*^9, 
  3.514798009626399*^9}, {3.645516055479045*^9, 3.645516057989607*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "Run", " ", "this", " ", "only", " ", "the", " ", "first", " ", "time", " ",
    "to", " ", "install", " ", "the", " ", "package"}], "*)"}]], "Input",
 CellChangeTimes->{{3.647707307717144*^9, 3.647707316583928*^9}}],

Cell[BoxData[
 RowBox[{"Import", "[", "\"\<http://www.feyncalc.org/install.m\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.647707236318056*^9, 3.6477072573178463`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "In", " ", "order", " ", "to", " ", "run", " ", "the", " ", "notebook", 
    " ", "correctly"}], ",", " ", 
   RowBox[{
   "you", " ", "should", " ", "also", " ", "download", " ", "the", " ", 
    "data", " ", "files", " ", "graphs_", "4", "PN", " ", "potential_PN012", 
    "_", "012", "PN"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.647775712914819*^9, 3.647775754426111*^9}}],

Cell[CellGroupData[{

Cell["Inputs", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.6388729808785143`*^9}, {3.6454308066503572`*^9, 
   3.645430809897236*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "HighEnergyPhysics`fc`"}]], "Input",
 CellChangeTimes->{3.485064062846225*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"Set", "::", "\<\"wrsym\"\>"}], 
   RowBox[{
   ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Symbol \\\\\\\"\\\", \\\"MT\
\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(TraditionalForm\\`MonomialList\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" is \
Protected.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/wrsym\\\", \
ButtonNote -> \\\"Set::wrsym\\\"]\\)\"\>"}], TraditionalForm]], "Message", \
"MSG",
 CellChangeTimes->{3.647624498211125*^9, 3.647636856183373*^9, 
  3.647683985458774*^9, 3.647698049165339*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"DumpGet", "::", "\<\"bgbf\"\>"}], 
   RowBox[{
   ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"File \\\\\\\"\\\", \\\"MT\\\
\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(TraditionalForm\\`\\\"/Users/stefano/\
Library/Mathematica/Applications/HighEnergyPhysics/Tarcer/tarcer25.mx\\\"\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" cannot be loaded, it \
is corrupted or is written on a different machine.\\\\\\\"\\\", \
\\\"MT\\\"]\\) \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/DumpGet/bgbf\\\", ButtonNote -> \
\\\"DumpGet::bgbf\\\"]\\)\"\>"}], TraditionalForm]], "Message", "MSG",
 CellChangeTimes->{3.647624498211125*^9, 3.647636856183373*^9, 
  3.647683985458774*^9, 3.647698049214641*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"MTd", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"MetricTensor", "[", 
    RowBox[{"i", ",", "j", ",", 
     RowBox[{"Dimension", "\[Rule]", "d"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TVd", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"FourVector", "[", 
    RowBox[{"i", ",", "j", ",", 
     RowBox[{"Dimension", "\[Rule]", "d"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ID", "[", 
    RowBox[{"i1_", ",", "i2_", ",", "j1_", ",", "j2_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"MTd", "[", 
        RowBox[{"i1", ",", "j1"}], "]"}], 
       RowBox[{"MTd", "[", 
        RowBox[{"i2", ",", "j2"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"MTd", "[", 
        RowBox[{"i1", ",", "j2"}], "]"}], 
       RowBox[{"MTd", "[", 
        RowBox[{"i2", ",", "j1"}], "]"}]}]}], ")"}], "/", "2"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.467192645462967*^9, 3.467192649032103*^9}, {
   3.467192689758513*^9, 3.4671927736642637`*^9}, {3.467194354645204*^9, 
   3.467194365029756*^9}, {3.467197519800107*^9, 3.4671975796345367`*^9}, {
   3.467282703703877*^9, 3.467282773076432*^9}, {3.4681299101435423`*^9, 
   3.468129910655909*^9}, {3.4681364029180317`*^9, 3.4681364520050297`*^9}, {
   3.479019828589787*^9, 3.47901983179027*^9}, {3.479024851443131*^9, 
   3.4790248615745697`*^9}, {3.479636060064157*^9, 3.479636061259688*^9}, {
   3.479636145630856*^9, 3.47963618064861*^9}, {3.479636270511072*^9, 
   3.479636277747635*^9}, {3.4796363382104607`*^9, 3.4796363482705317`*^9}, {
   3.47970743029885*^9, 3.4797074316284227`*^9}, {3.479707699396138*^9, 
   3.4797077005479727`*^9}, {3.4797163367978497`*^9, 3.479716338065722*^9}, {
   3.480054380231092*^9, 3.4800543815085993`*^9}, {3.480055611637562*^9, 
   3.480055613020526*^9}, {3.48136963199918*^9, 3.4813696336486053`*^9}, {
   3.4813697861421843`*^9, 3.481369787244495*^9}, {3.4813698876713257`*^9, 
   3.4813698890306396`*^9}, 3.485064062861247*^9, {3.490332439713676*^9, 
   3.490332441125791*^9}, {3.492507269060416*^9, 3.492507301172624*^9}, {
   3.6388713091192713`*^9, 3.638871329583127*^9}, {3.638871785752501*^9, 
   3.638871796833372*^9}, {3.638872310148073*^9, 3.638872332066086*^9}, {
   3.63894402945074*^9, 3.638944029492942*^9}, {3.639375926928565*^9, 
   3.639375945143664*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "change", " ", "eventually", " ", "the", " ", "path", " ", "of", " ", "the",
    " ", "files"}], "*)"}]], "Input",
 CellChangeTimes->{{3.647707284878495*^9, 3.647707291981501*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"getallgra", "=", 
   RowBox[{"OpenRead", "[", "\"\<graphs_4PN.dat\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Gvgra", "=", 
   RowBox[{"Read", "[", "getallgra", "]"}]}], ";", 
  RowBox[{"Close", "[", "getallgra", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.642220299150712*^9, 3.642220299885188*^9}, {
  3.647707277310329*^9, 3.647707279021175*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"getcheck", "=", 
   RowBox[{"OpenRead", "[", "\"\<potential_PN012_012PN.dat\>\"", "]"}]}], ";", 
  RowBox[{"check", "=", 
   RowBox[{"Read", "[", "getcheck", "]"}]}], ";", 
  RowBox[{"Close", "[", "getcheck", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chk", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Expand", "[", "check", "]"}], "/.", 
      RowBox[{"a1a2PNone", "\[Rule]", "0"}]}], "/.", 
     RowBox[{"ra1ra2PNone", "\[Rule]", "0"}]}], "/.", 
    RowBox[{
     RowBox[{"Dot", "[", 
      RowBox[{"a_", ",", "b_"}], "]"}], "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Contract", "[", 
        RowBox[{
         RowBox[{"TVd", "[", 
          RowBox[{"a", ",", "\[Mu]"}], "]"}], 
         RowBox[{"TVd", "[", 
          RowBox[{"b", ",", "\[Mu]"}], "]"}]}], "]"}], "/.", 
       RowBox[{"d", "\[Rule]", "3"}]}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6422203197770033`*^9, 3.642220334864853*^9}, 
   3.645435657637927*^9, {3.645437428804431*^9, 3.645437465181994*^9}, {
   3.645441525873041*^9, 3.6454415367832737`*^9}, {3.647707282106333*^9, 
   3.6477072829221153`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diagrams", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.6388729808785143`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"G1v0", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";", 
  RowBox[{"G1v2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "6", "]"}], "]"}]}], ";", 
  RowBox[{"G1v2i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "7", "]"}], "]"}]}], ";", 
  RowBox[{"G1v2i2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "8", "]"}], "]"}]}], ";", 
  RowBox[{"G1v2i3", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "9", "]"}], "]"}]}], ";", 
  RowBox[{"G1v4", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "10", "]"}], "]"}]}], ";", 
  RowBox[{"G1v4i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "11", "]"}], "]"}]}], ";", 
  RowBox[{"G1v4i2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "12", "]"}], "]"}]}], ";", 
  RowBox[{"G2v0", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "13", "]"}], "]"}]}], ";", 
  RowBox[{"G2v0i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "14", "]"}], "]"}]}], ";", 
  RowBox[{"G2v0i2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "15", "]"}], "]"}]}], ";", 
  RowBox[{"G2v0i3", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "16", "]"}], "]"}]}], ";", 
  RowBox[{"G2v2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "17", "]"}], "]"}]}], ";", 
  RowBox[{"G2v2i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "18", "]"}], "]"}]}], ";", 
  RowBox[{"G2v2i2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "19", "]"}], "]"}]}], ";", 
  RowBox[{"G2v4", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "20", "]"}], "]"}]}], ";", 
  RowBox[{"G2v4i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "21", "]"}], "]"}]}], ";", 
  RowBox[{"G2v6", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "22", "]"}], "]"}]}], ";", 
  RowBox[{"G3v0", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "23", "]"}], "]"}]}], ";", 
  RowBox[{"G3v0i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "24", "]"}], "]"}]}], ";", 
  RowBox[{"G3v0i2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "25", "]"}], "]"}]}], ";", 
  RowBox[{"G3v2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "26", "]"}], "]"}]}], ";", 
  RowBox[{"G3v2i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "27", "]"}], "]"}]}], ";", 
  RowBox[{"G3v4", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "28", "]"}], "]"}]}], ";", 
  RowBox[{"G4v0", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "29", "]"}], "]"}]}], ";", 
  RowBox[{"G4v0i1", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "30", "]"}], "]"}]}], ";", 
  RowBox[{"G4v2", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "31", "]"}], "]"}]}], ";", 
  RowBox[{"G5v0", "=", 
   RowBox[{"Gvgra", "[", 
    RowBox[{"[", "32", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.471760403340241*^9, 3.47176044338017*^9}, 
   3.471761560665497*^9, {3.473487146696293*^9, 3.473487154623066*^9}, {
   3.4754916614400167`*^9, 3.475491662415546*^9}, {3.482556924859806*^9, 
   3.4825569524135513`*^9}, {3.483181018273438*^9, 3.48318102954056*^9}, 
   3.485064062887207*^9, 3.638873162391532*^9, {3.642220200583324*^9, 
   3.642220204999761*^9}, {3.642220270331101*^9, 3.642220275964397*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"leggi", "=", 
    RowBox[{
    "OpenRead", "[", "\"\<4PN/potential_PN012_012PN_raw.dat\>\"", "]"}]}], 
   ";", 
   RowBox[{"newpots", "=", 
    RowBox[{"Read", "[", "leggi", "]"}]}], ";", 
   RowBox[{"Close", "[", "leggi", "]"}], ";", "\[IndentingNewLine]", 
   RowBox[{"PN012", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "G1v0", ",", "G1v2", ",", "G1v4", ",", "G2v0", ",", "G2v2", ",", 
        "G3v0"}], "}"}], ",", "1"}], "]"}]}], ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.526094017588381*^9, 3.526094031693516*^9}, {
   3.52618269173218*^9, 3.5261826924998827`*^9}, {3.5261828720234547`*^9, 
   3.526182879901545*^9}, {3.526191166658063*^9, 3.526191176730686*^9}, {
   3.526191791618431*^9, 3.5261917924098797`*^9}, {3.52619761501443*^9, 
   3.526197617052353*^9}, {3.5261977551817636`*^9, 3.526197755299963*^9}, {
   3.526198778154833*^9, 3.526198804610742*^9}, {3.526198849260962*^9, 
   3.526198850411151*^9}, {3.5262052784666433`*^9, 3.5262052789926767`*^9}, {
   3.5263544883637953`*^9, 3.526354492100173*^9}, {3.5263584257890882`*^9, 
   3.526358426140346*^9}, {3.526368892266779*^9, 3.526368893796339*^9}, {
   3.526398003798951*^9, 3.526398007366539*^9}, {3.526398133193067*^9, 
   3.526398133856597*^9}, {3.526405641344652*^9, 3.526405643432515*^9}, {
   3.526406970832749*^9, 3.526406972043008*^9}, {3.5264849387874193`*^9, 
   3.526484938849393*^9}, {3.526620009937112*^9, 3.526620032809161*^9}, {
   3.526622897358965*^9, 3.5266229038684263`*^9}, {3.526656159789501*^9, 
   3.5266561645412483`*^9}, {3.5266571358542013`*^9, 
   3.5266571359198713`*^9}, {3.526668455602242*^9, 3.526668461601542*^9}, {
   3.526712553455104*^9, 3.526712559742413*^9}, {3.526712628285375*^9, 
   3.526712628360647*^9}, {3.52673335488232*^9, 3.5267333579265842`*^9}, {
   3.52673350580031*^9, 3.526733506183804*^9}, {3.526738402323264*^9, 
   3.52673840387676*^9}, {3.526739918492609*^9, 3.526739919787716*^9}, {
   3.526960239199181*^9, 3.526960240358553*^9}, 3.527479562220627*^9, {
   3.5275953402046432`*^9, 3.527595349263266*^9}, {3.5275956147288237`*^9, 
   3.5275956155446043`*^9}, {3.527913189084402*^9, 3.5279131899547167`*^9}, {
   3.528025763248582*^9, 3.5280257702088737`*^9}, {3.528082941954864*^9, 
   3.528082943098585*^9}, {3.528083022964321*^9, 3.5280830230275917`*^9}, {
   3.528435068780593*^9, 3.5284350688627863`*^9}, {3.5292220934717903`*^9, 
   3.529222093526904*^9}, {3.529641281157833*^9, 3.52964128210188*^9}, {
   3.529815192198193*^9, 3.529815192257975*^9}, {3.529844737228483*^9, 
   3.529844737643465*^9}, {3.529918817459865*^9, 3.529918817503359*^9}, {
   3.530012718565343*^9, 3.530012718604184*^9}, {3.5300128731792994`*^9, 
   3.530012874539435*^9}, {3.5302612903914957`*^9, 3.53026131572125*^9}, {
   3.530274703961779*^9, 3.530274705465819*^9}, {3.5304233812625303`*^9, 
   3.530423383502797*^9}, {3.530504870501543*^9, 3.5305048713657217`*^9}, {
   3.53052262283844*^9, 3.530522622886981*^9}, {3.530525841685472*^9, 
   3.530525841723435*^9}, {3.530608102739386*^9, 3.530608102801749*^9}, {
   3.5306081479148693`*^9, 3.530608149171332*^9}, {3.530608703573406*^9, 
   3.5306087046295958`*^9}, {3.5308533866029997`*^9, 3.530853386657819*^9}, {
   3.530869522613349*^9, 3.530869522672377*^9}, {3.531027562583849*^9, 
   3.5310275741850567`*^9}, {3.531050868129059*^9, 3.531050869537216*^9}, {
   3.53111266150184*^9, 3.531112662581208*^9}, {3.5311382813849487`*^9, 
   3.531138282921197*^9}, {3.531198291104994*^9, 3.531198292241467*^9}, {
   3.531223196291032*^9, 3.53122319760292*^9}, {3.532082866967765*^9, 
   3.532082900434754*^9}, {3.532239962162373*^9, 3.532239962222123*^9}, {
   3.5322423369060907`*^9, 3.532242336964809*^9}, {3.532244245006667*^9, 
   3.532244245078464*^9}, {3.532247985419722*^9, 3.532247985458494*^9}, {
   3.532329972199565*^9, 3.532329972247428*^9}, {3.532409829746962*^9, 
   3.5324098370924797`*^9}, {3.532414625070098*^9, 3.5324146259828377`*^9}, {
   3.5324241819802427`*^9, 3.532424184301311*^9}, {3.5324245895027227`*^9, 
   3.532424592775979*^9}, {3.532429253565959*^9, 3.532429254699464*^9}, {
   3.5326653761936827`*^9, 3.5326653847334127`*^9}, {3.532665422344166*^9, 
   3.532665427836802*^9}, {3.532693506950899*^9, 3.5326935211590853`*^9}, {
   3.532693564928281*^9, 3.532693566511651*^9}, {3.532855528750132*^9, 
   3.532855528816997*^9}, {3.532859957792926*^9, 3.532859957837431*^9}, {
   3.532866200069984*^9, 3.53286620010841*^9}, {3.532934292184391*^9, 
   3.532934292399865*^9}, {3.533033766325301*^9, 3.5330337672367153`*^9}, {
   3.533538334938034*^9, 3.5335383349780207`*^9}, {3.53354016611425*^9, 
   3.5335401661633387`*^9}, {3.533544594222273*^9, 3.533544594277526*^9}, {
   3.533620201749207*^9, 3.533620203304058*^9}, {3.5336240578683853`*^9, 
   3.533624058836179*^9}, {3.533641518507811*^9, 3.533641518555146*^9}, {
   3.53364439565303*^9, 3.5336443956927853`*^9}, {3.534063734983371*^9, 
   3.534063735036777*^9}, {3.53406697006147*^9, 3.534066970109042*^9}, {
   3.534067484756381*^9, 3.534067484836316*^9}, {3.534072143879204*^9, 
   3.534072143944284*^9}, {3.534485564900606*^9, 3.534485565388349*^9}, {
   3.53450740910781*^9, 3.534507409159371*^9}, {3.534508986545362*^9, 
   3.534508986660993*^9}, {3.5346622850736303`*^9, 3.5346622851342497`*^9}, {
   3.534667651235552*^9, 3.5346676512922487`*^9}, {3.534670810232459*^9, 
   3.534670810288228*^9}, {3.5346825774648323`*^9, 3.534682578920475*^9}, {
   3.534765521147566*^9, 3.534765521208321*^9}, {3.5352775053543*^9, 
   3.53527750540696*^9}, {3.535282399414283*^9, 3.5352824001315937`*^9}, {
   3.535287137254315*^9, 3.535287137309435*^9}, {3.535360267010043*^9, 
   3.535360268041809*^9}, {3.535440937212693*^9, 3.535440942540604*^9}, {
   3.535441593157894*^9, 3.535441593916568*^9}, {3.5354416673499327`*^9, 
   3.5354416702535152`*^9}, {3.535442136515718*^9, 3.535442140922855*^9}, {
   3.535442553912673*^9, 3.535442554720274*^9}, {3.535442609881118*^9, 
   3.5354426136888447`*^9}, {3.535951375231454*^9, 3.535951376800611*^9}, {
   3.535951493048566*^9, 3.5359514931045313`*^9}, {3.535955183405036*^9, 
   3.535955184602932*^9}, {3.535955919944091*^9, 3.535955920813607*^9}, {
   3.536401991758181*^9, 3.536401993165493*^9}, {3.536403057877038*^9, 
   3.536403057935649*^9}, {3.5369041547029943`*^9, 3.536904154758047*^9}, {
   3.536924843005535*^9, 3.5369248449735947`*^9}, {3.5369251287534857`*^9, 
   3.5369251337534323`*^9}, {3.5369928332417307`*^9, 3.53699283431546*^9}, {
   3.537000561025283*^9, 3.537000561080183*^9}, {3.53707800132442*^9, 
   3.537078025046192*^9}, {3.538460231545973*^9, 3.538460231635933*^9}, {
   3.538460681167151*^9, 3.5384606841185827`*^9}, {3.538460741175537*^9, 
   3.538460742207162*^9}, {3.538460789912305*^9, 3.538460817960587*^9}, {
   3.5384609273383503`*^9, 3.538460929793947*^9}, {3.538460969811821*^9, 
   3.538460975682576*^9}, {3.5384610239631*^9, 3.53846102470686*^9}, {
   3.538463894505227*^9, 3.538463907097186*^9}, {3.538974996996153*^9, 
   3.5389749970305653`*^9}, {3.53897511493491*^9, 3.538975116365573*^9}, {
   3.5396689358547688`*^9, 3.53966895316765*^9}, {3.539669137174596*^9, 
   3.539669137226139*^9}, {3.539675459123831*^9, 3.539675459171652*^9}, {
   3.5407107937894783`*^9, 3.5407108118272*^9}, {3.5407169187436743`*^9, 
   3.540716918800976*^9}, {3.540720145811441*^9, 3.540720145925173*^9}, 
   3.542602343622588*^9, 3.545638336243799*^9, {3.546750465538436*^9, 
   3.546750466953774*^9}, {3.546751028532393*^9, 3.5467510538798923`*^9}, {
   3.546751624609928*^9, 3.546751647324339*^9}, {3.546854413409088*^9, 
   3.546854421534625*^9}, {3.546859295691559*^9, 3.5468593047793427`*^9}, {
   3.546859393472035*^9, 3.546859402857462*^9}, {3.5469462339461927`*^9, 
   3.546946239632914*^9}, {3.547276339821588*^9, 3.547276388468185*^9}, {
   3.547277357197185*^9, 3.547277358022094*^9}, {3.5480424044769287`*^9, 
   3.54804240452701*^9}, {3.5480462322910137`*^9, 3.548046237017755*^9}, {
   3.54804675016315*^9, 3.548046751358156*^9}, {3.5480479231704617`*^9, 
   3.5480479242675457`*^9}, {3.5480672974502707`*^9, 
   3.5480673020983963`*^9}, {3.548397155525607*^9, 3.548397159005519*^9}, {
   3.549875775006558*^9, 3.549875782067934*^9}, {3.550897824587986*^9, 
   3.550897838188097*^9}, {3.5510852124008703`*^9, 3.551085212452393*^9}, {
   3.552717587802408*^9, 3.5527175878498087`*^9}, {3.552717634732328*^9, 
   3.552717634779888*^9}, {3.552717671757704*^9, 3.552717671819211*^9}, {
   3.552717735991716*^9, 3.552717736055582*^9}, {3.5551295442321577`*^9, 
   3.5551295484567337`*^9}, {3.555129968190879*^9, 3.555129992734326*^9}, {
   3.5551301884049673`*^9, 3.555130188628558*^9}, {3.5551302286638947`*^9, 
   3.555130228724287*^9}, {3.55513969818259*^9, 3.5551397049756823`*^9}, {
   3.556430602503394*^9, 3.556430608502677*^9}, {3.556602590801038*^9, 
   3.556602595935731*^9}, {3.5583535809746847`*^9, 3.558353584958501*^9}, {
   3.559280168467039*^9, 3.559280171113331*^9}, {3.562660210286211*^9, 
   3.56266021128623*^9}, {3.56266033568961*^9, 3.5626603827538633`*^9}, {
   3.5629070617534103`*^9, 3.5629070626493673`*^9}, {3.564478575589767*^9, 
   3.564478577095747*^9}, {3.564825254608294*^9, 3.5648252558557377`*^9}, {
   3.565517925885606*^9, 3.5655179576381474`*^9}, {3.565518576976796*^9, 
   3.565518577294018*^9}, {3.565518991956431*^9, 3.565519023636373*^9}, {
   3.565519101422138*^9, 3.565519103237267*^9}, {3.565519554333343*^9, 
   3.565519555966406*^9}, {3.56551962092553*^9, 3.5655196231966*^9}, {
   3.5656001775384007`*^9, 3.565600177873633*^9}, {3.5656002474831333`*^9, 
   3.565600252578732*^9}, {3.565600626055579*^9, 3.5656006300313473`*^9}, {
   3.565783595680994*^9, 3.5657836001775084`*^9}, {3.565783678531461*^9, 
   3.56578367927521*^9}, {3.565784165793907*^9, 3.565784168705793*^9}, {
   3.565784270003112*^9, 3.5657842792229567`*^9}, {3.56578463763234*^9, 
   3.565784641903861*^9}, {3.5657851312550917`*^9, 3.565785131315523*^9}, {
   3.566109813343432*^9, 3.566109814734573*^9}, {3.566133079300193*^9, 
   3.566133080025352*^9}, {3.5669036505160513`*^9, 3.566903651843376*^9}, {
   3.56732823896113*^9, 3.567328242217043*^9}, {3.567328911377939*^9, 
   3.5673289121694403`*^9}, {3.567330708517198*^9, 3.567330711490569*^9}, {
   3.567330834835515*^9, 3.567330837030768*^9}, {3.567330869483795*^9, 
   3.5673308719799833`*^9}, {3.567331359147691*^9, 3.5673313592114887`*^9}, {
   3.567340498153306*^9, 3.567340499953712*^9}, {3.5673410228084784`*^9, 
   3.567341024306838*^9}, {3.5673411173944883`*^9, 3.567341121801135*^9}, {
   3.56734147931145*^9, 3.5673414839425907`*^9}, {3.567398941127974*^9, 
   3.56739894239983*^9}, {3.567407997119956*^9, 3.5674079971791477`*^9}, {
   3.567485352277967*^9, 3.567485353446096*^9}, {3.567485465857295*^9, 
   3.567485494575729*^9}, {3.5687075129541473`*^9, 3.568707516594803*^9}, {
   3.568711909717458*^9, 3.568711909780943*^9}, {3.568722599961384*^9, 
   3.568722600023677*^9}, {3.568726817622395*^9, 3.568726817727715*^9}, {
   3.568726847796927*^9, 3.568726847833803*^9}, {3.568727080507266*^9, 
   3.568727080551318*^9}, {3.568960475337967*^9, 3.568960475398505*^9}, {
   3.568966700904133*^9, 3.5689667261645403`*^9}, {3.56896716827055*^9, 
   3.568967174471746*^9}, {3.5704332926080008`*^9, 3.570433298433455*^9}, {
   3.570433483583314*^9, 3.570433484662475*^9}, {3.570436078223477*^9, 
   3.5704360803586273`*^9}, {3.570436168595999*^9, 3.5704361694017677`*^9}, {
   3.570442790096279*^9, 3.5704427916206903`*^9}, {3.5704429139329023`*^9, 
   3.5704429156052303`*^9}, {3.5704436977649803`*^9, 3.570443697824174*^9}, {
   3.5704538204589567`*^9, 3.570453822364785*^9}, {3.5704540865952272`*^9, 
   3.5704540866349*^9}, {3.5705092419364777`*^9, 3.570509241989533*^9}, {
   3.570509465752096*^9, 3.5705094658317633`*^9}, {3.570525284518951*^9, 
   3.570525284573378*^9}, {3.57052566947126*^9, 3.570525670743269*^9}, {
   3.5705316868114367`*^9, 3.570531686852968*^9}, {3.570685133723822*^9, 
   3.570685133807356*^9}, {3.570770061420442*^9, 3.570770064421336*^9}, {
   3.571996353668971*^9, 3.57199638213846*^9}, {3.5744058856492567`*^9, 
   3.574405892647216*^9}, {3.5776126433594027`*^9, 3.5776126665304537`*^9}, {
   3.580461479465464*^9, 3.580461499043021*^9}, {3.5807152977072687`*^9, 
   3.58071531031413*^9}, {3.5883113448020773`*^9, 3.588311348907786*^9}, {
   3.592735723260551*^9, 3.592735724692048*^9}, {3.601029375332879*^9, 
   3.601029376758978*^9}, {3.6024806487034903`*^9, 3.602480648757956*^9}, {
   3.60248100795665*^9, 3.6024810080138273`*^9}, {3.6031728456894197`*^9, 
   3.603172860473716*^9}, {3.6031742733141603`*^9, 3.603174273363956*^9}, {
   3.6031744308653173`*^9, 3.603174435845489*^9}, {3.604661888550605*^9, 
   3.604661888610013*^9}, {3.604661960283675*^9, 3.604661982381167*^9}, {
   3.604662054514016*^9, 3.604662054646162*^9}, {3.6046621925585117`*^9, 
   3.604662205720106*^9}, {3.604662292089498*^9, 3.604662333308577*^9}, {
   3.604662909108323*^9, 3.604662920367917*^9}, {3.620040578123528*^9, 
   3.6200405781796503`*^9}, {3.620707174838036*^9, 3.620707174883092*^9}, {
   3.6225359482801847`*^9, 3.622536009855604*^9}, {3.622536122717978*^9, 
   3.6225361289608717`*^9}, {3.6225362376250772`*^9, 3.622536237720372*^9}, {
   3.622536375798316*^9, 3.6225363758512993`*^9}, {3.622542053521131*^9, 
   3.622542053577972*^9}, {3.622543786010682*^9, 3.622543786073556*^9}, {
   3.62427715139325*^9, 3.624277151431492*^9}, {3.624277264762549*^9, 
   3.624277264824666*^9}, {3.632640870963505*^9, 3.632640872402861*^9}, {
   3.6326409040835247`*^9, 3.632640904331106*^9}, {3.632641444986857*^9, 
   3.632641445060051*^9}, {3.63317593828798*^9, 3.633175938362919*^9}, {
   3.63317758178699*^9, 3.633177582166359*^9}, {3.633245246453966*^9, 
   3.633245264011457*^9}, {3.6332583838208637`*^9, 3.6332583838929873`*^9}, {
   3.6334318728848133`*^9, 3.633431873291349*^9}, {3.639113062116682*^9, 
   3.639113095942369*^9}, {3.645439870229781*^9, 3.645439873350428*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PN0", "=", "G1v0"}], ";", 
  RowBox[{"PN0sym", "=", 
   RowBox[{"{", 
    RowBox[{"1", "/", "2"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"PN1", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"G1v2", ",", "G2v0"}], "}"}], ",", "1"}], "]"}]}], ";", 
  RowBox[{"PN1sym", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", "1"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"PN2", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"G1v4", ",", "G2v2", ",", "G3v0"}], "}"}], ",", "1"}], "]"}]}], 
  ";", 
  RowBox[{"PN2sym", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", "1", ",", 
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"1", "/", "2"}], ",", "1", ",", "1", ",", "1", ",", 
     RowBox[{"1", "/", "2"}], ",", "2", ",", "1", ",", 
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"1", "/", "8"}], ",", 
     RowBox[{"1", "/", "4"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.638873210179098*^9, 3.638873218902739*^9}, {
   3.638873419180047*^9, 3.638873436363365*^9}, {3.638873541804978*^9, 
   3.638873549832863*^9}, 3.63887383254574*^9, {3.638944236079617*^9, 
   3.638944267967473*^9}, {3.6389445221835527`*^9, 3.638944549043961*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Basic", " ", "operators", " ", "definitions"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"kind", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"IntegerDigits", "[", "x", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nnlegs", "[", 
      RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"IntegerDigits", "[", "x", "]"}], "[", 
      RowBox[{"[", "n", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"n\[Phi]legs", "[", "x_", "]"}], ":=", 
     RowBox[{"nnlegs", "[", 
      RowBox[{"x", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nAlegs", "[", "x_", "]"}], ":=", 
     RowBox[{"nnlegs", "[", 
      RowBox[{"x", ",", "3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"n\[Sigma]legs", "[", "x_", "]"}], ":=", 
     RowBox[{"nnlegs", "[", 
      RowBox[{"x", ",", "4"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"labexp", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"IntegerDigits", "[", "x", "]"}], "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"MantissaExponent", "[", "x", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vrtexp", "[", "x_", "]"}], ":=", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"Sort", "[", 
        RowBox[{"Union", "[", 
         RowBox[{"Flatten", "[", "x", "]"}], "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"#", ">", "99"}], " ", "&"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ntlegs", "[", "x_", "]"}], ":=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"IntegerDigits", "[", "x", "]"}], "[", 
        RowBox[{"[", "b00", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"b00", ",", "2", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"MantissaExponent", "[", "x", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nllegs", "[", 
      RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"IntegerDigits", "[", "x", "]"}], "[", 
        RowBox[{"[", "b00", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"b00", ",", "2", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"MantissaExponent", "[", "x", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", "5", "+", "n"}]}], "}"}]}], 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.455425111334519*^9, 3.4554252478106194`*^9}, {
   3.455425382631564*^9, 3.455425427231722*^9}, {3.455425478437579*^9, 
   3.455425532483642*^9}, {3.455426752068494*^9, 3.4554267726868753`*^9}, {
   3.455427503714616*^9, 3.455427516982731*^9}, {3.455427591016819*^9, 
   3.455427601675816*^9}, {3.455427747523611*^9, 3.45542776015215*^9}, {
   3.455428514871683*^9, 3.455428523282269*^9}, {3.455429883581633*^9, 
   3.455429899209825*^9}, {3.455430999489098*^9, 3.4554310035771646`*^9}, {
   3.455438279366014*^9, 3.4554382964576883`*^9}, {3.455438391183661*^9, 
   3.45543839286723*^9}, {3.455438448740307*^9, 3.455438535393298*^9}, {
   3.4554385907864637`*^9, 3.4554385954693213`*^9}, {3.456050675775598*^9, 
   3.4560507745277967`*^9}, {3.4560526814625397`*^9, 3.456052705475531*^9}, 
   3.4562163064015102`*^9, {3.456218933276582*^9, 3.4562189615327787`*^9}, {
   3.456219286220974*^9, 3.4562192871649113`*^9}, {3.460369252320421*^9, 
   3.460369259168908*^9}, {3.4627679549841633`*^9, 3.462768035127968*^9}, {
   3.462768084748352*^9, 3.462768096759859*^9}, {3.4627681696808777`*^9, 
   3.462768206864368*^9}, {3.462768525529017*^9, 3.462768525930682*^9}, {
   3.462768611396908*^9, 3.462768617880877*^9}, {3.462768689265732*^9, 
   3.4627687606511507`*^9}, {3.462768852617762*^9, 3.4627688850009737`*^9}, {
   3.462768937489519*^9, 3.4627689777856407`*^9}, {3.462769014693379*^9, 
   3.4627690181218653`*^9}, {3.4627729772078114`*^9, 3.462772996007328*^9}, {
   3.462773230490016*^9, 3.462773318449185*^9}, {3.462773521714992*^9, 
   3.462773552968872*^9}, {3.462773596446021*^9, 3.462773725743606*^9}, 
   3.463132901669342*^9, {3.464941686438163*^9, 3.464941694994481*^9}, {
   3.472818922610579*^9, 3.472818997682201*^9}, {3.472819048521558*^9, 
   3.472819053505628*^9}, {3.472819144866835*^9, 3.472819163903377*^9}, {
   3.472819203003303*^9, 3.472819296331418*^9}, {3.4734916339101753`*^9, 
   3.473491677227936*^9}, 3.47540600930405*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Brand", " ", "new", " ", "graphics", " ", 
    RowBox[{"tools", ".", " ", "Draw"}], " ", "correctly", " ", "topology", 
    " ", "or", " ", "graphs", " ", "without", " ", "reference", " ", "to", 
    " ", "the", " ", "label"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Watch", " ", 
     RowBox[{"out", ":", " ", 
      RowBox[{
      "it", " ", "may", " ", "draw", " ", "topologies", " ", "and", " ", 
       "graphs", " ", "in", " ", "different", " ", "ways"}]}]}], ",", " ", 
    RowBox[{"although", " ", "both", " ", 
     RowBox[{"correct", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Vertex", " ", "position"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"vpos", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "+", 
        RowBox[{
         RowBox[{"Quotient", "[", 
          RowBox[{"y", ",", "2"}], "]"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", 
          RowBox[{"(", 
           RowBox[{"y", "+", "1"}], ")"}]}]}], "+", 
        RowBox[{".3", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ntlegs", "[", "x", "]"}], "-", "1"}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"kind", "[", "x", "]"}], "+", 
        RowBox[{".1", "y", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"kind", "[", "x", "]"}], "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"kind", "[", "x", "]"}], "-", "3"}], ")"}]}], "+", 
        RowBox[{".1", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ntlegs", "[", "x", "]"}], "-", "3"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"kind", "[", "x", "]"}], "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"3", "-", 
           RowBox[{"kind", "[", "x", "]"}]}], ")"}]}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Edge", " ", "dashing"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"styl", "[", "x_", "]"}], ":=", 
     RowBox[{"Piecewise", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Dashing", "[", ".07", "]"}], ",", 
           RowBox[{"x", "\[Equal]", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Dashing", "[", 
            RowBox[{"{", 
             RowBox[{".008", ",", ".05"}], "}"}], "]"}], ",", 
           RowBox[{"x", "\[Equal]", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Dashing", "[", "1", "]"}], ",", 
           RowBox[{"x", "\[Equal]", "3"}]}], "}"}]}], "}"}], ",", 
       RowBox[{"Dashing", "[", "1", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Edge", " ", "color"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"col", "[", "x_", "]"}], ":=", 
     RowBox[{"Piecewise", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"x", "\[Equal]", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"x", "\[Equal]", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Green", ",", 
           RowBox[{"x", "\[Equal]", "3"}]}], "}"}]}], "}"}], ",", "Black"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Dummy", " ", "objects", " ", "to", " ", "deal", " ", "with", " ", "both",
      " ", "topologies", " ", "and", " ", "graphs"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"kexp", "[", "x_", "]"}], ":=", 
     RowBox[{"Piecewise", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"kind", "[", "x", "]"}], ",", 
          RowBox[{"x", "<", "99"}]}], "}"}], "}"}], ",", "0"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"lesp", "[", "x_", "]"}], ":=", 
     RowBox[{"Piecewise", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"labexp", "[", "x", "]"}], ",", 
          RowBox[{"x", "<", "99"}]}], "}"}], "}"}], ",", "0"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Builds", " ", "a", " ", "table", " ", "with", " ", "style", " ", "and", 
      " ", "line", " ", "of", " ", "all", " ", "the", " ", "edges"}], ";", 
     " ", 
     RowBox[{"write", " ", "to", " ", "q99"}], ";", " ", 
     RowBox[{"insertions", " ", 
      RowBox[{"added", "."}]}]}], "*)"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"pgra", "[", "x_", "]"}], ":=", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"b97", "=", "1"}], ",", 
       RowBox[{"b97", "\[LessEqual]", 
        RowBox[{"Length", "[", "x", "]"}]}], ",", 
       RowBox[{"b97", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"b97", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"q99", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"q98", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"c99", "=", 
            RowBox[{"vrtexp", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"b96", "=", "1"}], ",", 
             RowBox[{"b96", "\[LessEqual]", 
              RowBox[{"Length", "[", "c99", "]"}]}], ",", 
             RowBox[{"b96", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"b95", "=", "1"}], ",", 
               RowBox[{"b95", "\[LessEqual]", "99"}], ",", 
               RowBox[{"b95", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"!", 
                  RowBox[{"MemberQ", "[", 
                   RowBox[{"q98", ",", 
                    RowBox[{"vpos", "[", 
                    RowBox[{
                    RowBox[{"c99", "[", 
                    RowBox[{"[", "b96", "]"}], "]"}], ",", "b95"}], "]"}]}], 
                   "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"AppendTo", "[", 
                   RowBox[{"q98", ",", 
                    RowBox[{"vpos", "[", 
                    RowBox[{
                    RowBox[{"c99", "[", 
                    RowBox[{"[", "b96", "]"}], "]"}], ",", "b95"}], "]"}]}], 
                   "]"}], ";", " ", 
                  RowBox[{"Break", "[", "]"}]}]}], "]"}]}], "]"}]}], 
            "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"q99", ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"col", "[", 
               RowBox[{"kexp", "[", 
                RowBox[{"Last", "[", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "b97", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
              
              RowBox[{"styl", "[", 
               RowBox[{"kexp", "[", 
                RowBox[{"Last", "[", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "b97", "]"}], "]"}], "]"}], "]"}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"q98", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Position", "[", 
                    RowBox[{"c99", ",", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "b97", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
               RowBox[{"q98", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Position", "[", 
                    RowBox[{"c99", ",", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "b97", "]"}], "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "}"}], 
             "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"b92", "=", "1"}], ",", 
          RowBox[{"b92", "\[LessEqual]", 
           RowBox[{"lesp", "[", 
            RowBox[{"Last", "[", 
             RowBox[{"x", "[", 
              RowBox[{"[", "b97", "]"}], "]"}], "]"}], "]"}]}], ",", 
          RowBox[{"b92", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"q99", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"col", "[", 
               RowBox[{"kexp", "[", 
                RowBox[{"Last", "[", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "b97", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
              
              RowBox[{"PointSize", "[", ".04", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"q98", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"c99", ",", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "b97", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "+", 
                RowBox[{"b92", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"q98", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"c99", ",", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "b97", "]"}], "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "-", 
                    RowBox[{"q98", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"c99", ",", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "b97", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ")"}], 
                  "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"lesp", "[", 
                    RowBox[{"Last", "[", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "b97", "]"}], "]"}], "]"}], "]"}], "+", 
                    "1"}], ")"}]}]}]}], "]"}]}], "}"}]}], "]"}]}], "]"}], 
        ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Draw", " ", "q99", " ", "into", " ", "q97"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"gra", "[", "x_", "]"}], ":=", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"b94", "=", "1"}], ",", 
      RowBox[{"b94", "\[LessEqual]", "1"}], ",", 
      RowBox[{"b94", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"pgra", "[", "x", "]"}], ";", 
       RowBox[{"q97", "=", 
        RowBox[{"Graphics", "[", 
         RowBox[{"Append", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Thick", ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "3"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"4", ",", "3"}], "}"}]}], "}"}]}], "}"}], "]"}]}], 
            "}"}], ",", "q99"}], "]"}], "]"}]}]}]}], "]"}]}], "\n", 
   RowBox[{"(*", 
    RowBox[{
    "Draw", " ", "all", " ", "the", " ", "topologies", " ", "or", " ", 
     "graphs", " ", "of", " ", "a", " ", "group", " ", "into", " ", "q96"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"allgra", "[", "x_", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"b93", "=", "0"}], ",", 
        RowBox[{"b93", "\[LessEqual]", 
         RowBox[{"Length", "[", "x", "]"}]}], ",", 
        RowBox[{"b93", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"b93", "\[Equal]", "0"}], ",", 
          RowBox[{"q96", "=", 
           RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"gra", "[", 
            RowBox[{"x", "[", 
             RowBox[{"[", "b93", "]"}], "]"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"q96", ",", "q97"}], "]"}]}]}], "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "q96", "]"}], ";"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.463375460859983*^9, 3.4633754867075768`*^9}, {
   3.4633757536361628`*^9, 3.46337580936089*^9}, {3.463375891433984*^9, 
   3.463375914068791*^9}, {3.4633828423879232`*^9, 3.463382842485239*^9}, {
   3.4633829605226393`*^9, 3.4633829620886106`*^9}, {3.463385880922748*^9, 
   3.463385900187314*^9}, {3.463385996479044*^9, 3.4633859971018543`*^9}, {
   3.4633869558960743`*^9, 3.463387001365767*^9}, {3.4638248083582163`*^9, 
   3.463824817000469*^9}, 3.464496677783236*^9, {3.464497031580002*^9, 
   3.4644970899662657`*^9}, {3.4644971694865723`*^9, 3.464497192234956*^9}, {
   3.464498100649138*^9, 3.464498125259721*^9}, {3.464498258583288*^9, 
   3.464498269802071*^9}, {3.4644997735241737`*^9, 3.464499785486683*^9}, 
   3.464941683259169*^9, 3.4754060093226547`*^9, 3.5051891174771223`*^9, {
   3.5109888985563583`*^9, 3.510988898647024*^9}, {3.510988951149466*^9, 
   3.510989084016521*^9}, {3.638873464412149*^9, 3.638873486869735*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Basic Definitions, particle vertices, and propagator", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.638872970049024*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mpl", "=", 
   RowBox[{"1", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"32", " ", "Pi", " ", "G"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.477212344172167*^9, 3.477212386952914*^9}, 
   3.4850640628645782`*^9, {3.500096507806974*^9, 3.500096514912134*^9}, {
   3.5003845768501368`*^9, 3.5003845850322123`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vertot", "[", 
    RowBox[{"m_", ",", "v_", ",", "\[Phi]_", ",", "A_", ",", "\[Sigma]_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "I"}], " ", "m", " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"\[Phi]", "/", "mpl"}], "]"}], 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"v", " ", 
          RowBox[{"A", "/", "mpl"}]}]}], ")"}], "^", "2"}], "-", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "cd"}], " ", 
         RowBox[{"\[Phi]", "/", "mpl"}]}], "]"}], 
       RowBox[{"v", "^", "2"}], 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"\[Sigma]", "/", "mpl"}]}], ")"}]}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"verpar", "[", 
   RowBox[{"m_", ",", "v_", ",", "x1_", ",", "x2_", ",", "x3_"}], "]"}], ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"SeriesCoefficient", "[", 
      RowBox[{
       RowBox[{"SeriesCoefficient", "[", 
        RowBox[{
         RowBox[{"vertot", "[", 
          RowBox[{"m", ",", "v", ",", "\[Phi]", ",", "A", ",", "\[Sigma]"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Phi]", ",", "0", " ", ",", "x1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"A", ",", "0", ",", "x2"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Sigma]", ",", "0", ",", "x3"}], "}"}]}], "]"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.638871347547369*^9, 3.638871348495544*^9}, {
   3.638871449602221*^9, 3.638871546419339*^9}, {3.6388717319460793`*^9, 
   3.638871756181033*^9}, 3.638871931830358*^9, {3.638939605575818*^9, 
   3.6389397194306726`*^9}, {3.638940093085464*^9, 3.6389400956613483`*^9}, {
   3.638940492348297*^9, 3.638940509075321*^9}, {3.638943458614105*^9, 
   3.638943459101186*^9}, {3.639723825187036*^9, 3.639723825457932*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p_", ",", "ta_", ",", "tb_", ",", "i1_", ",", "j1_", ",", "k1_", ",", 
     "l1_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"I", " ", 
    RowBox[{
     RowBox[{"(", "\[Epsilon]", ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"2", "n"}], ")"}]}], " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"DiracDelta", "[", 
       RowBox[{"ta", "-", "tb"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"ta", ",", "n"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tb", ",", "n"}], "}"}]}], "]"}], 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", "cd"}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"MTd", "[", 
         RowBox[{"i1", ",", "k1"}], "]"}], "/", "2"}], ",", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"ID", "[", 
             RowBox[{"i1", ",", "j1", ",", "k1", ",", "l1"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "-", "cd"}], ")"}], 
            RowBox[{"MTd", "[", 
             RowBox[{"i1", ",", "j1"}], "]"}], 
            RowBox[{"MTd", "[", 
             RowBox[{"k1", ",", "l1"}], "]"}]}]}], ")"}]}], "/", "2"}]}], 
      "}"}], "/", " ", 
     RowBox[{
      RowBox[{"Contract", "[", 
       RowBox[{
        RowBox[{"TVd", "[", 
         RowBox[{"p", ",", "\[Mu]1"}], "]"}], 
        RowBox[{"TVd", "[", 
         RowBox[{"p", ",", "\[Mu]1"}], "]"}]}], "]"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "+", "1"}], ")"}]}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.437216873812508*^9, 3.437216877627232*^9}, {
   3.4671940868392353`*^9, 3.4671940884740467`*^9}, 3.467194165489275*^9, {
   3.467194199756812*^9, 3.467194245243959*^9}, 3.46719428527621*^9, {
   3.467194327641398*^9, 3.467194569544386*^9}, {3.467195076906934*^9, 
   3.4671950899452887`*^9}, {3.46719566241914*^9, 3.467195674522827*^9}, {
   3.467195864815926*^9, 3.467196036887569*^9}, {3.467196631684291*^9, 
   3.467196763177677*^9}, {3.4671977745179567`*^9, 3.4671978061099663`*^9}, {
   3.467363787272478*^9, 3.467363787887374*^9}, {3.467964175810396*^9, 
   3.46796417798999*^9}, {3.468130131519597*^9, 3.468130223615162*^9}, {
   3.4681307167421217`*^9, 3.468130733960689*^9}, {3.468130778813436*^9, 
   3.4681307919769373`*^9}, {3.468131308270296*^9, 3.4681313208458853`*^9}, {
   3.468137758927451*^9, 3.468137762863657*^9}, 3.4681402143449917`*^9, {
   3.468236035197117*^9, 3.468236042109935*^9}, {3.468236097313994*^9, 
   3.468236201200824*^9}, {3.468236528491756*^9, 3.468236531850415*^9}, {
   3.4682367625557137`*^9, 3.46823680653039*^9}, {3.4682368564358597`*^9, 
   3.46823685899387*^9}, {3.4724506220930033`*^9, 3.47245064134603*^9}, {
   3.472450714743383*^9, 3.472450729806366*^9}, {3.47246443988017*^9, 
   3.472464441487747*^9}, {3.4725535770680428`*^9, 3.4725536464127703`*^9}, {
   3.472554725592795*^9, 3.472554767122357*^9}, {3.472554880784822*^9, 
   3.472554892448101*^9}, {3.4729742437547503`*^9, 3.472974370628607*^9}, {
   3.472974554479528*^9, 3.472974554559999*^9}, {3.472977192083009*^9, 
   3.472977253450459*^9}, {3.472977331700042*^9, 3.4729773319866333`*^9}, {
   3.473056085841267*^9, 3.473056086306129*^9}, {3.473487232548789*^9, 
   3.473487232624802*^9}, {3.4791038263946543`*^9, 3.479103828570863*^9}, {
   3.479636198324041*^9, 3.479636202348424*^9}, {3.479701255892095*^9, 
   3.479701258896347*^9}, {3.4797013016810493`*^9, 3.479701324794166*^9}, 
   3.485064062892459*^9, {3.490332944190318*^9, 3.4903329463592863`*^9}, {
   3.490333013557435*^9, 3.4903330136064796`*^9}, {3.490333128835711*^9, 
   3.490333141477203*^9}, {3.4925049069761543`*^9, 3.492504920025168*^9}, {
   3.492505022305273*^9, 3.492505030822304*^9}, {3.492507312506098*^9, 
   3.492507327545528*^9}, {3.6388723778020687`*^9, 3.6388724184368677`*^9}, 
   3.638940920537813*^9, 3.639197613496388*^9, {3.639375953429892*^9, 
   3.639376012256544*^9}, 3.639464299769286*^9, {3.639723532769676*^9, 
   3.639723549625125*^9}, 3.639724660365034*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Relevant bulk vertices", "Subsection",
 CellChangeTimes->{{3.4671940522569027`*^9, 3.467194067553714*^9}, {
   3.468236017467414*^9, 3.468236021944779*^9}, {3.472451313444571*^9, 
   3.472451333594179*^9}, {3.4724533039126387`*^9, 3.472453312519826*^9}, {
   3.479636206176833*^9, 3.4796362070632963`*^9}, {3.4903332640715637`*^9, 
   3.490333284378893*^9}, {3.4903357391478148`*^9, 3.490335749905851*^9}, {
   3.5093391982631598`*^9, 3.509339205131365*^9}, {3.5215287586012697`*^9, 
   3.521528774752592*^9}, {3.523178816120427*^9, 3.523178818616329*^9}, {
   3.52759382012562*^9, 3.527593869709882*^9}, {3.533033792933668*^9, 
   3.5330338042198277`*^9}, 3.53303454552039*^9, 3.5480570240807877`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"L3\[Phi]", "[", 
    RowBox[{
    "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
     "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
     "j3_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"cd", "^", "2"}]}], " ", 
    RowBox[{"\[Epsilon]", "^", "2"}], " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"DiracDelta", "[", 
       RowBox[{"t", "-", "t1"}], "]"}], ",", "t"}], "]"}], 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"DiracDelta", "[", 
       RowBox[{"t", "-", "t2"}], "]"}], ",", "t"}], "]"}], 
    RowBox[{
     RowBox[{"DiracDelta", "[", 
      RowBox[{"t", "-", "t3"}], "]"}], "/", "mpl"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L2\[Phi]1A", "[", 
    RowBox[{
    "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
     "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
     "j3_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "2"}], "cd", " ", "I", " ", "\[Epsilon]", "   ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"DiracDelta", "[", 
       RowBox[{"t", "-", "t1"}], "]"}], ",", "t"}], "]"}], 
    RowBox[{"Contract", "[", 
     RowBox[{
      RowBox[{"MTd", "[", 
       RowBox[{"i3", ",", "\[Mu]1"}], "]"}], 
      RowBox[{"TVd", "[", 
       RowBox[{"p2", ",", "\[Mu]1"}], "]"}]}], "]"}], 
    RowBox[{"DiracDelta", "[", 
     RowBox[{"t", "-", "t2"}], "]"}], 
    RowBox[{
     RowBox[{"DiracDelta", "[", 
      RowBox[{"t", "-", "t3"}], "]"}], "/", "mpl"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L1\[Phi]2A", "[", 
    RowBox[{
    "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
     "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
     "j3_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "cd"}], "  ", 
    RowBox[{"Contract", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"TVd", "[", 
        RowBox[{"p2", ",", "\[Mu]1"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"p3", ",", "\[Mu]1"}], "]"}], 
       RowBox[{"MTd", "[", 
        RowBox[{"i2", ",", "\[Mu]2"}], "]"}], 
       RowBox[{"MTd", "[", 
        RowBox[{"i3", ",", "\[Mu]2"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"MTd", "[", 
        RowBox[{"i3", ",", "\[Mu]1"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"p3", ",", "\[Mu]1"}], "]"}], 
       RowBox[{"MTd", "[", 
        RowBox[{"i2", ",", "\[Mu]2"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"p2", ",", "\[Mu]2"}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"MTd", "[", 
        RowBox[{"i3", ",", "\[Mu]1"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"p2", ",", "\[Mu]1"}], "]"}], 
       RowBox[{"MTd", "[", 
        RowBox[{"i2", ",", "\[Mu]2"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"p3", ",", "\[Mu]2"}], "]"}]}]}], "]"}], 
    RowBox[{"DiracDelta", "[", 
     RowBox[{"t", "-", "t1"}], "]"}], 
    RowBox[{"DiracDelta", "[", 
     RowBox[{"t", "-", "t2"}], "]"}], 
    RowBox[{
     RowBox[{"DiracDelta", "[", 
      RowBox[{"t", "-", "t3"}], "]"}], "/", "mpl"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L2\[Phi]1\[Sigma]", "[", 
    RowBox[{
    "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
     "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
     "j3_"}], "]"}], ":=", 
   RowBox[{"cd", "  ", 
    RowBox[{"Contract", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"ID", "[", 
         RowBox[{"i3", ",", "j3", ",", "\[Mu]1", ",", "\[Mu]2"}], "]"}]}], 
       RowBox[{"TVd", "[", 
        RowBox[{"p1", ",", "\[Mu]1"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"p2", ",", "\[Mu]2"}], "]"}], 
       RowBox[{"DiracDelta", "[", 
        RowBox[{"t", "-", "t2"}], "]"}], 
       RowBox[{"DiracDelta", "[", 
        RowBox[{"t", "-", "t1"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"ID", "[", 
        RowBox[{"i3", ",", "j3", ",", "\[Mu]1", ",", "\[Mu]1"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"TVd", "[", 
            RowBox[{"p1", ",", "\[Mu]2"}], "]"}], 
           RowBox[{"TVd", "[", 
            RowBox[{"p2", ",", "\[Mu]2"}], "]"}], 
           RowBox[{"DiracDelta", "[", 
            RowBox[{"t", "-", "t1"}], "]"}], 
           RowBox[{"DiracDelta", "[", 
            RowBox[{"t", "-", "t2"}], "]"}]}], "+", " ", 
          RowBox[{
           RowBox[{"\[Epsilon]", "^", "2"}], " ", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"DiracDelta", "[", 
              RowBox[{"t", "-", "t1"}], "]"}], ",", "t"}], "]"}], 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"DiracDelta", "[", 
              RowBox[{"t", "-", "t2"}], "]"}], ",", "t"}], "]"}]}]}], ")"}], 
        "/", "2"}]}]}], "]"}], 
    RowBox[{
     RowBox[{"DiracDelta", "[", 
      RowBox[{"t", "-", "t3"}], "]"}], "/", "mpl"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4671971434373693`*^9, 3.467197344839953*^9}, {
   3.467197394401037*^9, 3.467197449522653*^9}, {3.467197482090213*^9, 
   3.4671975147052193`*^9}, {3.467197602633388*^9, 3.467197684253376*^9}, {
   3.4671977356209097`*^9, 3.467197787605259*^9}, {3.467197819549118*^9, 
   3.467197886923061*^9}, 3.4672815500129337`*^9, {3.4672816002922697`*^9, 
   3.467281604283805*^9}, {3.467281719819406*^9, 3.467281926970591*^9}, {
   3.467281979048554*^9, 3.4672826532534533`*^9}, 3.46728288875942*^9, {
   3.467283000091194*^9, 3.467283044611314*^9}, 3.467283131504229*^9, {
   3.467283561836277*^9, 3.4672842336346416`*^9}, {3.4672843178597403`*^9, 
   3.467284476869689*^9}, {3.467284518791453*^9, 3.4672845718717527`*^9}, {
   3.4673635156185923`*^9, 3.467363525793934*^9}, 3.4673675271556253`*^9, {
   3.4673697054491243`*^9, 3.4673697169686604`*^9}, {3.4673699753791733`*^9, 
   3.467370059710466*^9}, {3.467370171237646*^9, 3.467370347839855*^9}, {
   3.4673705068255568`*^9, 3.467370534557744*^9}, {3.467370760619595*^9, 
   3.467370782007215*^9}, {3.4673708763133183`*^9, 3.467370894099167*^9}, {
   3.468129957899343*^9, 3.468129983771429*^9}, {3.468130055875296*^9, 
   3.468130100347341*^9}, {3.468130275299871*^9, 3.4681302968843193`*^9}, {
   3.46813143679657*^9, 3.4681314502310247`*^9}, 3.468131916366888*^9, {
   3.4681322632023697`*^9, 3.468132319993997*^9}, {3.468132367661922*^9, 
   3.468132512174431*^9}, 3.4681325483684387`*^9, {3.4681330726397057`*^9, 
   3.468133084343882*^9}, 3.468133467552018*^9, {3.468135654114245*^9, 
   3.4681356541874313`*^9}, 3.468135694940021*^9, {3.468136138530849*^9, 
   3.468136155170628*^9}, {3.4681361945830107`*^9, 3.4681362028308287`*^9}, {
   3.468136270402861*^9, 3.4681363258837223`*^9}, {3.468136358705352*^9, 
   3.468136393051633*^9}, {3.4681364658306293`*^9, 3.46813651237782*^9}, {
   3.468136559974839*^9, 3.4681365727423697`*^9}, {3.468136634841878*^9, 
   3.4681366940673027`*^9}, {3.468137005141609*^9, 3.468137064724759*^9}, {
   3.468137098306616*^9, 3.4681372061857157`*^9}, {3.468137622448728*^9, 
   3.4681376601524277`*^9}, {3.4681379131205797`*^9, 3.468137913219726*^9}, 
   3.468138027347576*^9, 3.4681380596114492`*^9, {3.468139960048191*^9, 
   3.468139960455947*^9}, {3.468140750122024*^9, 3.468141225637822*^9}, {
   3.468141321940652*^9, 3.4681415214102163`*^9}, {3.472451458158249*^9, 
   3.472451485970894*^9}, {3.472451593241831*^9, 3.4724517258030033`*^9}, {
   3.4724518460382*^9, 3.472451996120487*^9}, {3.4724530713237*^9, 
   3.472453078172681*^9}, {3.472454875651669*^9, 3.4724548873518963`*^9}, {
   3.472454931572816*^9, 3.472454961174183*^9}, {3.472455007690506*^9, 
   3.472455082547018*^9}, {3.472455120588427*^9, 3.4724551736421967`*^9}, {
   3.47245530735905*^9, 3.472455678591617*^9}, {3.4724558205776453`*^9, 
   3.4724561716895647`*^9}, 3.4724562164526176`*^9, {3.4724564453525343`*^9, 
   3.4724564471445923`*^9}, 3.472456506864785*^9, {3.472456601726925*^9, 
   3.4724566035547867`*^9}, {3.472457010988948*^9, 3.472457014663741*^9}, {
   3.472457662064789*^9, 3.472457697726295*^9}, {3.472462232441867*^9, 
   3.4724622355695467`*^9}, {3.472462700469192*^9, 3.472462878555604*^9}, {
   3.4724629118814287`*^9, 3.47246319436145*^9}, {3.472463236540102*^9, 
   3.472463290723737*^9}, {3.472463333009128*^9, 3.472463421330024*^9}, {
   3.47246346505615*^9, 3.472463485919126*^9}, {3.472463533732108*^9, 
   3.472463554542673*^9}, {3.472463591883975*^9, 3.472463646922276*^9}, {
   3.472463681705508*^9, 3.472463686195125*^9}, {3.4724637186094418`*^9, 
   3.472464115189797*^9}, {3.472471493964768*^9, 3.4724715011794767`*^9}, {
   3.4725536967416687`*^9, 3.472554298802021*^9}, {3.472554778025633*^9, 
   3.4725548704577713`*^9}, {3.472554966290453*^9, 3.4725549689671297`*^9}, {
   3.472555021609601*^9, 3.472555514534933*^9}, {3.472555590648528*^9, 
   3.472555659457398*^9}, {3.472556289231563*^9, 3.4725562899388227`*^9}, {
   3.472896978933745*^9, 3.4728971500401907`*^9}, {3.472897188843508*^9, 
   3.472897271190653*^9}, {3.4729817876601543`*^9, 3.472981790868094*^9}, {
   3.472982688466774*^9, 3.472982716032278*^9}, {3.472982912614827*^9, 
   3.472982918556678*^9}, {3.47298328037787*^9, 3.47298328161801*^9}, {
   3.472983353312911*^9, 3.472983540994768*^9}, {3.47298468102557*^9, 
   3.472984682837758*^9}, {3.472985784373845*^9, 3.472985784557043*^9}, {
   3.472986455511703*^9, 3.472986733257551*^9}, {3.472987269333686*^9, 
   3.472987272309092*^9}, {3.472987408630259*^9, 3.472987411536022*^9}, {
   3.47299061540351*^9, 3.47299065196701*^9}, {3.472990781857649*^9, 
   3.472990888038957*^9}, {3.472991307963161*^9, 3.4729913134815407`*^9}, 
   3.473072376897431*^9, {3.473512099050849*^9, 3.473512137657567*^9}, {
   3.473658318491857*^9, 3.47365833751672*^9}, {3.473659975856928*^9, 
   3.473660253227868*^9}, {3.473661063192568*^9, 3.4736610633605337`*^9}, {
   3.473748309054164*^9, 3.4737483166612577`*^9}, {3.473748516861209*^9, 
   3.473748526429143*^9}, {3.474617903434402*^9, 3.4746179041915903`*^9}, {
   3.474784698676216*^9, 3.4747847008575153`*^9}, {3.4807373435932503`*^9, 
   3.480737356131289*^9}, {3.480737479111721*^9, 3.480737480495454*^9}, {
   3.482659550008473*^9, 3.482659556326823*^9}, {3.483087078728837*^9, 
   3.483087697299922*^9}, 3.483087743822157*^9, {3.48308777787608*^9, 
   3.4830882558058567`*^9}, {3.483088287056458*^9, 3.483088308637416*^9}, {
   3.483162078123378*^9, 3.483162105528758*^9}, {3.48316229480298*^9, 
   3.483162341935595*^9}, {3.483162447101351*^9, 3.48316246048311*^9}, {
   3.48316279248094*^9, 3.4831628068015547`*^9}, {3.4831628968391447`*^9, 
   3.483162926565322*^9}, {3.483163114211647*^9, 3.483163124379225*^9}, 
   3.483163163039332*^9, {3.483163314634205*^9, 3.483163341364725*^9}, {
   3.483247249588224*^9, 3.483247254473639*^9}, 3.4832473366552753`*^9, {
   3.490334996261194*^9, 3.490335017744632*^9}, {3.490335121832315*^9, 
   3.49033513193645*^9}, {3.49033527138325*^9, 3.490335343115827*^9}, 
   3.490335549337666*^9, {3.490335637170005*^9, 3.490335668773905*^9}, {
   3.490335702936829*^9, 3.4903357262687073`*^9}, {3.4925050706378317`*^9, 
   3.492505305371635*^9}, {3.4925053489707813`*^9, 3.492505350218011*^9}, {
   3.492505388579466*^9, 3.492505427673728*^9}, {3.492505465551859*^9, 
   3.492505480824298*^9}, {3.492505527925519*^9, 3.492505541688429*^9}, {
   3.4925073566580973`*^9, 3.492507530915081*^9}, {3.492507591466035*^9, 
   3.4925078554132*^9}, {3.4925130569755774`*^9, 3.4925130573200417`*^9}, {
   3.4925130883630047`*^9, 3.492513115949497*^9}, 3.492513458865739*^9, {
   3.4930216417113457`*^9, 3.4930216647304688`*^9}, {3.496466053068123*^9, 
   3.496466092358954*^9}, {3.496466451268573*^9, 3.496466469637541*^9}, {
   3.500434267671232*^9, 3.500434311878985*^9}, {3.500434366081955*^9, 
   3.500434766112715*^9}, {3.5051938387071457`*^9, 3.505193839602557*^9}, {
   3.505194076492503*^9, 3.5051940767077312`*^9}, {3.505197570122264*^9, 
   3.505197573799584*^9}, {3.521528601667163*^9, 3.521528643507139*^9}, {
   3.521528700267489*^9, 3.5215287149025993`*^9}, {3.52317879008514*^9, 
   3.523178795808249*^9}, 3.5275921635742598`*^9, {3.527593222785472*^9, 
   3.5275932244880333`*^9}, {3.527593264066683*^9, 3.527593294650052*^9}, {
   3.5275936301554728`*^9, 3.527593808544895*^9}, {3.52759452983715*^9, 
   3.527594532986453*^9}, {3.527594565705049*^9, 3.527594571681782*^9}, {
   3.527594847703422*^9, 3.5275948500949583`*^9}, {3.527594887149032*^9, 
   3.527594959151204*^9}, 3.54804560783398*^9, 3.548046032963603*^9, {
   3.5595310744722*^9, 3.559531074758049*^9}, {3.559534749908987*^9, 
   3.559534750044734*^9}, {3.559535808857773*^9, 3.5595358089932947`*^9}, 
   3.559536621696192*^9, {3.559537214087289*^9, 3.559537214203684*^9}, {
   3.559538736719409*^9, 3.5595387368593273`*^9}, {3.559635109461348*^9, 
   3.559635109741231*^9}, {3.559641813118312*^9, 3.559641813729189*^9}, 
   3.559883230795014*^9, {3.5598838960425453`*^9, 3.559883897170456*^9}, {
   3.5598980733707657`*^9, 3.559898073490204*^9}, {3.559902721182633*^9, 
   3.559902721421524*^9}, 3.559968827493538*^9, 3.559973660210113*^9, {
   3.603200785549121*^9, 3.603200785662245*^9}, 3.603200921142956*^9, {
   3.620040616909123*^9, 3.620040640543675*^9}, {3.6200407413873053`*^9, 
   3.620040765961594*^9}, {3.6200408299022408`*^9, 3.620040864791556*^9}, {
   3.620112899303681*^9, 3.6201129556811543`*^9}, {3.620707067286353*^9, 
   3.620707084408887*^9}, {3.638872515128379*^9, 3.6388725204194727`*^9}, {
   3.638872551968101*^9, 3.638872564867385*^9}, {3.638872619253564*^9, 
   3.638872639169076*^9}, {3.638872751160487*^9, 3.638872761402134*^9}, {
   3.6389569549070797`*^9, 3.638957039724946*^9}, 3.6391233629323807`*^9, {
   3.639390234566187*^9, 3.639390281632121*^9}, {3.6393903296714783`*^9, 
   3.639390346454214*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"L3\[Phi]perm", "[", 
    RowBox[{
    "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
     "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
     "j3_"}], "]"}], ":=", 
   RowBox[{"I", " ", 
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", "\[IndentingNewLine]", 
      RowBox[{"Apply", "[", 
       RowBox[{"L3\[Phi]", ",", 
        RowBox[{"PadLeft", "[", 
         RowBox[{
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{"Permutations", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"p1", ",", "t1", ",", "i1", ",", "j1"}], "}"}], ",", 
                
                RowBox[{"{", 
                 RowBox[{"p2", ",", "t2", ",", "i2", ",", "j2"}], "}"}], ",", 
                
                RowBox[{"{", 
                 RowBox[{"p3", ",", "t3", ",", "i3", ",", "j3"}], "}"}]}], 
               "}"}], "]"}], "]"}], ",", "12"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"6", ",", "13"}], "}"}], ",", "t"}], "]"}], ",", 
        RowBox[{"{", "1", "}"}]}], "]"}]}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"L2\[Phi]1Aperm", "[", 
    RowBox[{
    "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
     "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
     "j3_"}], "]"}], ":=", 
   RowBox[{"I", " ", 
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", "\[IndentingNewLine]", 
      RowBox[{"Apply", "[", 
       RowBox[{"L2\[Phi]1A", ",", 
        RowBox[{"PadLeft", "[", 
         RowBox[{
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"Permutations", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"p1", ",", "t1", ",", "i1", ",", "j1"}], "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{"p2", ",", "t2", ",", "i2", ",", "j2"}], "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{"p3", ",", "t3", ",", "i3", ",", "j3"}], "}"}]}], 
                 "}"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "\[Equal]", 
                 RowBox[{"{", 
                  RowBox[{"p3", ",", "t3", ",", "i3", ",", "j3"}], "}"}]}], 
                " ", "&"}]}], "]"}], "]"}], ",", "12"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "13"}], "}"}], ",", "t"}], "]"}], ",", 
        RowBox[{"{", "1", "}"}]}], "]"}]}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"L1\[Phi]2Aperm", "[", 
     RowBox[{
     "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
      "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
      "j3_"}], "]"}], ":=", 
    RowBox[{"2", "I", " ", 
     RowBox[{"L1\[Phi]2A", "[", 
      RowBox[{
      "t", ",", "p1", ",", "t1", ",", "i1", ",", "j1", ",", "p2", ",", "t2", 
       ",", "i2", ",", "j2", ",", "p3", ",", "t3", ",", "i3", ",", "j3"}], 
      "]"}]}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"already", " ", "A", " ", "symetric"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
     RowBox[{
     "t_", ",", "p1_", ",", "t1_", ",", "i1_", ",", "j1_", ",", "p2_", ",", 
      "t2_", ",", "i2_", ",", "j2_", ",", "p3_", ",", "t3_", ",", "i3_", ",", 
      "j3_"}], "]"}], ":=", 
    RowBox[{"2", " ", "I", " ", 
     RowBox[{"L2\[Phi]1\[Sigma]", "[", 
      RowBox[{
      "t", ",", "p1", ",", "t1", ",", "i1", ",", "j1", ",", "p2", ",", "t2", 
       ",", "i2", ",", "j2", ",", "p3", ",", "t3", ",", "i3", ",", "j3"}], 
      "]"}]}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"already", " ", "\[Phi]", " ", "symmetric"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.467367629897188*^9, 3.467367704870419*^9}, {
   3.467367783000534*^9, 3.467367863693894*^9}, 3.4673679548708344`*^9, {
   3.467368048276678*^9, 3.467368049284206*^9}, {3.4673680857646112`*^9, 
   3.4673680866122217`*^9}, {3.467369413760112*^9, 3.467369430079173*^9}, {
   3.4673696258624287`*^9, 3.467369628621365*^9}, {3.467370082572022*^9, 
   3.467370108692222*^9}, {3.46737067074745*^9, 3.467370685129417*^9}, {
   3.4673708165627832`*^9, 3.4673708520077972`*^9}, {3.467701034120551*^9, 
   3.4677010351998377`*^9}, {3.4681302425023937`*^9, 3.468130248793934*^9}, {
   3.468130317829342*^9, 3.468130328907913*^9}, {3.4681303649092083`*^9, 
   3.468130368964613*^9}, {3.468130402749198*^9, 3.468130403156625*^9}, {
   3.4681308106747093`*^9, 3.4681308917804327`*^9}, {3.468132648856834*^9, 
   3.468132656536612*^9}, {3.468132921304141*^9, 3.468132928724976*^9}, {
   3.4681331794514236`*^9, 3.468133205074811*^9}, {3.4681366986912117`*^9, 
   3.468136807776689*^9}, {3.468137219828745*^9, 3.468137228262683*^9}, {
   3.468141549480988*^9, 3.468141557574729*^9}, {3.468141665007419*^9, 
   3.4681416657925367`*^9}, {3.472457251016135*^9, 3.47245732613109*^9}, {
   3.472457712076988*^9, 3.4724577420942507`*^9}, {3.4724623829241123`*^9, 
   3.4724624078524714`*^9}, {3.472462441535822*^9, 3.472462489906304*^9}, {
   3.472471095421586*^9, 3.472471148795801*^9}, {3.472471181662722*^9, 
   3.472471221409988*^9}, {3.472471375077154*^9, 3.4724713980304537`*^9}, {
   3.4729827210118103`*^9, 3.472982752799589*^9}, {3.4729828214169903`*^9, 
   3.472982886817878*^9}, {3.472983244279126*^9, 3.472983261784882*^9}, {
   3.472983550461896*^9, 3.47298371363888*^9}, {3.493627478790481*^9, 
   3.493627535946005*^9}, {3.496466515336216*^9, 3.49646657286552*^9}, {
   3.5056435532811947`*^9, 3.5056436014678583`*^9}, {3.533033822241823*^9, 
   3.533033839391293*^9}, {3.533033890661571*^9, 3.533033891064351*^9}, {
   3.533034511125854*^9, 3.533034511356647*^9}, {3.638872573389748*^9, 
   3.638872601298774*^9}, {3.638872688799532*^9, 3.6388726932878437`*^9}, 
   3.6388728880363493`*^9, {3.63919783082189*^9, 3.639197844115241*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Integrals library", "Subsection",
 CellChangeTimes->{{3.4671940522569027`*^9, 3.467194067553714*^9}, {
   3.4671947924514647`*^9, 3.467194808985161*^9}, 3.475406009301169*^9, {
   3.4772867008620367`*^9, 3.47728671639559*^9}, {3.47892635078407*^9, 
   3.478926352983699*^9}, 3.478930542325191*^9, {3.4796364781645823`*^9, 
   3.479636534490458*^9}, 3.4797217184773684`*^9, {3.527074690375826*^9, 
   3.527074692125991*^9}},
 FontSize->12],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vsq", "[", "k_", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Contract", "[", 
      RowBox[{
       RowBox[{"TVd", "[", 
        RowBox[{"kk", ",", "\[Mu]00"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"kk", ",", "\[Mu]00"}], "]"}]}], "]"}], "/.", 
     RowBox[{"kk", "\[Rule]", "k"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vsq3", "[", "k_", "]"}], ":=", 
   RowBox[{
    RowBox[{"vsq", "[", "k", "]"}], "/.", 
    RowBox[{"d", "\[Rule]", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nccon", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Contract", "[", 
      RowBox[{
       RowBox[{"TVd", "[", 
        RowBox[{"k", ",", "\[Mu]"}], "]"}], 
       RowBox[{"TVd", "[", 
        RowBox[{"kk", ",", "\[Mu]"}], "]"}]}], "]"}], "/.", 
     RowBox[{"k", "\[Rule]", "x"}]}], "/.", 
    RowBox[{"kk", "\[Rule]", "y"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nccon3", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"nccon", "[", 
     RowBox[{"x", ",", "y"}], "]"}], "/.", 
    RowBox[{"d", "\[Rule]", "3"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.500189781001354*^9, 3.5001898017566023`*^9}, {
  3.5001898517807627`*^9, 3.500189912997157*^9}, {3.5001899630611963`*^9, 
  3.500189965252481*^9}, {3.5072818211120453`*^9, 3.507281831135743*^9}, {
  3.5118641155727654`*^9, 3.511864115824706*^9}, {3.638940222803811*^9, 
  3.638940228598522*^9}, {3.639376023872303*^9, 3.639376028447616*^9}, {
  3.645432763654146*^9, 3.64543278848525*^9}, {3.645432844176792*^9, 
  3.645432865285327*^9}}],

Cell[CellGroupData[{

Cell["e^(ik.r)/k^(2 \[Alpha]1)", "Subsubsection",
 CellChangeTimes->{{3.472453139280491*^9, 3.472453145528817*^9}, {
   3.472453213464929*^9, 3.472453213526029*^9}, {3.472453256639865*^9, 
   3.472453256701309*^9}, {3.472453677139942*^9, 3.4724537167475157`*^9}, {
   3.4724734473311996`*^9, 3.4724734695295267`*^9}, {3.4724740994797087`*^9, 
   3.4724741008552628`*^9}, {3.473404842221527*^9, 3.4734048696632013`*^9}, {
   3.473405060405613*^9, 3.473405080006535*^9}, 3.478930542464348*^9, {
   3.479034228701882*^9, 3.479034232125863*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f10", "[", 
    RowBox[{"\[Alpha]1_", ",", "r_"}], "]"}], ":=", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"d", "/", "2"}], "-", "\[Alpha]1"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", "\[Alpha]1", "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", " ", "Pi"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"d", "/", "2"}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"r", "/", "2"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "\[Alpha]1"}], "-", "d"}], ")"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.473404872669561*^9, 3.473404988558069*^9}, 
   3.4734051567107477`*^9, {3.473415065049251*^9, 3.4734150832806396`*^9}, {
   3.473766555284794*^9, 3.473766555532276*^9}, {3.4779801369090023`*^9, 
   3.47798019168538*^9}, 3.478930542465892*^9, {3.480219068398587*^9, 
   3.4802190684458427`*^9}, {3.4826466701707582`*^9, 3.482646674191881*^9}, {
   3.500097128314611*^9, 3.500097129106238*^9}, {3.500383586138253*^9, 
   3.500383590212515*^9}, {3.6389403044925127`*^9, 3.638940333273199*^9}, {
   3.638955630740055*^9, 3.638955640047517*^9}, {3.639193331886478*^9, 
   3.6391933473615217`*^9}, {3.6394587943631372`*^9, 3.6394587973286877`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["e^(ik.r)k^z1 /k^(2 \[Alpha]1)", "Subsubsection",
 CellChangeTimes->{{3.472453139280491*^9, 3.472453145528817*^9}, {
   3.472453213464929*^9, 3.472453213526029*^9}, {3.472453256639865*^9, 
   3.472453256701309*^9}, {3.472453677139942*^9, 3.4724537167475157`*^9}, {
   3.4724734473311996`*^9, 3.4724734695295267`*^9}, {3.4724740994797087`*^9, 
   3.4724741008552628`*^9}, {3.473404842221527*^9, 3.4734048696632013`*^9}, {
   3.473405035533636*^9, 3.473405110350656*^9}, 3.478930542466632*^9, {
   3.479034236261956*^9, 3.47903424217397*^9}, {3.638955653612597*^9, 
   3.638955654348043*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f11", "[", 
    RowBox[{"\[Alpha]1_", ",", "z1_", ",", "r_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "I"}], "  ", 
    RowBox[{"2", "^", 
     RowBox[{"(", 
      RowBox[{"d", "-", 
       RowBox[{"2", "\[Alpha]1"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"d", "/", "2"}], "-", "\[Alpha]1"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", "\[Alpha]1", "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", " ", "Pi"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"d", "/", "2"}], ")"}]}]}], ")"}]}], 
    RowBox[{"TVd", "[", 
     RowBox[{"r", ",", "z1"}], "]"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "\[Alpha]1"}], "-", "d"}], ")"}], " ", 
    RowBox[{"r", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "\[Alpha]1"}], "-", "d", "-", "2"}], ")"}]}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.473404872669561*^9, 3.473404988558069*^9}, {
   3.47340514101493*^9, 3.473405150794623*^9}, {3.473405190473528*^9, 
   3.473405257367131*^9}, {3.4737665671310997`*^9, 3.473766579777865*^9}, 
   3.478930542467215*^9, {3.479011051835925*^9, 3.4790110567336807`*^9}, {
   3.479011158629842*^9, 3.479011160865966*^9}, {3.479011225232242*^9, 
   3.479011227904726*^9}, {3.479020869413265*^9, 3.479020876933126*^9}, {
   3.479634308061915*^9, 3.479634309588221*^9}, {3.479634342132805*^9, 
   3.479634358348418*^9}, {3.479704524051651*^9, 3.479704524586771*^9}, {
   3.479704628203278*^9, 3.479704628658902*^9}, {3.47979216237599*^9, 
   3.4797921634694023`*^9}, {3.480219070313328*^9, 3.480219070402871*^9}, 
   3.481369648432832*^9, {3.482646681124587*^9, 3.482646681473214*^9}, {
   3.500097134455212*^9, 3.500097135221292*^9}, 3.500383601193256*^9, {
   3.638940239541333*^9, 3.638940239602436*^9}, {3.638940336341331*^9, 
   3.63894035462232*^9}, {3.6389556360687103`*^9, 3.638955643553403*^9}, {
   3.639193358076441*^9, 3.639193369174789*^9}, {3.6391934231083183`*^9, 
   3.639193432950283*^9}, {3.6393897072678633`*^9, 3.6393897073240643`*^9}, {
   3.6394588003183937`*^9, 3.639458803268581*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["e^(ik.r)k^z2 k^z1 /k^(2 \[Alpha]1)", "Subsubsection",
 CellChangeTimes->{{3.472453139280491*^9, 3.472453145528817*^9}, {
   3.472453213464929*^9, 3.472453213526029*^9}, {3.472453256639865*^9, 
   3.472453256701309*^9}, {3.472453677139942*^9, 3.4724537167475157`*^9}, {
   3.4724734473311996`*^9, 3.4724734695295267`*^9}, {3.4724740994797087`*^9, 
   3.4724741008552628`*^9}, {3.473404842221527*^9, 3.4734048696632013`*^9}, {
   3.473405035533636*^9, 3.473405110350656*^9}, {3.4737664235460587`*^9, 
   3.4737664257456017`*^9}, 3.478930542467925*^9, {3.479034247510065*^9, 
   3.4790342548539457`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f12", "[", 
    RowBox[{"\[Alpha]1_", ",", "z1_", ",", "z2_", ",", "r_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"d", "/", "2"}], "-", "\[Alpha]1"}], "]"}]}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", "\[Alpha]1", "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", " ", "Pi"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"d", "/", "2"}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"MTd", "[", 
         RowBox[{"z1", ",", "z2"}], "]"}], " ", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"r", "/", "2"}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "\[Alpha]1"}], "-", "d"}], ")"}]}], ",", "r"}], 
         "]"}]}], "+", 
       RowBox[{
        RowBox[{"TVd", "[", 
         RowBox[{"r", ",", "z1"}], "]"}], 
        RowBox[{"TVd", "[", 
         RowBox[{"r", ",", "z2"}], "]"}], 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"r", "/", "2"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", "\[Alpha]1"}], "-", "d"}], ")"}]}], ",", "r"}], 
            "]"}], "/", "r"}], ",", "r"}], "]"}]}]}], ")"}], "/", "r"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.473404872669561*^9, 3.473404988558069*^9}, {
   3.47340514101493*^9, 3.473405150794623*^9}, {3.473405190473528*^9, 
   3.473405257367131*^9}, {3.473766429845414*^9, 3.473766444641491*^9}, {
   3.473766494917924*^9, 3.473766494979454*^9}, {3.4737665693282347`*^9, 
   3.473766589099853*^9}, {3.477651608529464*^9, 3.47765163561199*^9}, {
   3.477651667853928*^9, 3.477651730498749*^9}, {3.4776519586278677`*^9, 
   3.477652057730414*^9}, 3.478930542468945*^9, {3.479011061623695*^9, 
   3.47901113676823*^9}, {3.4790111679129877`*^9, 3.479011177552341*^9}, {
   3.4797045277424793`*^9, 3.4797045279816647`*^9}, {3.4797046308061543`*^9, 
   3.4797046310135937`*^9}, {3.480054420225992*^9, 3.4800544252094803`*^9}, {
   3.480219071915193*^9, 3.480219071986519*^9}, 3.482646685059381*^9, {
   3.50009714078179*^9, 3.500097142336327*^9}, 3.5003836061971903`*^9, {
   3.63894024509645*^9, 3.638940250927597*^9}, {3.638940358048953*^9, 
   3.638940380759789*^9}, {3.638955647069235*^9, 3.638955649909482*^9}, {
   3.639193380715021*^9, 3.6391934423723927`*^9}, {3.6393897104676723`*^9, 
   3.639389712946392*^9}, {3.639458806372445*^9, 3.6394588110326567`*^9}, {
   3.6394591723780937`*^9, 3.639459174465384*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["1/(p2^(2 \[Alpha]2)(p2-k)^(2 \[Alpha]3))", "Subsubsection",
 CellChangeTimes->{{3.472453139280491*^9, 3.472453145528817*^9}, {
   3.472453213464929*^9, 3.472453213526029*^9}, {3.472453256639865*^9, 
   3.472453256701309*^9}, {3.472453677139942*^9, 3.4724537167475157`*^9}, {
   3.4724734473311996`*^9, 3.4724734695295267`*^9}, {3.4724740994797087`*^9, 
   3.4724741008552628`*^9}, {3.473404842221527*^9, 3.4734048696632013`*^9}, {
   3.473405035533636*^9, 3.473405110350656*^9}, {3.4734054377426157`*^9, 
   3.4734054791744843`*^9}, {3.477987888101516*^9, 3.4779878881526318`*^9}, {
   3.4784334935821*^9, 3.478433493870119*^9}, 3.478930542476204*^9, {
   3.4789413520948963`*^9, 3.478941369046892*^9}, {3.478941491554439*^9, 
   3.4789414997865*^9}, {3.479021482340725*^9, 3.479021488098012*^9}, {
   3.479021570666769*^9, 3.4790215733150682`*^9}, 3.479034287670549*^9, 
   3.480219518714965*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f20", "[", 
    RowBox[{"\[Alpha]2_", ",", "\[Alpha]3_", ",", "k_"}], "]"}], ":=", "   ", 
   
   RowBox[{
    RowBox[{
     RowBox[{"vsq", "[", "k", "]"}], "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"d", "/", "2"}], "-", "\[Alpha]2", "-", "\[Alpha]3"}], ")"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"\[Alpha]2", "+", "\[Alpha]3", "-", 
      RowBox[{"d", "/", "2"}]}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"d", "/", "2"}], "-", "\[Alpha]2"}], "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"d", "/", "2"}], "-", "\[Alpha]3"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", 
        RowBox[{"d", "-", "\[Alpha]2", "-", "\[Alpha]3"}], "]"}], 
       RowBox[{"Gamma", "[", "\[Alpha]2", "]"}], 
       RowBox[{"Gamma", "[", "\[Alpha]3", "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", "Pi"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"d", "/", "2"}], ")"}]}]}], ")"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.473404872669561*^9, 3.473404988558069*^9}, {
   3.47340514101493*^9, 3.473405150794623*^9}, {3.473405190473528*^9, 
   3.473405257367131*^9}, {3.473405484829803*^9, 3.4734055037755423`*^9}, {
   3.473405536133988*^9, 3.473405536203949*^9}, {3.473405646148657*^9, 
   3.473405713926285*^9}, {3.473405749724111*^9, 3.4734057719165897`*^9}, {
   3.473405846758154*^9, 3.473406054228092*^9}, {3.4734066238635283`*^9, 
   3.473406707170622*^9}, {3.4737666280381527`*^9, 3.473766630126309*^9}, {
   3.4779875818497066`*^9, 3.477987582255577*^9}, {3.477987638231782*^9, 
   3.4779876909775*^9}, {3.477987788618544*^9, 3.47798778887399*^9}, {
   3.477987891378529*^9, 3.477987897624645*^9}, {3.477987945410231*^9, 
   3.477987948145821*^9}, 3.478930542478277*^9, {3.478936914056018*^9, 
   3.4789369208632603`*^9}, {3.4789391493991623`*^9, 3.478939151737076*^9}, {
   3.479012515724325*^9, 3.479012527964204*^9}, {3.479012619174971*^9, 
   3.47901262374234*^9}, {3.479021469880886*^9, 3.479021497464213*^9}, {
   3.4790342916850986`*^9, 3.479034305876355*^9}, {3.479103934973267*^9, 
   3.479103952745009*^9}, {3.479103986490312*^9, 3.479104006141837*^9}, {
   3.47963657987772*^9, 3.479636588711417*^9}, {3.4800545147585506`*^9, 
   3.480054521006435*^9}, {3.480154159971795*^9, 3.480154160320224*^9}, {
   3.480219088043659*^9, 3.48021908811241*^9}, {3.482646698570804*^9, 
   3.482646699264419*^9}, {3.4996822736117077`*^9, 3.4996822736843157`*^9}, {
   3.499682427668272*^9, 3.499682456060473*^9}, {3.499689478578599*^9, 
   3.4996895201627398`*^9}, {3.499689553339986*^9, 3.4996895749141397`*^9}, {
   3.499689616678494*^9, 3.499689729612029*^9}, {3.499689809363995*^9, 
   3.499689845868555*^9}, {3.499690057198304*^9, 3.499690077666245*^9}, {
   3.499690127880745*^9, 3.4996901890000153`*^9}, {3.499691093747766*^9, 
   3.499691095260456*^9}, {3.49969113425393*^9, 3.49969113733134*^9}, {
   3.5000918330355053`*^9, 3.500091835801951*^9}, {3.500097167415905*^9, 
   3.5000971779431677`*^9}, {3.500099820147463*^9, 3.500099837657549*^9}, {
   3.500099918841749*^9, 3.500099930800171*^9}, {3.500189935718932*^9, 
   3.500189990938243*^9}, {3.500367273279605*^9, 3.500367275435073*^9}, {
   3.5003675734407597`*^9, 3.500367573712517*^9}, 3.50038363640423*^9, {
   3.500710352373537*^9, 3.50071035264495*^9}, {3.500711420389576*^9, 
   3.500711420638689*^9}, {3.501825243040846*^9, 3.501825243319648*^9}, {
   3.501846652751157*^9, 3.501846652999457*^9}, {3.5043447504157953`*^9, 
   3.504344750678605*^9}, {3.6389548369130707`*^9, 3.638954853653739*^9}, 
   3.639193412631115*^9, {3.6391934523052883`*^9, 3.6391934722268047`*^9}, {
   3.639458814256756*^9, 3.639458817300057*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["p2^z1/(p2^(2 \[Alpha]2)(p2-k)^(2 \[Alpha]3))", "Subsubsection",
 CellChangeTimes->{{3.472453139280491*^9, 3.472453145528817*^9}, {
   3.472453213464929*^9, 3.472453213526029*^9}, {3.472453256639865*^9, 
   3.472453256701309*^9}, {3.472453677139942*^9, 3.4724537167475157`*^9}, {
   3.4724734473311996`*^9, 3.4724734695295267`*^9}, {3.4724740994797087`*^9, 
   3.4724741008552628`*^9}, {3.473404842221527*^9, 3.4734048696632013`*^9}, {
   3.473405035533636*^9, 3.473405110350656*^9}, {3.4734054377426157`*^9, 
   3.4734054791744843`*^9}, {3.473406172183914*^9, 3.4734061738478947`*^9}, {
   3.473406206063896*^9, 3.4734062094478703`*^9}, {3.4734064496012087`*^9, 
   3.4734064496490088`*^9}, {3.477984431465972*^9, 3.477984431528009*^9}, {
   3.4779868611885567`*^9, 3.477986887668932*^9}, {3.477990108514337*^9, 
   3.477990112183688*^9}, {3.4784334498710737`*^9, 3.478433450134104*^9}, 
   3.478930542479004*^9, {3.478941474770336*^9, 3.4789414748263702`*^9}, {
   3.479021579205621*^9, 3.479021579721506*^9}, 3.47903431703791*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f21", "[", 
    RowBox[{"\[Alpha]2_", ",", "\[Alpha]3_", ",", "k_", ",", "z1_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"TVd", "[", 
     RowBox[{"k", ",", "z1"}], "]"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f20", "[", 
        RowBox[{
         RowBox[{"\[Alpha]2", "-", "1"}], ",", "\[Alpha]3", ",", "k"}], "]"}],
        "+", 
       RowBox[{
        RowBox[{"vsq", "[", "k", "]"}], 
        RowBox[{"f20", "[", 
         RowBox[{"\[Alpha]2", ",", "\[Alpha]3", ",", "k"}], "]"}]}], "-", 
       RowBox[{"f20", "[", 
        RowBox[{"\[Alpha]2", ",", 
         RowBox[{"\[Alpha]3", "-", "1"}], ",", "k"}], "]"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"2", 
       RowBox[{"vsq", "[", "k", "]"}]}], ")"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.473404872669561*^9, 3.473404988558069*^9}, {
   3.47340514101493*^9, 3.473405150794623*^9}, {3.473405190473528*^9, 
   3.473405257367131*^9}, {3.473405484829803*^9, 3.4734055037755423`*^9}, {
   3.473405536133988*^9, 3.473405536203949*^9}, {3.473405646148657*^9, 
   3.473405713926285*^9}, {3.473405749724111*^9, 3.4734057719165897`*^9}, {
   3.473405846758154*^9, 3.473406054228092*^9}, {3.473406211453115*^9, 
   3.473406213676778*^9}, {3.4734063606856003`*^9, 3.47340645476297*^9}, {
   3.473406990369914*^9, 3.473407059449748*^9}, {3.473766635728731*^9, 
   3.4737666366201773`*^9}, {3.476795331347644*^9, 3.476795379480349*^9}, {
   3.476795443992736*^9, 3.476795451660199*^9}, {3.4779844354716167`*^9, 
   3.477984443896209*^9}, {3.477985896708098*^9, 3.477986062797954*^9}, {
   3.477987791828821*^9, 3.477987792204376*^9}, {3.4779879510203743`*^9, 
   3.477987960276338*^9}, 3.477988472465888*^9, 3.477988564400872*^9, 
   3.477988598768896*^9, {3.4779886888009367`*^9, 3.477988711584853*^9}, 
   3.477990082823328*^9, {3.478433250823618*^9, 3.478433309746214*^9}, {
   3.478433430595079*^9, 3.4784334545067873`*^9}, 3.478434449075589*^9, 
   3.478434481531426*^9, 3.4789305424810953`*^9, {3.4789391566081333`*^9, 
   3.478939159121387*^9}, {3.479034320281629*^9, 3.479034327248933*^9}, {
   3.480054528698163*^9, 3.4800545328018103`*^9}, {3.480219090332245*^9, 
   3.480219093242976*^9}, 3.482646705630303*^9, {3.500097183932815*^9, 
   3.500097185231537*^9}, {3.5000976800643682`*^9, 3.500097762927904*^9}, {
   3.500099797832581*^9, 3.500099806902588*^9}, {3.500099841264084*^9, 
   3.500099853176161*^9}, {3.500190008198228*^9, 3.5001900118746357`*^9}, {
   3.502099555238742*^9, 3.502099559710906*^9}, {3.638954860826668*^9, 
   3.638954873005906*^9}, {3.639126283109027*^9, 3.639126289166974*^9}, {
   3.639376046097444*^9, 3.639376046153861*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
p2^z1 p2^z2/(p2^(2 \[Alpha]2)(p2-k)^(2 \[Alpha]3))\
\>", "Subsubsection",
 CellChangeTimes->{{3.472453139280491*^9, 3.472453145528817*^9}, {
   3.472453213464929*^9, 3.472453213526029*^9}, {3.472453256639865*^9, 
   3.472453256701309*^9}, {3.472453677139942*^9, 3.4724537167475157`*^9}, {
   3.4724734473311996`*^9, 3.4724734695295267`*^9}, {3.4724740994797087`*^9, 
   3.4724741008552628`*^9}, {3.473404842221527*^9, 3.4734048696632013`*^9}, {
   3.473405035533636*^9, 3.473405110350656*^9}, {3.4734054377426157`*^9, 
   3.4734054791744843`*^9}, {3.473406172183914*^9, 3.4734061738478947`*^9}, {
   3.473406206063896*^9, 3.4734062094478703`*^9}, {3.4734064398275833`*^9, 
   3.4734064612890253`*^9}, {3.477984448889935*^9, 3.477984448961856*^9}, {
   3.4779882904696608`*^9, 3.477988294837215*^9}, {3.477988715882453*^9, 
   3.477988718353505*^9}, {3.477990114679964*^9, 3.477990116743688*^9}, {
   3.478434066911449*^9, 3.478434067191462*^9}, {3.4788626462012568`*^9, 
   3.478862651880205*^9}, {3.478926845105932*^9, 3.478926848577591*^9}, 
   3.4789305424818487`*^9, {3.4789414770983543`*^9, 3.478941477453938*^9}, {
   3.479021581857689*^9, 3.479021582273481*^9}, 3.47903433289396*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f22", "[", 
    RowBox[{
    "\[Alpha]2_", ",", "\[Alpha]3_", ",", "k_", ",", "z1_", ",", "z2_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"vsq", "[", "k", "]"}], "^", "2"}], 
          RowBox[{"f20", "[", 
           RowBox[{"\[Alpha]2", ",", "\[Alpha]3", ",", "k"}], "]"}]}], "+", 
         RowBox[{"2", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"f20", "[", 
             RowBox[{
              RowBox[{"\[Alpha]2", "-", "1"}], ",", "\[Alpha]3", ",", "k"}], 
             "]"}], "-", 
            RowBox[{"f20", "[", 
             RowBox[{"\[Alpha]2", ",", 
              RowBox[{"\[Alpha]3", "-", "1"}], ",", "k"}], "]"}]}], ")"}], 
          RowBox[{"vsq", "[", "k", "]"}]}], "+", 
         RowBox[{"f20", "[", 
          RowBox[{
           RowBox[{"\[Alpha]2", "-", "2"}], ",", "\[Alpha]3", ",", "k"}], 
          "]"}], "+", 
         RowBox[{"f20", "[", 
          RowBox[{"\[Alpha]2", ",", 
           RowBox[{"\[Alpha]3", "-", "2"}], ",", "k"}], "]"}], "-", 
         RowBox[{"2", 
          RowBox[{"f20", "[", 
           RowBox[{
            RowBox[{"\[Alpha]2", "-", "1"}], ",", 
            RowBox[{"\[Alpha]3", "-", "1"}], ",", "k"}], "]"}]}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", " ", 
          RowBox[{"TVd", "[", 
           RowBox[{"k", ",", "z1"}], "]"}], 
          RowBox[{"TVd", "[", 
           RowBox[{"k", ",", "z2"}], "]"}]}], "-", 
         RowBox[{
          RowBox[{"vsq", "[", "k", "]"}], 
          RowBox[{"MTd", "[", 
           RowBox[{"z1", ",", "z2"}], "]"}]}]}], ")"}]}], "-", 
      RowBox[{"4", 
       RowBox[{"f20", "[", 
        RowBox[{
         RowBox[{"\[Alpha]2", "-", "1"}], ",", "\[Alpha]3", ",", "k"}], "]"}], 
       RowBox[{"vsq", "[", "k", "]"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"TVd", "[", 
           RowBox[{"k", ",", "z1"}], "]"}], 
          RowBox[{"TVd", "[", 
           RowBox[{"k", ",", "z2"}], "]"}]}], "-", 
         RowBox[{
          RowBox[{"vsq", "[", "k", "]"}], 
          RowBox[{"MTd", "[", 
           RowBox[{"z1", ",", "z2"}], "]"}]}]}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"4", 
      RowBox[{"(", 
       RowBox[{"d", "-", "1"}], ")"}], 
      RowBox[{
       RowBox[{"vsq", "[", "k", "]"}], "^", "2"}]}], ")"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.473404872669561*^9, 3.473404988558069*^9}, {
   3.47340514101493*^9, 3.473405150794623*^9}, {3.473405190473528*^9, 
   3.473405257367131*^9}, {3.473405484829803*^9, 3.4734055037755423`*^9}, {
   3.473405536133988*^9, 3.473405536203949*^9}, {3.473405646148657*^9, 
   3.473405713926285*^9}, {3.473405749724111*^9, 3.4734057719165897`*^9}, {
   3.473405846758154*^9, 3.473406054228092*^9}, {3.473406211453115*^9, 
   3.473406213676778*^9}, {3.4734063606856003`*^9, 3.473406425099378*^9}, {
   3.473406463686286*^9, 3.473406466693726*^9}, {3.473407107384939*^9, 
   3.473407286573575*^9}, {3.4737666409511137`*^9, 3.4737666414539833`*^9}, {
   3.476795414292027*^9, 3.47679543490794*^9}, {3.4767954803740673`*^9, 
   3.476795486613248*^9}, {3.477984452704967*^9, 3.477984468440556*^9}, {
   3.477986944046796*^9, 3.4779869443174667`*^9}, {3.4779874709546623`*^9, 
   3.477987552971404*^9}, {3.477987818783333*^9, 3.477987871816503*^9}, {
   3.477987905185616*^9, 3.477987931786737*^9}, {3.477987965141374*^9, 
   3.477988200445372*^9}, {3.4779882534047117`*^9, 3.477988255857087*^9}, {
   3.477988337968515*^9, 3.477988338223956*^9}, 3.477988476474845*^9, 
   3.4779886610064*^9, 3.477988710075617*^9, 3.4779900851481543`*^9, {
   3.4784335082467823`*^9, 3.478433831491918*^9}, {3.478433912207011*^9, 
   3.478433914461103*^9}, {3.4784340153393507`*^9, 3.478434015850565*^9}, {
   3.4788621658285933`*^9, 3.47886227421891*^9}, 3.478862367637204*^9, {
   3.4788625411850023`*^9, 3.478862615378018*^9}, 3.4789305424849052`*^9, {
   3.478939700291788*^9, 3.4789397470832644`*^9}, {3.478947909564993*^9, 
   3.478947973903576*^9}, {3.479034336503357*^9, 3.479034352822525*^9}, {
   3.4800545397042418`*^9, 3.4800545491676683`*^9}, {3.480219095321617*^9, 
   3.480219095392218*^9}, 3.4826467103857183`*^9, {3.500097191299375*^9, 
   3.500097192853904*^9}, {3.500097994665717*^9, 3.500098137200519*^9}, {
   3.500098194446589*^9, 3.500098311436705*^9}, {3.500098344995892*^9, 
   3.5000984022349873`*^9}, {3.500098495053738*^9, 3.500098529811878*^9}, {
   3.5000985654781837`*^9, 3.500098658261318*^9}, {3.5000998586948338`*^9, 
   3.5000998982324133`*^9}, {3.500099943020833*^9, 3.500099978180916*^9}, 
   3.500100365831725*^9, {3.500190021909762*^9, 3.500190074602396*^9}, {
   3.6389548787585087`*^9, 3.638954903142006*^9}, {3.639126224816985*^9, 
   3.639126248244274*^9}, {3.639376055207988*^9, 3.639376067147415*^9}, {
   3.639459263356195*^9, 3.639459263416627*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["p integrators and t derivators", "Subsubsection",
 CellChangeTimes->{{3.472453139280491*^9, 3.472453145528817*^9}, {
   3.472453213464929*^9, 3.472453213526029*^9}, {3.472453256639865*^9, 
   3.472453256701309*^9}, {3.472453677139942*^9, 3.4724537167475157`*^9}, {
   3.4724734473311996`*^9, 3.4724734695295267`*^9}, {3.4724740994797087`*^9, 
   3.4724741008552628`*^9}, {3.473404842221527*^9, 3.4734048696632013`*^9}, {
   3.473405035533636*^9, 3.473405110350656*^9}, {3.4734054377426157`*^9, 
   3.4734054791744843`*^9}, {3.473406172183914*^9, 3.4734061738478947`*^9}, {
   3.473406206063896*^9, 3.4734062094478703`*^9}, {3.4734064398275833`*^9, 
   3.4734064612890253`*^9}, {3.477984448889935*^9, 3.477984448961856*^9}, {
   3.4779882904696608`*^9, 3.477988294837215*^9}, {3.477988715882453*^9, 
   3.477988718353505*^9}, {3.477990114679964*^9, 3.477990116743688*^9}, {
   3.478434066911449*^9, 3.478434067191462*^9}, {3.4788626462012568`*^9, 
   3.478862651880205*^9}, {3.478926845105932*^9, 3.478926848577591*^9}, 
   3.4789305424818487`*^9, {3.4789414770983543`*^9, 3.478941477453938*^9}, {
   3.479021581857689*^9, 3.479021582273481*^9}, 3.47903433289396*^9, {
   3.639390424153029*^9, 3.639390425888592*^9}, {3.639822899140224*^9, 
   3.639822905086769*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"improvep", "[", "x_", "]"}], ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "/.", 
       RowBox[{
        RowBox[{"vsq", "[", "pz_", "]"}], "\[Rule]", 
        RowBox[{"VSQ", "[", "pz", "]"}]}]}], "/.", 
      RowBox[{
       RowBox[{"nccon", "[", 
        RowBox[{
         RowBox[{"pw_", "-", "px_"}], ",", "py_"}], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"nccon", "[", 
         RowBox[{"pw", ",", "py"}], "]"}], "-", 
        RowBox[{"nccon", "[", 
         RowBox[{"px", ",", "py"}], "]"}]}]}]}], "/.", 
     RowBox[{
      RowBox[{"nccon", "[", 
       RowBox[{
        RowBox[{"pw_", "-", "px_"}], ",", "py_"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"nccon", "[", 
        RowBox[{"pw", ",", "py"}], "]"}], "-", 
       RowBox[{"nccon", "[", 
        RowBox[{"px", ",", "py"}], "]"}]}]}]}], "/.", 
    RowBox[{
     RowBox[{"VSQ", "[", "pz_", "]"}], "\[Rule]", 
     RowBox[{"vsq", "[", "pz", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.639374111781033*^9, 3.639374129861882*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"limdto3", "[", "x_", "]"}], ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"x", "/.", 
       RowBox[{"cd", "\[Rule]", 
        RowBox[{"2", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"d", "-", "1"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"d", "-", "2"}], ")"}]}]}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "3", ",", "0"}], "}"}]}], "]"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.639390861149993*^9, 3.6393908919314737`*^9}, {
  3.639458852972034*^9, 3.639458855326867*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"doint1", "[", 
   RowBox[{"x_", ",", "p_", ",", "r_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"x", " ", 
              RowBox[{"Boole", "[", 
               RowBox[{"!", 
                RowBox[{"FreeQ", "[", 
                 RowBox[{"x", ",", "p"}], "]"}]}], "]"}]}], "/.", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"nccon", "[", 
                  RowBox[{"p", ",", "vx_"}], "]"}], ")"}], "^", "2"}], " ", 
               RowBox[{
                RowBox[{"vsq", "[", "p", "]"}], "^", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"d", "/", "2"}], "-", "3"}], ")"}]}]}], "\[Rule]", 
              RowBox[{"Contract", "[", 
               RowBox[{
                RowBox[{"f12", "[", 
                 RowBox[{
                  RowBox[{"3", "-", 
                   RowBox[{"d", "/", "2"}]}], ",", "i1", ",", "j1", ",", 
                  "r"}], "]"}], 
                RowBox[{"TVd", "[", 
                 RowBox[{"vx", ",", "i1"}], "]"}], 
                RowBox[{"TVd", "[", 
                 RowBox[{"vx", ",", "j1"}], "]"}]}], "]"}]}]}], "/.", 
            RowBox[{
             RowBox[{
              RowBox[{"nccon", "[", 
               RowBox[{"p", ",", "vx1_"}], "]"}], 
              RowBox[{"nccon", "[", 
               RowBox[{"p", ",", "vx2_"}], "]"}], " ", 
              RowBox[{
               RowBox[{"vsq", "[", "p", "]"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"d", "/", "2"}], "-", "3"}], ")"}]}]}], "\[Rule]", 
             RowBox[{"Contract", "[", 
              RowBox[{
               RowBox[{"f12", "[", 
                RowBox[{
                 RowBox[{"3", "-", 
                  RowBox[{"d", "/", "2"}]}], ",", "i1", ",", "j1", ",", "r"}],
                 "]"}], 
               RowBox[{"TVd", "[", 
                RowBox[{"vx1", ",", "i1"}], "]"}], 
               RowBox[{"TVd", "[", 
                RowBox[{"vx2", ",", "j1"}], "]"}]}], "]"}]}]}], "/.", 
           RowBox[{
            RowBox[{
             RowBox[{"nccon", "[", 
              RowBox[{"p", ",", "vx_"}], "]"}], " ", 
             RowBox[{
              RowBox[{"vsq", "[", "p", "]"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"d", "/", "2"}], "-", "3"}], ")"}]}]}], "\[Rule]", 
            RowBox[{"Contract", "[", 
             RowBox[{
              RowBox[{"f11", "[", 
               RowBox[{
                RowBox[{"3", "-", 
                 RowBox[{"d", "/", "2"}]}], ",", "i1", ",", "r"}], "]"}], 
              RowBox[{"TVd", "[", 
               RowBox[{"vx", ",", "i1"}], "]"}]}], "]"}]}]}], "/.", 
          RowBox[{
           RowBox[{
            RowBox[{"vsq", "[", "p", "]"}], "^", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"d", "/", "2"}], "-", "3"}], ")"}]}], "\[Rule]", 
           RowBox[{"f10", "[", 
            RowBox[{
             RowBox[{"3", "-", 
              RowBox[{"d", "/", "2"}]}], ",", "r"}], "]"}]}]}], "/.", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"vsq", "[", "p", "]"}], "^", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"d", "/", "2"}], "-", "2"}], ")"}]}], ")"}], "\[Rule]", 
          
          RowBox[{"f10", "[", 
           RowBox[{
            RowBox[{"2", "-", 
             RowBox[{"d", "/", "2"}]}], ",", "r"}], "]"}]}]}], "/.", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"vsq", "[", "p", "]"}], "^", 
           RowBox[{"(", 
            RowBox[{"d", "-", "3"}], ")"}]}], ")"}], "\[Rule]", 
         RowBox[{"f10", "[", 
          RowBox[{
           RowBox[{"3", "-", "d"}], ",", "r"}], "]"}]}]}], "/.", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{
           RowBox[{"vsq", "[", "p", "]"}], "^", "3"}]}], ")"}], "\[Rule]", 
        RowBox[{"f10", "[", 
         RowBox[{"3", ",", "r"}], "]"}]}]}], "/.", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{
          RowBox[{"vsq", "[", "p", "]"}], "^", "2"}]}], ")"}], "\[Rule]", 
       RowBox[{"f10", "[", 
        RowBox[{"2", ",", "r"}], "]"}]}]}], "/.", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", 
        RowBox[{"vsq", "[", "p", "]"}]}], ")"}], "\[Rule]", 
      RowBox[{"f10", "[", 
       RowBox[{"1", ",", "r"}], "]"}]}]}], "]"}], "/.", 
   RowBox[{
    RowBox[{"DiracDelta", "[", "t_", "]"}], "\[Rule]", "1"}]}]}]], "Input",
 CellChangeTimes->{{3.638954762936901*^9, 3.6389548323241663`*^9}, {
   3.638955026744617*^9, 3.6389550309680157`*^9}, {3.6389556686779623`*^9, 
   3.638955706081757*^9}, 3.639125540595771*^9, {3.6391264041050262`*^9, 
   3.6391264562031593`*^9}, {3.6391266242088737`*^9, 3.63912663698481*^9}, {
   3.639126674308731*^9, 3.639126757866733*^9}, {3.639128382127524*^9, 
   3.639128414614756*^9}, {3.639128444647504*^9, 3.63912844469904*^9}, {
   3.6391285477065563`*^9, 3.639128561575959*^9}, {3.6391287919716473`*^9, 
   3.639128793896326*^9}, {3.63912897783101*^9, 3.639128982308071*^9}, {
   3.639193302482378*^9, 3.639193306395721*^9}, {3.639193869098381*^9, 
   3.6391938734477453`*^9}, {3.63920164006417*^9, 3.639201666377961*^9}, {
   3.639201961290415*^9, 3.639202002083642*^9}, {3.6392137389404583`*^9, 
   3.63921375811831*^9}, {3.639376077196989*^9, 3.6393760953419333`*^9}, {
   3.6393904343854027`*^9, 3.6393904533154583`*^9}, {3.6393905339137163`*^9, 
   3.639390548446993*^9}, {3.639390623155344*^9, 3.639390656039916*^9}, {
   3.6393907503835287`*^9, 3.63939075185398*^9}, {3.639390794749139*^9, 
   3.639390806775639*^9}, {3.6393908520908823`*^9, 3.639390857494602*^9}, {
   3.639458998390965*^9, 3.639459131137054*^9}, {3.639461531966268*^9, 
   3.639461538717784*^9}, {3.6397284533971653`*^9, 3.63972847806369*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"doint2", "[", 
   RowBox[{"x_", ",", "p1_", ",", "p_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Expand", "[", 
             RowBox[{"x", " ", 
              RowBox[{"Boole", "[", 
               RowBox[{"!", 
                RowBox[{"FreeQ", "[", 
                 RowBox[{"x", ",", "p1"}], "]"}]}], "]"}]}], "]"}], "/.", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"nccon", "[", 
                RowBox[{"p1", ",", "vx_"}], "]"}], "^", "2"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"vsq", "[", "p1", "]"}], 
                RowBox[{"vsq", "[", 
                 RowBox[{"p", "-", "p1"}], "]"}]}], ")"}]}], "\[Rule]", 
             RowBox[{"Contract", "[", 
              RowBox[{
               RowBox[{"f22", "[", 
                RowBox[{"1", ",", "1", ",", "p", ",", "i", ",", "j"}], "]"}], 
               
               RowBox[{"TVd", "[", 
                RowBox[{"vx", ",", "i"}], "]"}], 
               RowBox[{"TVd", "[", 
                RowBox[{"vx", ",", "j"}], "]"}]}], "]"}]}]}], "/.", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"nccon", "[", 
               RowBox[{"p1", ",", "vx_"}], "]"}], "^", "2"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"vsq", "[", "p1", "]"}], "^", 
                RowBox[{"(", 
                 RowBox[{"3", "-", 
                  RowBox[{"d", "/", "2"}]}], ")"}]}], 
               RowBox[{"vsq", "[", 
                RowBox[{"p", "-", "p1"}], "]"}]}], ")"}]}], "\[Rule]", 
            RowBox[{"Contract", "[", 
             RowBox[{
              RowBox[{"f22", "[", 
               RowBox[{
                RowBox[{"3", "-", 
                 RowBox[{"d", "/", "2"}]}], ",", "1", ",", "p", ",", "i", ",",
                 "j"}], "]"}], 
              RowBox[{"TVd", "[", 
               RowBox[{"vx", ",", "i"}], "]"}], 
              RowBox[{"TVd", "[", 
               RowBox[{"vx", ",", "j"}], "]"}]}], "]"}]}]}], "/.", 
          RowBox[{
           RowBox[{
            RowBox[{"nccon", "[", 
             RowBox[{"p1", ",", "vx_"}], "]"}], 
            RowBox[{
             RowBox[{"nccon", "[", 
              RowBox[{"p1", ",", "vy_"}], "]"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"vsq", "[", "p1", "]"}], 
               RowBox[{"vsq", "[", 
                RowBox[{"p", "-", "p1"}], "]"}]}], ")"}]}]}], "\[Rule]", 
           RowBox[{"Contract", "[", 
            RowBox[{
             RowBox[{"f22", "[", 
              RowBox[{"1", ",", "1", ",", "p", ",", "i", ",", "j"}], "]"}], 
             RowBox[{"TVd", "[", 
              RowBox[{"vx", ",", "i"}], "]"}], 
             RowBox[{"TVd", "[", 
              RowBox[{"vy", ",", "j"}], "]"}]}], "]"}]}]}], "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"nccon", "[", 
            RowBox[{"p1", ",", "vx_"}], "]"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"vsq", "[", "p1", "]"}], 
             RowBox[{"vsq", "[", 
              RowBox[{"p", "-", "p1"}], "]"}]}], ")"}]}], "\[Rule]", 
          RowBox[{"Contract", "[", 
           RowBox[{
            RowBox[{"f21", "[", 
             RowBox[{"1", ",", "1", ",", "p", ",", "i"}], "]"}], 
            RowBox[{"TVd", "[", 
             RowBox[{"vx", ",", "i"}], "]"}]}], "]"}]}]}], "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"nccon", "[", 
           RowBox[{"p1", ",", "vx_"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"vsq", "[", "p1", "]"}], "^", 
             RowBox[{"(", 
              RowBox[{"2", "-", 
               RowBox[{"d", "/", "2"}]}], ")"}]}], 
            RowBox[{"vsq", "[", 
             RowBox[{"p", "-", "p1"}], "]"}]}], ")"}]}], "\[Rule]", 
         RowBox[{"Contract", "[", 
          RowBox[{
           RowBox[{"f21", "[", 
            RowBox[{
             RowBox[{"2", "-", 
              RowBox[{"d", "/", "2"}]}], ",", "1", ",", "p", ",", "i"}], 
            "]"}], 
           RowBox[{"TVd", "[", 
            RowBox[{"vx", ",", "i"}], "]"}]}], "]"}]}]}], "/.", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"vsq", "[", "p1", "]"}], "^", 
             RowBox[{"(", 
              RowBox[{"2", "-", 
               RowBox[{"d", "/", "2"}]}], ")"}]}], 
            RowBox[{"vsq", "[", 
             RowBox[{"p", "-", "p1"}], "]"}]}], ")"}]}], ")"}], "\[Rule]", 
        RowBox[{"f20", "[", 
         RowBox[{
          RowBox[{"2", "-", 
           RowBox[{"d", "/", "2"}]}], ",", "1", ",", "p"}], "]"}]}]}], "/.", 
      " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"vsq", "[", "p1", "]"}], 
           RowBox[{"vsq", "[", 
            RowBox[{"p", "-", "p1"}], "]"}]}], ")"}]}], ")"}], "\[Rule]", 
       RowBox[{"f20", "[", 
        RowBox[{"1", ",", "1", ",", "p"}], "]"}]}]}], "/.", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", 
        RowBox[{"vsq", "[", 
         RowBox[{"p", "-", "p1"}], "]"}]}], ")"}], "\[Rule]", "0"}]}], "]"}], 
   "/.", 
   RowBox[{
    RowBox[{"DiracDelta", "[", "t_", "]"}], "\[Rule]", "1"}]}]}]], "Input",
 CellChangeTimes->{{3.639125543251133*^9, 3.639125557311181*^9}, {
   3.639125663693645*^9, 3.639125682544751*^9}, {3.6391258140732594`*^9, 
   3.639125881122539*^9}, {3.639125918325285*^9, 3.639126062472126*^9}, {
   3.639126318738405*^9, 3.6391263248198137`*^9}, {3.6391265255929832`*^9, 
   3.639126579163995*^9}, {3.6391268947774963`*^9, 3.639126988140658*^9}, {
   3.639127194237011*^9, 3.6391272074283133`*^9}, {3.6391274375463877`*^9, 
   3.639127495277069*^9}, {3.639127556611785*^9, 3.639127558617317*^9}, {
   3.6391276026340513`*^9, 3.639127660844886*^9}, {3.639127993828864*^9, 
   3.6391280228650827`*^9}, {3.6391280674810667`*^9, 3.639128068785368*^9}, {
   3.639128100161984*^9, 3.639128136274832*^9}, {3.6391286618815947`*^9, 
   3.639128662554076*^9}, {3.639128694354011*^9, 3.63912869439349*^9}, {
   3.6392137878317003`*^9, 3.6392137909741898`*^9}, {3.6392141198034286`*^9, 
   3.6392141209755163`*^9}, {3.639214357369369*^9, 3.639214548795536*^9}, {
   3.639214656078905*^9, 3.6392146804709387`*^9}, 3.639214910689556*^9, 
   3.6392150383871803`*^9, 3.639215105182918*^9, {3.639374918015457*^9, 
   3.639374957335294*^9}, {3.639376101128764*^9, 3.639376110408441*^9}, {
   3.6393895970281687`*^9, 3.639389597089271*^9}, {3.639390130372827*^9, 
   3.63939016443331*^9}, {3.639460285707696*^9, 3.6394603144059258`*^9}, {
   3.6394604976570883`*^9, 3.63946054877805*^9}, {3.639460622725753*^9, 
   3.6394606389176817`*^9}, {3.6394614502376347`*^9, 3.639461484441461*^9}, {
   3.639727876436961*^9, 3.639727895721788*^9}, {3.639728039754019*^9, 
   3.639728044875905*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"doint3", "[", 
   RowBox[{"x_", ",", "p1_", ",", "p2_", ",", "p_", ",", "r_"}], "]"}], ":=", 
  
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"x", " ", "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"nccon", "[", 
          RowBox[{"p1", ",", 
           RowBox[{"p", "-", "p1"}]}], "]"}], 
         RowBox[{
          RowBox[{"nccon", "[", 
           RowBox[{"p2", ",", 
            RowBox[{"p", "-", "p2"}]}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"vsq", "[", 
             RowBox[{"p2", "-", "p1"}], "]"}], 
            RowBox[{"vsq", "[", "p1", "]"}], 
            RowBox[{"vsq", "[", 
             RowBox[{"p", "-", "p1"}], "]"}], 
            RowBox[{"vsq", "[", "p2", "]"}], 
            RowBox[{"vsq", "[", 
             RowBox[{"p", "-", "p2"}], "]"}]}], ")"}]}]}], "\[Rule]", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"64", " ", 
           RowBox[{"Pi", "^", "3"}], " ", 
           RowBox[{"r", "^", "3"}]}], ")"}]}]}]}], "/.", 
      RowBox[{
       RowBox[{
        RowBox[{"nccon", "[", 
         RowBox[{"p1", ",", 
          RowBox[{"p", "-", "p2"}]}], "]"}], 
        RowBox[{
         RowBox[{"nccon", "[", 
          RowBox[{"p2", ",", 
           RowBox[{"p", "-", "p1"}]}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"vsq", "[", 
            RowBox[{"p2", "-", "p1"}], "]"}], 
           RowBox[{"vsq", "[", "p1", "]"}], 
           RowBox[{"vsq", "[", 
            RowBox[{"p", "-", "p1"}], "]"}], 
           RowBox[{"vsq", "[", "p2", "]"}], 
           RowBox[{"vsq", "[", 
            RowBox[{"p", "-", "p2"}], "]"}]}], ")"}]}]}], "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"128", " ", 
          RowBox[{"Pi", "^", "3"}], " ", 
          RowBox[{"r", "^", "3"}]}], ")"}]}]}]}], "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"nccon", "[", 
        RowBox[{"p1", ",", "p2"}], "]"}], 
       RowBox[{
        RowBox[{"nccon", "[", 
         RowBox[{
          RowBox[{"p", "-", "p1"}], ",", 
          RowBox[{"p", "-", "p2"}]}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"vsq", "[", 
           RowBox[{"p2", "-", "p1"}], "]"}], 
          RowBox[{"vsq", "[", "p1", "]"}], 
          RowBox[{"vsq", "[", 
           RowBox[{"p", "-", "p1"}], "]"}], 
          RowBox[{"vsq", "[", "p2", "]"}], 
          RowBox[{"vsq", "[", 
           RowBox[{"p", "-", "p2"}], "]"}]}], ")"}]}]}], "\[Rule]", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"128", 
         RowBox[{"Pi", "^", "3"}], " ", 
         RowBox[{"r", "^", "3"}]}], ")"}]}]}]}], "]"}], "/.", 
   RowBox[{
    RowBox[{"DiracDelta", "[", "t_", "]"}], "\[Rule]", "1"}]}]}]], "Input",
 CellChangeTimes->{{3.639125543251133*^9, 3.639125557311181*^9}, {
   3.639125663693645*^9, 3.639125682544751*^9}, {3.6391258140732594`*^9, 
   3.639125881122539*^9}, {3.639125918325285*^9, 3.639126062472126*^9}, {
   3.639126318738405*^9, 3.6391263248198137`*^9}, {3.6391265255929832`*^9, 
   3.639126579163995*^9}, {3.6391268947774963`*^9, 3.639126988140658*^9}, {
   3.639127194237011*^9, 3.6391272074283133`*^9}, {3.6391274375463877`*^9, 
   3.639127495277069*^9}, {3.639127556611785*^9, 3.639127558617317*^9}, {
   3.6391276026340513`*^9, 3.639127660844886*^9}, {3.639127993828864*^9, 
   3.6391280228650827`*^9}, {3.6391280674810667`*^9, 3.639128068785368*^9}, {
   3.639128100161984*^9, 3.639128136274832*^9}, {3.6391286618815947`*^9, 
   3.639128662554076*^9}, {3.639128694354011*^9, 3.63912869439349*^9}, {
   3.6392137878317003`*^9, 3.6392137909741898`*^9}, {3.6392141198034286`*^9, 
   3.6392141209755163`*^9}, {3.639214357369369*^9, 3.639214548795536*^9}, {
   3.639214656078905*^9, 3.6392146804709387`*^9}, 3.639214910689556*^9, 
   3.6392150383871803`*^9, 3.639215105182918*^9, {3.639374918015457*^9, 
   3.639374957335294*^9}, {3.639376101128764*^9, 3.639376110408441*^9}, {
   3.6393895970281687`*^9, 3.639389597089271*^9}, {3.639390130372827*^9, 
   3.63939016443331*^9}, {3.639460285707696*^9, 3.6394603144059258`*^9}, {
   3.6394604976570883`*^9, 3.63946054877805*^9}, {3.639460622725753*^9, 
   3.6394606389176817`*^9}, {3.6394614502376347`*^9, 3.639461484441461*^9}, {
   3.639727876436961*^9, 3.639727895721788*^9}, {3.639728039754019*^9, 
   3.639728044875905*^9}, {3.645507711563034*^9, 3.645507716585703*^9}, {
   3.645515436220585*^9, 3.6455156154861727`*^9}, {3.645515727271676*^9, 
   3.645515734772954*^9}, 3.6455158472983923`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dt", "[", 
    RowBox[{"x_", ",", "r_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"SeriesCoefficient", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Expand", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "/.", 
                    RowBox[{
                    RowBox[{"Power", "[", 
                    RowBox[{"r", ",", "n_"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"Power", "[", 
                    RowBox[{"R", ",", "n"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", " ", "n", " ", 
                    RowBox[{"Power", "[", 
                    RowBox[{"R", ",", 
                    RowBox[{"n", "-", "2"}]}], "]"}], " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V1"}], "]"}]}]}]}]}], "/.", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V1"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"vsq3", "[", "V1", "]"}], "+", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "A1"}], "]"}]}], ")"}]}]}]}]}], "/.", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V2"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "V2"}], "]"}]}]}]}]}], "/.", 
                    RowBox[{
                    RowBox[{"vsq3", "[", "v1", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"vsq3", "[", "V1", "]"}], "+", 
                    RowBox[{"2", "\[Epsilon]", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "A1"}], "]"}]}]}]}]}], "/.", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "v2"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "V2"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"A1", ",", "V2"}], "]"}]}]}]}]}], "/.", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "v2"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"A1", ",", "V2"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"BB1", ",", "V2"}], "]"}]}]}]}]}], "/.", 
                   RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "v1"}], "]"}], "->", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"A1", ",", "V1"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"BB1", ",", "V1"}], "]"}], "+", 
                    RowBox[{"vsq3", "[", "A1", "]"}]}], ")"}]}]}]}]}], "/.", 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "a1"}], "]"}], "\[Rule]", 
                   RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "A1"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "A1"}], "]"}], "+", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "BB1"}], "]"}]}], ")"}]}]}]}]}], "/.", 
                 RowBox[{
                  RowBox[{"nccon3", "[", 
                   RowBox[{"r", ",", "b1"}], "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "BB1"}], "]"}], "+", 
                   RowBox[{"\[Epsilon]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "BB1"}], "]"}], "+", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "C1"}], "]"}]}], ")"}]}]}]}]}], "/.", 
                RowBox[{"r", "\[Rule]", 
                 RowBox[{"R", "+", 
                  RowBox[{"\[Epsilon]", " ", 
                   RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V1"}], "]"}], "/", "R"}]}]}]}]}], 
               "]"}], "/.", 
              RowBox[{"R", "\[Rule]", "r"}]}], "/.", 
             RowBox[{"V1", "\[Rule]", "v1"}]}], "/.", 
            RowBox[{"V2", "\[Rule]", "v2"}]}], "/.", 
           RowBox[{"A1", "\[Rule]", "a1"}]}], "/.", 
          RowBox[{"A2", "\[Rule]", "a2"}]}], "/.", 
         RowBox[{"BB1", "\[Rule]", "b1"}]}], "/.", 
        RowBox[{"C1", "\[Rule]", "c1"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"SeriesCoefficient", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Expand", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "/.", 
                    RowBox[{
                    RowBox[{"Power", "[", 
                    RowBox[{"r", ",", "n_"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"Power", "[", 
                    RowBox[{"R", ",", "n"}], "]"}], "-", 
                    RowBox[{"\[Epsilon]", " ", "n", " ", 
                    RowBox[{"Power", "[", 
                    RowBox[{"R", ",", 
                    RowBox[{"n", "-", "2"}]}], "]"}], " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V2"}], "]"}]}]}]}]}], "/.", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V2"}], "]"}], "+", 
                    RowBox[{"\[Epsilon]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"vsq3", "[", "V2", "]"}]}], "+", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "A2"}], "]"}]}], ")"}]}]}]}]}], "/.", 
                   RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V1"}], "]"}], "-", 
                    RowBox[{"\[Epsilon]", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "V2"}], "]"}]}]}]}]}], "/.", 
                  RowBox[{
                   RowBox[{"vsq3", "[", "v2", "]"}], "\[Rule]", 
                   RowBox[{
                    RowBox[{"vsq3", "[", "V2", "]"}], "+", 
                    RowBox[{"2", "\[Epsilon]", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V2", ",", "A2"}], "]"}]}]}]}]}], "/.", 
                 RowBox[{
                  RowBox[{"nccon3", "[", 
                   RowBox[{"v1", ",", "v2"}], "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "V2"}], "]"}], "+", 
                   RowBox[{"\[Epsilon]", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "A2"}], "]"}]}]}]}]}], "/.", 
                RowBox[{
                 RowBox[{"nccon3", "[", 
                  RowBox[{"v1", ",", "a2"}], "]"}], "\[Rule]", 
                 RowBox[{
                  RowBox[{"nccon3", "[", 
                   RowBox[{"V1", ",", "A2"}], "]"}], "+", 
                  RowBox[{"\[Epsilon]", " ", 
                   RowBox[{"nccon3", "[", 
                    RowBox[{"V1", ",", "BB2"}], "]"}]}]}]}]}], "/.", 
               RowBox[{"r", "\[Rule]", 
                RowBox[{"R", "-", 
                 RowBox[{"\[Epsilon]", " ", 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"R", ",", "V2"}], "]"}], "/", "R"}]}]}]}]}], 
              "]"}], "/.", 
             RowBox[{"R", "\[Rule]", "r"}]}], "/.", 
            RowBox[{"V1", "\[Rule]", "v1"}]}], "/.", 
           RowBox[{"V2", "\[Rule]", "v2"}]}], "/.", 
          RowBox[{"A1", "\[Rule]", "a1"}]}], "/.", 
         RowBox[{"A2", "\[Rule]", "a2"}]}], "/.", 
        RowBox[{"BB2", "\[Rule]", "b2"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "}"}]}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"dodelta", "[", 
    RowBox[{"x_", ",", "T_", ",", "r_", ",", "pp_"}], "]"}], ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "/.", 
          RowBox[{
           RowBox[{
            RowBox[{"DiracDelta", "'"}], "[", 
            RowBox[{"t", "-", "T"}], "]"}], "\[Rule]", "0"}]}], "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"DiracDelta", "''"}], "[", 
           RowBox[{"T", "-", "t"}], "]"}], "\[Rule]", "0"}]}], "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"DiracDelta", "'''"}], "[", 
          RowBox[{"T", "-", "t"}], "]"}], "\[Rule]", "0"}]}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"DiracDelta", "''''"}], "[", 
         RowBox[{"T", "-", "t"}], "]"}], "\[Rule]", "0"}]}], ")"}], "+", 
     RowBox[{
      RowBox[{"dt", "[", 
       RowBox[{
        RowBox[{"Coefficient", "[", 
         RowBox[{"x", ",", 
          RowBox[{
           RowBox[{"DiracDelta", "'"}], "[", 
           RowBox[{"t", "-", "T"}], "]"}]}], "]"}], ",", "r"}], "]"}], "[", 
      RowBox[{"[", "pp", "]"}], "]"}], "+", 
     RowBox[{
      RowBox[{"dt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"dt", "[", 
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{"x", ",", 
             RowBox[{
              RowBox[{"DiracDelta", "''"}], "[", 
              RowBox[{"T", "-", "t"}], "]"}]}], "]"}], ",", "r"}], "]"}], "[", 
         RowBox[{"[", "pp", "]"}], "]"}], ",", "r"}], "]"}], "[", 
      RowBox[{"[", "pp", "]"}], "]"}], "+", 
     RowBox[{
      RowBox[{"dt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"dt", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"dt", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"dt", "[", 
                RowBox[{
                 RowBox[{"Coefficient", "[", 
                  RowBox[{"x", ",", 
                   RowBox[{
                    RowBox[{"DiracDelta", "''''"}], "[", 
                    RowBox[{"T", "-", "t"}], "]"}]}], "]"}], ",", "r"}], 
                "]"}], "[", 
               RowBox[{"[", "pp", "]"}], "]"}], ",", "r"}], "]"}], "[", 
            RowBox[{"[", "pp", "]"}], "]"}], ",", "r"}], "]"}], "[", 
         RowBox[{"[", "pp", "]"}], "]"}], ",", "r"}], "]"}], "[", 
      RowBox[{"[", "pp", "]"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"byparts1", "[", "x_", "]"}], ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"x", "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"nccon3", "[", 
        RowBox[{"r", ",", "a1"}], "]"}], "/", "r"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"vsq3", "[", "v1", "]"}], "-", 
          RowBox[{"nccon3", "[", 
           RowBox[{"v1", ",", "v2"}], "]"}], "-", 
          RowBox[{
           RowBox[{"nccon3", "[", 
            RowBox[{"r", ",", "v1"}], "]"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "v1"}], "]"}], "-", 
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
            RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", "r"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"byparts2", "[", "x_", "]"}], ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Expand", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Expand", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"Expand", "[", 
                   RowBox[{"x", "/.", 
                    RowBox[{
                    RowBox[{"r", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "c1"}], "]"}]}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "b1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v2", ",", "b1"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "b1"}], "]"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
                    RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "r"}]}]}], "]"}], 
                  "/.", 
                  RowBox[{
                   RowBox[{"r", " ", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"b1", ",", "v2"}], "]"}]}], "\[Rule]", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "a2"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "v2"}], "]"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
                    RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "r"}]}]}], "/.", 
                 RowBox[{
                  RowBox[{"r", " ", 
                   RowBox[{"nccon3", "[", 
                    RowBox[{"b1", ",", "v1"}], "]"}]}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "a1"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "v1"}], "]"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
                    RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "r"}]}]}], "/.", 
                RowBox[{
                 RowBox[{
                  RowBox[{"nccon3", "[", 
                   RowBox[{"b1", ",", "r"}], "]"}], 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "/", "r"}]}], "\[Rule]", 
                 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "a1"}], "]"}], "+", 
                    RowBox[{"vsq3", "[", "v1", "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "v2"}], "]"}]}], ")"}], 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "a1"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "a1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v2", ",", "a1"}], "]"}]}], ")"}]}], "-", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "r"}], "]"}], 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
                    RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", "r"}]}]}], "/.", 
               RowBox[{
                RowBox[{
                 RowBox[{"nccon3", "[", 
                  RowBox[{"b1", ",", "r"}], "]"}], 
                 RowBox[{
                  RowBox[{"nccon3", "[", 
                   RowBox[{"r", ",", "v2"}], "]"}], "/", "r"}]}], "\[Rule]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "a2"}], "]"}], "+", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "v2"}], "]"}], "-", 
                    RowBox[{"vsq3", "[", "v2", "]"}]}], ")"}], 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "a1"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "a1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"v2", ",", "a1"}], "]"}]}], ")"}]}], "-", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"a1", ",", "r"}], "]"}], 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
                    RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", "r"}]}]}], "/.", 
              RowBox[{
               RowBox[{"nccon3", "[", 
                RowBox[{"a1", ",", "a2"}], "]"}], "\[Rule]", 
               RowBox[{
                RowBox[{"2", "G", " ", "m1", " ", 
                 RowBox[{
                  RowBox[{"nccon3", "[", 
                   RowBox[{"r", ",", "a1"}], "]"}], "/", 
                  RowBox[{"r", "^", "3"}]}]}], "+", 
                RowBox[{
                 RowBox[{"G", "^", "2"}], " ", "m1", " ", 
                 RowBox[{"m2", " ", "/", 
                  RowBox[{"r", "^", "4"}]}]}]}]}]}], "]"}], "/.", 
            RowBox[{
             RowBox[{
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "a1"}], "]"}], 
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "a2"}], "]"}]}], "\[Rule]", 
             RowBox[{
              RowBox[{"2", " ", "G", " ", "m1", " ", 
               RowBox[{
                RowBox[{"nccon3", "[", 
                 RowBox[{"r", ",", "a1"}], "]"}], "/", "r"}]}], "+", 
              RowBox[{
               RowBox[{"G", "^", "2"}], " ", "m1", " ", 
               RowBox[{"m2", " ", "/", 
                RowBox[{"r", "^", "2"}]}]}]}]}]}], "/.", 
           RowBox[{
            RowBox[{
             RowBox[{"nccon3", "[", 
              RowBox[{"r", ",", "v1"}], "]"}], 
             RowBox[{
              RowBox[{"nccon3", "[", 
               RowBox[{"v2", ",", "a1"}], "]"}], "/", "r"}]}], "\[Rule]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "a1"}], "]"}], "+", 
                   RowBox[{"vsq3", "[", "v1", "]"}], "-", 
                   RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "v2"}], "]"}]}], ")"}], 
                 RowBox[{"nccon3", "[", 
                  RowBox[{"v1", ",", "v2"}], "]"}]}], "-", 
                RowBox[{
                 RowBox[{"nccon3", "[", 
                  RowBox[{"r", ",", "v2"}], "]"}], 
                 RowBox[{"nccon3", "[", 
                  RowBox[{"v2", ",", "a1"}], "]"}]}], "-", 
                RowBox[{
                 RowBox[{"nccon3", "[", 
                  RowBox[{"r", ",", "v1"}], "]"}], 
                 RowBox[{"nccon3", "[", 
                  RowBox[{"v1", ",", "v2"}], "]"}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "-", 
                    RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
                  RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", "r"}]}]}], "/.", 
          RowBox[{
           RowBox[{
            RowBox[{"nccon3", "[", 
             RowBox[{"r", ",", "v2"}], "]"}], 
            RowBox[{
             RowBox[{"nccon3", "[", 
              RowBox[{"v1", ",", "a1"}], "]"}], "/", "r"}]}], "\[Rule]", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "a1"}], "]"}], "+", 
                   RowBox[{"vsq3", "[", "v1", "]"}], "-", 
                   RowBox[{"nccon3", "[", 
                    RowBox[{"v1", ",", "v2"}], "]"}]}], ")"}]}], 
                RowBox[{"vsq3", "[", "v2", "]"}]}], "-", 
               RowBox[{
                RowBox[{"nccon3", "[", 
                 RowBox[{"r", ",", "v2"}], "]"}], 
                RowBox[{"vsq3", "[", "v1", "]"}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v1"}], "]"}], "-", 
                   RowBox[{"nccon3", "[", 
                    RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
                 RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", 
            RowBox[{"(", 
             RowBox[{"2", "r"}], ")"}]}]}]}], "]"}], "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"nccon3", "[", 
           RowBox[{"r", ",", "a1"}], "]"}], 
          RowBox[{
           RowBox[{
            RowBox[{"nccon3", "[", 
             RowBox[{"r", ",", "v1"}], "]"}], "^", "2"}], "/", 
           RowBox[{"r", "^", "3"}]}]}], "\[Rule]", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"vsq3", "[", "v1", "]"}], "-", 
                RowBox[{"nccon3", "[", 
                 RowBox[{"v1", ",", "v2"}], "]"}]}], ")"}], 
              RowBox[{
               RowBox[{"nccon3", "[", 
                RowBox[{"r", ",", "v1"}], "]"}], "^", "2"}]}], "-", 
             RowBox[{"3", 
              RowBox[{
               RowBox[{"nccon3", "[", 
                RowBox[{"r", ",", "v1"}], "]"}], "^", "3"}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"nccon3", "[", 
                  RowBox[{"r", ",", "v1"}], "]"}], "-", 
                 RowBox[{"nccon3", "[", 
                  RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
               RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", 
          RowBox[{"(", 
           RowBox[{"3", 
            RowBox[{"r", "^", "3"}]}], ")"}]}]}]}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"nccon3", "[", 
          RowBox[{"r", ",", "a1"}], "]"}], 
         RowBox[{"nccon3", "[", 
          RowBox[{"r", ",", "v1"}], "]"}], 
         RowBox[{
          RowBox[{"nccon3", "[", 
           RowBox[{"r", ",", "v2"}], "]"}], "/", 
          RowBox[{"r", "^", "3"}]}]}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"vsq3", "[", "v1", "]"}], "-", 
               RowBox[{"nccon3", "[", 
                RowBox[{"v1", ",", "v2"}], "]"}]}], ")"}], 
             RowBox[{"nccon3", "[", 
              RowBox[{"r", ",", "v1"}], "]"}], 
             RowBox[{"nccon3", "[", 
              RowBox[{"r", ",", "v2"}], "]"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "v2"}], "]"}], "^", "2"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"nccon3", "[", 
                RowBox[{"r", ",", "a1"}], "]"}], "+", 
               RowBox[{"vsq3", "[", "v1", "]"}], "-", 
               RowBox[{"nccon3", "[", 
                RowBox[{"v1", ",", "v2"}], "]"}]}], ")"}]}], "-", 
            RowBox[{"3", 
             RowBox[{
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "v1"}], "]"}], "^", "2"}], 
             RowBox[{"nccon3", "[", 
              RowBox[{"r", ",", "v2"}], "]"}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nccon3", "[", 
                 RowBox[{"r", ",", "v1"}], "]"}], "-", 
                RowBox[{"nccon3", "[", 
                 RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
              RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", 
         RowBox[{"(", 
          RowBox[{"2", 
           RowBox[{"r", "^", "3"}]}], ")"}]}]}]}], "/.", 
      RowBox[{
       RowBox[{
        RowBox[{"nccon3", "[", 
         RowBox[{"r", ",", "a1"}], "]"}], 
        RowBox[{
         RowBox[{"vsq3", "[", "v1", "]"}], "/", "r"}]}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"vsq3", "[", "v1", "]"}], "-", 
              RowBox[{"nccon3", "[", 
               RowBox[{"v1", ",", "v2"}], "]"}]}], ")"}], 
            RowBox[{"vsq3", "[", "v1", "]"}]}], "+", 
           RowBox[{"2", 
            RowBox[{"nccon3", "[", 
             RowBox[{"r", ",", "v1"}], "]"}], 
            RowBox[{"nccon3", "[", 
             RowBox[{"v1", ",", "a1"}], "]"}]}], "-", 
           RowBox[{
            RowBox[{"vsq3", "[", "v1", "]"}], 
            RowBox[{"nccon3", "[", 
             RowBox[{"r", ",", "v1"}], "]"}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"nccon3", "[", 
                RowBox[{"r", ",", "v1"}], "]"}], "-", 
               RowBox[{"nccon3", "[", 
                RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
             RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", "r"}]}]}], "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"nccon3", "[", 
        RowBox[{"r", ",", "a1"}], "]"}], "/", 
       RowBox[{"r", "^", "2"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"vsq3", "[", "v1", "]"}], "-", 
          RowBox[{"nccon3", "[", 
           RowBox[{"v1", ",", "v2"}], "]"}], "-", 
          RowBox[{"2", 
           RowBox[{"nccon3", "[", 
            RowBox[{"r", ",", "v1"}], "]"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "v1"}], "]"}], "-", 
              RowBox[{"nccon3", "[", 
               RowBox[{"r", ",", "v2"}], "]"}]}], ")"}], "/", 
            RowBox[{"r", "^", "2"}]}]}]}], ")"}]}], "/", 
       RowBox[{"r", "^", "2"}]}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.639818038434363*^9, 3.639818524273204*^9}, {
   3.639818593620319*^9, 3.639818602488159*^9}, {3.639818839295096*^9, 
   3.6398188583123713`*^9}, {3.6398189354793*^9, 3.639818935537548*^9}, {
   3.639818968352113*^9, 3.639818971325461*^9}, {3.6398193477022552`*^9, 
   3.6398193728744593`*^9}, 3.639819428899714*^9, {3.6398195510569143`*^9, 
   3.6398195529822598`*^9}, {3.639819617031465*^9, 3.639819623060945*^9}, {
   3.639819653118718*^9, 3.639819653334134*^9}, {3.639819707522745*^9, 
   3.639819707785592*^9}, 3.639819740595397*^9, {3.639820296044404*^9, 
   3.639820333069646*^9}, {3.6398205114636917`*^9, 3.639820541117725*^9}, {
   3.639820573273212*^9, 3.63982062344799*^9}, {3.639820670133704*^9, 
   3.639820673940752*^9}, {3.6398207100072317`*^9, 3.639820726687264*^9}, {
   3.63982109848805*^9, 3.639821133428502*^9}, {3.639821305131587*^9, 
   3.63982136254427*^9}, {3.639821739611919*^9, 3.639821741123238*^9}, {
   3.6398217923086348`*^9, 3.639821793701985*^9}, {3.639822149751994*^9, 
   3.639822155979528*^9}, {3.639822333556542*^9, 3.639822350442667*^9}, {
   3.639822637224331*^9, 3.639822699460688*^9}, {3.645431473943342*^9, 
   3.645431478109209*^9}, {3.6454322101916523`*^9, 3.645432210310318*^9}, {
   3.64543245762541*^9, 3.6454324850677147`*^9}, {3.645432585418207*^9, 
   3.6454325981823483`*^9}, {3.6454328984300947`*^9, 3.645432981428216*^9}, {
   3.6454331373981743`*^9, 3.645433159149859*^9}, {3.645433792774122*^9, 
   3.645434021849498*^9}, 3.645434662934404*^9, {3.645434749328395*^9, 
   3.645434754843224*^9}, {3.6454348261629543`*^9, 3.645434826272099*^9}, {
   3.645434857402987*^9, 3.645434861294724*^9}, {3.645435083354246*^9, 
   3.645435131683983*^9}, {3.6454353676885777`*^9, 3.6454354088500223`*^9}, {
   3.645435439578332*^9, 3.6454354396723347`*^9}, {3.6454354969654016`*^9, 
   3.645435498915728*^9}, {3.645435533076808*^9, 3.6454355331892433`*^9}, {
   3.64543587703293*^9, 3.645435895576076*^9}, {3.645436301894677*^9, 
   3.645436460591062*^9}, {3.645436495361692*^9, 3.645436641714617*^9}, 
   3.645436711651847*^9, {3.645436748348804*^9, 3.645436803428803*^9}, {
   3.6454369810062733`*^9, 3.6454369871442432`*^9}, 3.645437187625386*^9, {
   3.645441179137598*^9, 3.6454412255636806`*^9}, {3.6454429765407963`*^9, 
   3.6454430501669292`*^9}, {3.645443102888276*^9, 3.645443113928773*^9}, {
   3.6454435898494473`*^9, 3.645443650750668*^9}, {3.645444100204769*^9, 
   3.6454441887480087`*^9}, {3.645444319965713*^9, 3.645444324152403*^9}, {
   3.645444376703766*^9, 3.6454443882379017`*^9}, {3.645444427364009*^9, 
   3.645444678654084*^9}, {3.645444838097382*^9, 3.645444838248157*^9}, {
   3.645444929827269*^9, 3.6454449786479177`*^9}, {3.645445065867135*^9, 
   3.645445139678268*^9}, {3.645445194287218*^9, 3.645445217865986*^9}, {
   3.6454452754793463`*^9, 3.645445304517412*^9}, {3.6454453376345882`*^9, 
   3.645445357088509*^9}, {3.645445419639063*^9, 3.645445450042756*^9}, {
   3.6454455623417473`*^9, 3.645445599965704*^9}, {3.6454456416458073`*^9, 
   3.645445712375572*^9}, {3.6454473311008673`*^9, 3.6454474020011377`*^9}, {
   3.645447455136269*^9, 3.645447459930174*^9}, {3.645447515113405*^9, 
   3.64544753201324*^9}, {3.6454475863096046`*^9, 3.6454475866015244`*^9}, {
   3.645447919733313*^9, 3.645447940500049*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Newtonian order (The solution part starts here)", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.6388729808785143`*^9}, {3.638939571563534*^9, 
   3.638939577052473*^9}, {3.647775775373967*^9, 3.647775791898432*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", "PN0", "]"}]], "Input",
 CellChangeTimes->{{3.638939583622305*^9, 3.638939587138743*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
     {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2, 3}}]}}], "}"}], 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6389395880087547`*^9, 3.6391208161923122`*^9, 3.639193161825302*^9, 
   3.639372837036118*^9, {3.639373166933856*^9, 3.639373182060656*^9}, 
   3.639376139939464*^9, 3.639390196754863*^9, 3.6393903609700823`*^9, 
   3.639456336038899*^9, 3.63946431502242*^9, 3.639718453086429*^9, 
   3.6398180142498217`*^9, 3.64221418325636*^9, 3.642220369405979*^9, 
   3.642220428798284*^9, 3.6422210814682426`*^9, 3.642221164900062*^9, 
   3.6441217178830137`*^9, 3.644138061212483*^9, 3.644212073535451*^9, 
   3.645427300847095*^9, 3.645439737712741*^9, 3.64543993787904*^9, 
   3.6455024207421303`*^9, 3.645508916812357*^9, 3.64551535886088*^9, 
   3.647624501152174*^9, 3.647636860402885*^9, 3.6476839884314337`*^9, 
   3.647698052044159*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{"verpar", "[", 
      RowBox[{"m1", ",", "v1", ",", "1", ",", "0", ",", "0"}], "]"}], 
     RowBox[{"verpar", "[", 
      RowBox[{"m2", ",", "v2", ",", "1", ",", "0", ",", "0"}], "]"}], 
     RowBox[{
      RowBox[{"prop", "[", 
       RowBox[{
       "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",",
         "0"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{" ", 
  RowBox[{"Newt", "=", 
   RowBox[{"limdto3", "[", 
    RowBox[{"I", " ", 
     RowBox[{"PN0sym", "[", 
      RowBox[{"[", "1", "]"}], "]"}], 
     RowBox[{"doint1", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ampli", "/.", 
         RowBox[{"v1", "\[Rule]", "0"}]}], "/.", 
        RowBox[{"v2", "\[Rule]", "0"}]}], ",", "p", ",", "r"}], "]"}]}], 
    "]"}], 
   RowBox[{"(*", "OK", "*)"}]}]}]}], "Input",
 CellChangeTimes->{{3.638940104252654*^9, 3.6389401855429173`*^9}, {
   3.638940449836297*^9, 3.638940478042432*^9}, {3.638940520434168*^9, 
   3.6389405382149687`*^9}, {3.6389406463194323`*^9, 3.638940652024908*^9}, 
   3.638955049738964*^9, {3.63895571868719*^9, 3.6389557192160177`*^9}, 
   3.6391256546582813`*^9, 3.6391291984933033`*^9, {3.639390904826187*^9, 
   3.639390909806549*^9}, {3.639459734600705*^9, 3.639459742137532*^9}, {
   3.639460167303611*^9, 3.639460171023019*^9}, {3.639460321051938*^9, 
   3.639460327262251*^9}, {3.642219179830804*^9, 3.642219185657529*^9}, {
   3.642221059994429*^9, 3.64222106352254*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2"}], 
    RowBox[{"2", " ", "r"}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.63895505077808*^9, 3.638955720542049*^9, 3.638959085829039*^9, 
   3.639120816638832*^9, 3.639122954221987*^9, 3.639123063972151*^9, 
   3.639125655403614*^9, 3.639129199214861*^9, 3.639193162223928*^9, 
   3.639193534717771*^9, 3.639197857865871*^9, 3.639372838336605*^9, {
   3.639373167055097*^9, 3.639373182170006*^9}, 3.639376140471188*^9, 
   3.6393897730583763`*^9, {3.6393901978509493`*^9, 3.639390207250942*^9}, 
   3.639390361076867*^9, 3.6393904650642653`*^9, 3.639390817445071*^9, {
   3.639390902810903*^9, 3.6393909109636374`*^9}, 3.6394563373182487`*^9, 
   3.639458627227665*^9, 3.6394588363174353`*^9, 3.639459743132811*^9, 
   3.6394601716575937`*^9, 3.639460328925014*^9, 3.639464315248011*^9, 
   3.639718454224277*^9, 3.639724707482164*^9, 3.639728186919836*^9, 
   3.639728491115498*^9, 3.639818015225046*^9, 3.639822457119607*^9, 
   3.6422141847767067`*^9, 3.642219190555251*^9, 3.6422203701304073`*^9, 
   3.642220429568879*^9, 3.64222108254972*^9, 3.642221165675953*^9, 
   3.6441217190381517`*^9, 3.644138062064829*^9, 3.644212074414246*^9, 
   3.645427301645028*^9, 3.645431077794775*^9, 3.645432992816072*^9, 
   3.645439738566704*^9, 3.6454399386229057`*^9, 3.6455024218804493`*^9, 
   3.645507894967884*^9, 3.6455089175191936`*^9, 3.645515359011477*^9, 
   3.647624503285966*^9, 3.647636862029791*^9, 3.647683990086334*^9, 
   3.647698053685869*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["1PN", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.6388729808785143`*^9}, {3.638939571563534*^9, 
   3.638939577052473*^9}, {3.638953798790016*^9, 3.638953801726337*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", "PN0", "]"}]], "Input",
 CellChangeTimes->{{3.6389407596133223`*^9, 3.6389407637994967`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
     {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2, 3}}]}}], "}"}], 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.6422210827152576`*^9, 3.642221166054697*^9, 
  3.64412171920292*^9, 3.644138062275652*^9, 3.6442120746098824`*^9, 
  3.6454273018045053`*^9, 3.645439738740156*^9, 3.6454399389178143`*^9, 
  3.645502422034321*^9, 3.6455089178008966`*^9, 3.645515359034408*^9, 
  3.6476245035185757`*^9, 3.647636862258827*^9, 3.647683990356865*^9, 
  3.647698053912125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"SeriesCoefficient", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"verpar", "[", 
          RowBox[{"m1", ",", 
           RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
          "]"}], 
         RowBox[{"verpar", "[", 
          RowBox[{"m2", ",", 
           RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], 
          "]"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"prop", "[", 
             RowBox[{
             "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
              "0", ",", "0"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "+", 
           RowBox[{
            RowBox[{"prop", "[", 
             RowBox[{
             "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
              "0", ",", "1"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "/.", 
      RowBox[{
       RowBox[{"v1", "^", "2"}], "\[Rule]", 
       RowBox[{"vsq", "[", "v1", "]"}]}]}], "/.", 
     RowBox[{
      RowBox[{"v2", "^", "2"}], "\[Rule]", 
      RowBox[{"vsq", "[", "v2", "]"}]}]}], "]"}]}], ";", 
  RowBox[{"PN1a", "=", 
   RowBox[{
    RowBox[{"dodelta", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"limdto3", "[", 
        RowBox[{"Expand", "[", 
         RowBox[{"I", " ", 
          RowBox[{"PN0sym", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"doint1", "[", 
           RowBox[{"ampli", ",", "p", ",", "r"}], "]"}]}], "]"}], "]"}], "/.", 
       RowBox[{"t2", "\[Rule]", "t"}]}], ",", "t1", ",", "r", ",", "1"}], 
     "]"}], 
    RowBox[{"(*", "OK", "*)"}], "/.", 
    RowBox[{
     RowBox[{"vsq3", "[", "v2", "]"}], "->", 
     RowBox[{"vsq3", "[", "v1", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.638940765303615*^9, 3.638940875568434*^9}, {
   3.638940944029232*^9, 3.6389409763308287`*^9}, 3.638941291620639*^9, 
   3.638941330573227*^9, 3.6389413624639482`*^9, {3.638941444831612*^9, 
   3.638941447335413*^9}, {3.638955058407001*^9, 3.6389550645490303`*^9}, {
   3.6389557314611464`*^9, 3.638955731836372*^9}, {3.639122959137394*^9, 
   3.639122992105341*^9}, 3.639125635852127*^9, {3.639129212980837*^9, 
   3.63912921905612*^9}, {3.6393909136019583`*^9, 3.639390917473817*^9}, {
   3.6394597738922358`*^9, 3.6394597782047043`*^9}, {3.639460181023*^9, 
   3.639460184477413*^9}, {3.639820894589224*^9, 3.6398209368434763`*^9}, {
   3.6398223180730352`*^9, 3.6398223206008787`*^9}, {3.639822409653604*^9, 
   3.639822411550107*^9}, {3.642219199388912*^9, 3.642219210798402*^9}, {
   3.645432568243408*^9, 3.6454325757142143`*^9}, {3.645432614214861*^9, 
   3.645432635065318*^9}, 3.6454330016467333`*^9, {3.6454331716715593`*^9, 
   3.645433235864869*^9}, {3.645433640237262*^9, 3.645433678526947*^9}, {
   3.645434458328738*^9, 3.6454344975354557`*^9}, {3.645437284388216*^9, 
   3.645437298330991*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"G", " ", "m1", " ", "m2", " ", 
      RowBox[{
       FormBox["a1",
        TraditionalForm], "\[CenterDot]", 
       FormBox["r",
        TraditionalForm]}]}], 
     RowBox[{"4", " ", "r"}]]}], "+", 
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["r", "3"]}]], "-", 
   FractionBox[
    RowBox[{"7", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    RowBox[{"4", " ", "r"}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6391229747373447`*^9, 3.639123001892807*^9}, 
   3.639123066961513*^9, 3.639125636668458*^9, 3.639129221681137*^9, 
   3.639193162496633*^9, 3.6391935404947977`*^9, 3.639197922330235*^9, 
   3.639213931445993*^9, 3.6393728613713427`*^9, {3.639373167212337*^9, 
   3.639373182327959*^9}, 3.639376150450493*^9, 3.639389779448604*^9, {
   3.639390198251248*^9, 3.639390211850253*^9}, 3.639390361230061*^9, 
   3.63939047225779*^9, 3.639390666989518*^9, 3.639390819419107*^9, 
   3.639390918538404*^9, 3.639456337742277*^9, 3.6394586327953253`*^9, {
   3.6394588423241053`*^9, 3.6394588592696037`*^9}, 3.6394597804993362`*^9, 
   3.639460185490741*^9, 3.6394643323185053`*^9, 3.639718454657333*^9, 
   3.639724714558118*^9, 3.6397281919381037`*^9, 3.639728505190899*^9, 
   3.63981801580822*^9, 3.639820369017412*^9, 3.639820680650326*^9, 
   3.6398209383832493`*^9, {3.639822312493766*^9, 3.639822321512561*^9}, 
   3.6398223561791162`*^9, 3.639822412845685*^9, 3.642214185999077*^9, 
   3.6422192166684628`*^9, 3.642220371868938*^9, 3.642221083871655*^9, 
   3.642221167153384*^9, 3.644121720781752*^9, 3.644138063445794*^9, 
   3.6442120757200127`*^9, 3.645427302892716*^9, 3.645431334958447*^9, 
   3.645432214759166*^9, 3.6454322761400023`*^9, 3.645432490683055*^9, {
   3.645432577339972*^9, 3.645432636335759*^9}, {3.645432998654347*^9, 
   3.645433003289307*^9}, {3.6454331671236277`*^9, 3.64543323861764*^9}, 
   3.645433300953442*^9, {3.645433642041527*^9, 3.645433679955996*^9}, {
   3.6454344759298573`*^9, 3.6454344989522257`*^9}, 3.645434971974234*^9, 
   3.6454372995048122`*^9, 3.6454397400479116`*^9, 3.645439940010614*^9, 
   3.645502423345664*^9, 3.645507902076907*^9, 3.645508919085103*^9, 
   3.645515360102989*^9, 3.647624505956541*^9, 3.6476368647069197`*^9, 
   3.647683992799199*^9, 3.647698056349402*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", "PN1", "]"}]], "Input",
 CellChangeTimes->{{3.638939583622305*^9, 3.638939587138743*^9}, {
  3.638940683279511*^9, 3.6389406833286877`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    GraphicsBox[
     {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2, 3}}]}}], ",", 
    GraphicsBox[
     {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
       {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.3, 3}}]}, 
       {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.3, 3}}]}}}]}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6389395880087547`*^9, 3.638940684734601*^9, 3.638944286187154*^9, 
   3.639193162628478*^9, 3.639213931478731*^9, 3.639372861406962*^9, {
   3.639373167237994*^9, 3.639373182354577*^9}, 3.63939019828214*^9, 
   3.6393903612562313`*^9, 3.639456337768718*^9, 3.63946433234853*^9, 
   3.639718454678926*^9, 3.639818015859394*^9, 3.642214186040227*^9, 
   3.642220372025721*^9, 3.6422204532133427`*^9, 3.642221083964777*^9, 
   3.6422211672455053`*^9, 3.644121720835948*^9, 3.644138063603256*^9, 
   3.644212075893997*^9, 3.645427302953738*^9, 3.645439740131199*^9, 
   3.645439940101597*^9, 3.645502423434206*^9, 3.645508919155016*^9, 
   3.645515360159086*^9, 3.6476245060348988`*^9, 3.647636864781314*^9, 
   3.647683992914131*^9, 3.647698056426009*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{"Expand", "[", 
      RowBox[{"SeriesCoefficient", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"verpar", "[", 
          RowBox[{"m1", ",", 
           RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], 
          "]"}], 
         RowBox[{"verpar", "[", 
          RowBox[{"m2", ",", 
           RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", "0"}], 
          "]"}], 
         RowBox[{
          RowBox[{"prop", "[", 
           RowBox[{
           "p", ",", "t1", ",", "t2", ",", "i", ",", "0", ",", "j", ",", "0", 
            ",", "0"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], "/.", 
     RowBox[{
      RowBox[{"v1", " ", "v2", " ", 
       RowBox[{"MTd", "[", 
        RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
      RowBox[{"nccon", "[", 
       RowBox[{"v1", ",", "v2"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"PN1b", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"I", " ", 
    RowBox[{"PN1sym", "[", 
     RowBox[{"[", "1", "]"}], "]"}], 
    RowBox[{"doint1", "[", 
     RowBox[{"ampli", ",", "p", ",", "r"}], "]"}]}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638940104252654*^9, 3.6389401855429173`*^9}, {
   3.638940449836297*^9, 3.638940478042432*^9}, {3.638940520434168*^9, 
   3.6389405382149687`*^9}, {3.6389406463194323`*^9, 3.638940652024908*^9}, {
   3.6389406952548532`*^9, 3.638940756846058*^9}, {3.638941158918705*^9, 
   3.638941184387577*^9}, {3.6389412162692833`*^9, 3.638941242121792*^9}, {
   3.6389413378587103`*^9, 3.6389413575793867`*^9}, {3.638941469179826*^9, 
   3.63894147043517*^9}, {3.638955072646455*^9, 3.638955131074902*^9}, {
   3.638955742205719*^9, 3.638955742628557*^9}, 3.639125640620921*^9, {
   3.639129227059353*^9, 3.639129243585826*^9}, {3.639376160397553*^9, 
   3.639376160447459*^9}, {3.639390559141453*^9, 3.6393905624227743`*^9}, {
   3.639390923328948*^9, 3.6393909353854933`*^9}, {3.639459787266753*^9, 
   3.639459801088873*^9}, {3.63946018843543*^9, 3.639460191841691*^9}, {
   3.639460335405368*^9, 3.639460339549753*^9}, {3.6422192197016153`*^9, 
   3.64221922570056*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"2", " ", "G", " ", "m1", " ", "m2", " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], "r"], TraditionalForm]], "Output",
 CellChangeTimes->{{3.638955106702187*^9, 3.638955132068492*^9}, 
   3.63895574345094*^9, 3.638956192099045*^9, 3.638959096695037*^9, 
   3.6391230069794064`*^9, 3.639123070860516*^9, 3.639125640850397*^9, 
   3.639129228256824*^9, 3.639193162746711*^9, 3.639193542852024*^9, 
   3.63919789144759*^9, 3.6392139315709677`*^9, 3.639372861537169*^9, {
   3.639373167333372*^9, 3.639373182447215*^9}, {3.63937615270643*^9, 
   3.639376160937191*^9}, 3.6393897814316473`*^9, {3.639390198415069*^9, 
   3.639390213469838*^9}, 3.6393903613464727`*^9, 3.639390474155649*^9, 
   3.6393905174266577`*^9, {3.639390554727367*^9, 3.6393905632390757`*^9}, 
   3.6393906688410997`*^9, 3.639390821236054*^9, 3.639390936557652*^9, 
   3.639456337906596*^9, 3.639458635216564*^9, 3.639458863304695*^9, {
   3.6394597932184477`*^9, 3.63945980222792*^9}, 3.63945983690364*^9, 
   3.639460192643379*^9, 3.639460340441928*^9, 3.639464332465877*^9, 
   3.639718454857737*^9, 3.6397247165289383`*^9, 3.6397281932553596`*^9, 
   3.639728506660684*^9, 3.639818016031866*^9, 3.6398224639194183`*^9, 
   3.642214186203991*^9, 3.642219228612471*^9, 3.6422203722178*^9, 
   3.6422210841302977`*^9, 3.6422211674146338`*^9, 3.6441217210783873`*^9, 
   3.644138063777196*^9, 3.644212076060441*^9, 3.6454273031208467`*^9, {
   3.6454322641390142`*^9, 3.6454322771355762`*^9}, 3.645433302838414*^9, 
   3.645439740317835*^9, 3.6454399402720423`*^9, 3.645502423640407*^9, 
   3.6455079034266644`*^9, 3.645508919334684*^9, 3.645515360273159*^9, 
   3.647624506345105*^9, 3.647636865091135*^9, 3.647683993225202*^9, 
   3.6476980567372723`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"SeriesCoefficient", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"verpar", "[", 
         RowBox[{"m1", ",", 
          RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m1", ",", 
          RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m2", ",", 
          RowBox[{"\[Epsilon]", " ", "v2"}], ",", "2", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0",
            ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0",
            ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"PN1c", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"I", " ", 
    RowBox[{"PN1sym", "[", 
     RowBox[{"[", "2", "]"}], "]"}], 
    RowBox[{"doint1", "[", 
     RowBox[{
      RowBox[{"doint1", "[", 
       RowBox[{"ampli", ",", "pa", ",", "r"}], "]"}], ",", "pb", ",", "r"}], 
     "]"}]}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638940104252654*^9, 3.6389401855429173`*^9}, {
   3.638940449836297*^9, 3.638940478042432*^9}, {3.638940520434168*^9, 
   3.6389405382149687`*^9}, {3.6389406463194323`*^9, 3.638940652024908*^9}, {
   3.6389406952548532`*^9, 3.638940756846058*^9}, {3.638941158918705*^9, 
   3.638941184387577*^9}, {3.6389412162692833`*^9, 3.638941242121792*^9}, {
   3.6389413378587103`*^9, 3.6389413575793867`*^9}, {3.638941469179826*^9, 
   3.63894147043517*^9}, {3.638955072646455*^9, 3.6389551044261227`*^9}, {
   3.638955139255007*^9, 3.638955172301278*^9}, {3.638955520686488*^9, 
   3.638955536396447*^9}, {3.6389557469906282`*^9, 3.63895576225399*^9}, {
   3.6389561125088177`*^9, 3.638956115791774*^9}, {3.638956180847334*^9, 
   3.638956182264742*^9}, {3.638959115010438*^9, 3.638959116025024*^9}, 
   3.639123011772826*^9, 3.639123051417313*^9, {3.639125644629895*^9, 
   3.639125646318144*^9}, {3.639129247373889*^9, 3.639129260036427*^9}, {
   3.639390939251952*^9, 3.639390943167651*^9}, {3.639459805602152*^9, 
   3.639459811845077*^9}, {3.639459868750733*^9, 3.6394598715112047`*^9}, {
   3.6394601961267*^9, 3.639460201558372*^9}, {3.639460343056201*^9, 
   3.6394603477527323`*^9}, {3.639464363765464*^9, 3.639464363819537*^9}, {
   3.64221923180258*^9, 3.642219233913698*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2"}], 
   RowBox[{"2", " ", 
    SuperscriptBox["r", "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6389551732093077`*^9, 3.638955505570179*^9, 3.638955538975918*^9, {
   3.638955750717196*^9, 3.638955763750978*^9}, 3.638956117632513*^9, {
   3.6389561839144363`*^9, 3.638956193033124*^9}, 3.639123007965904*^9, {
   3.639123052480695*^9, 3.639123071983142*^9}, 3.639125646694146*^9, 
   3.639129248001828*^9, 3.63919316312626*^9, 3.6391935449591417`*^9, 
   3.639197903959209*^9, 3.63921393182334*^9, 3.639372861988987*^9, {
   3.639373167600453*^9, 3.6393731827044907`*^9}, 3.6393761634151154`*^9, 
   3.639389782978034*^9, {3.6393901988688393`*^9, 3.6393902149516573`*^9}, 
   3.6393903615953503`*^9, 3.639390669984231*^9, 3.639390830299973*^9, 
   3.639390944800338*^9, 3.63945633833932*^9, 3.639458636414241*^9, 
   3.639458865345697*^9, {3.639459814703389*^9, 3.6394598378495607`*^9}, 
   3.639460203027075*^9, 3.639460348884494*^9, 3.6394643327634087`*^9, 
   3.639718455356338*^9, 3.639724720951494*^9, 3.639728194533176*^9, 
   3.6398180166551027`*^9, 3.639822464922193*^9, 3.6422141868555183`*^9, 
   3.642219235228414*^9, 3.642220372863679*^9, 3.642221084773119*^9, 
   3.642221168094359*^9, 3.644121721889289*^9, 3.644138064407598*^9, 
   3.644212076700576*^9, 3.6454273037473*^9, 3.645432278052045*^9, 
   3.645433305213542*^9, 3.645437313308277*^9, 3.645439741029364*^9, 
   3.645439940930264*^9, 3.6455024243340893`*^9, 3.645508919959605*^9, 
   3.645515360622367*^9, 3.6476245074108763`*^9, 3.647636866159824*^9, 
   3.6476839942883453`*^9, 3.647698057804935*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["2PN", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.6388729808785143`*^9}, {3.638939571563534*^9, 
   3.638939577052473*^9}, {3.638953803759075*^9, 3.638953808553399*^9}, 
   3.639213829569817*^9, {3.639728166452444*^9, 3.63972817523775*^9}, {
   3.6454426582824593`*^9, 3.645442660063789*^9}, {3.647624548001821*^9, 
   3.647624552229826*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", "PN0", "]"}]], "Input",
 CellChangeTimes->{{3.6389407596133223`*^9, 3.6389407637994967`*^9}, 
   3.639213829570442*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
     {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2, 3}}]}}], "}"}], 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213936654449*^9, 3.639372882341804*^9, {3.6393731676335993`*^9, 
   3.639373182734729*^9}, 3.639390199010839*^9, 3.639390361624262*^9, 
   3.6394563384790792`*^9, 3.6394643707912827`*^9, 3.639718455507661*^9, 
   3.6398180168037243`*^9, 3.642214186889996*^9, 3.642220373328332*^9, 
   3.6422210848245687`*^9, 3.642221168147738*^9, 3.644121721933893*^9, 
   3.644138064449725*^9, 3.64421207675303*^9, 3.645427303791731*^9, 
   3.645439741070094*^9, 3.645439940960726*^9, 3.6455024243555393`*^9, 
   3.645508919988228*^9, 3.6455153606504602`*^9, 3.647624507482757*^9, 
   3.647636866228776*^9, 3.647683994389904*^9, 3.647698057894804*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"SeriesCoefficient", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"verpar", "[", 
           RowBox[{"m1", ",", 
            RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}],
            "]"}], 
          RowBox[{"verpar", "[", 
           RowBox[{"m2", ",", 
            RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}],
            "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "1"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "2"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Epsilon]", ",", "0", ",", "4"}], "}"}]}], "]"}], "/.", 
       RowBox[{
        RowBox[{"v_", "^", "2"}], "\[Rule]", 
        RowBox[{"vsq", "[", "v", "]"}]}]}], "/.", 
      RowBox[{
       RowBox[{"v_", "^", "4"}], "\[Rule]", 
       RowBox[{
        RowBox[{"vsq", "[", "v", "]"}], "^", "2"}]}]}], "]"}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"PN2a", "=", 
  RowBox[{
   RowBox[{"dodelta", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"limdto3", "[", 
       RowBox[{"Expand", "[", 
        RowBox[{"I", " ", 
         RowBox[{"PN0sym", "[", 
          RowBox[{"[", "1", "]"}], "]"}], 
         RowBox[{"doint1", "[", 
          RowBox[{"ampli", ",", "p", ",", "r"}], "]"}]}], "]"}], "]"}], "/.", 
      
      RowBox[{"t2", "\[Rule]", "t"}]}], ",", "t1", ",", "r", ",", "1"}], 
    "]"}], "/.", 
   RowBox[{
    RowBox[{
     RowBox[{"vsq3", "[", "v2", "]"}], "^", "2"}], "\[Rule]", 
    RowBox[{
     RowBox[{"vsq3", "[", "v1", "]"}], "^", "2", 
     RowBox[{"(*", "OK", "*)"}]}]}]}]}]}], "Input",
 CellChangeTimes->{{3.638940765303615*^9, 3.638940875568434*^9}, {
   3.638940944029232*^9, 3.6389409763308287`*^9}, 3.638941291620639*^9, 
   3.638941330573227*^9, 3.6389413624639482`*^9, {3.638941444831612*^9, 
   3.638941447335413*^9}, {3.6389551937476254`*^9, 3.638955194105811*^9}, {
   3.638955240962778*^9, 3.6389552713692703`*^9}, {3.638955775758617*^9, 
   3.6389557761416693`*^9}, 3.639125569304949*^9, 3.639213829575541*^9, {
   3.639390952398274*^9, 3.6393909661008387`*^9}, {3.6394599072626257`*^9, 
   3.639459911319971*^9}, {3.6394602106553288`*^9, 3.639460214717352*^9}, {
   3.639460352246045*^9, 3.639460357087034*^9}, 3.639822446266056*^9, {
   3.642219246588253*^9, 3.642219250305381*^9}, {3.6454333234567966`*^9, 
   3.6454333728172007`*^9}, {3.645433406291225*^9, 3.6454335862364073`*^9}, {
   3.645433624456304*^9, 3.645433631600477*^9}, {3.645433726761718*^9, 
   3.645433738399819*^9}, {3.645434520284174*^9, 3.645434541918953*^9}, {
   3.6454345900528*^9, 3.645434605483706*^9}, {3.645507887330339*^9, 
   3.645507889276923*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     RowBox[{
      FormBox["a1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["r",
       TraditionalForm]}], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"8", " ", 
     SuperscriptBox["r", "3"]}]], "-", 
   FractionBox[
    RowBox[{"9", " ", "G", " ", "m1", " ", "m2", " ", 
     RowBox[{
      FormBox["a1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{"4", " ", "r"}]], "-", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     RowBox[{
      FormBox["a1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["r",
       TraditionalForm]}]}], 
    RowBox[{"4", " ", "r"}]], "-", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"], " ", 
     RowBox[{
      FormBox["a1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["r",
       TraditionalForm]}]}], 
    RowBox[{"8", " ", "r"}]], "-", 
   RowBox[{
    FractionBox["15", "16"], " ", 
    SuperscriptBox[
     FormBox["a1",
      TraditionalForm], "2"], " ", "G", " ", "m1", " ", "m2", " ", "r"}], "-", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["a1",
         TraditionalForm], "\[CenterDot]", 
        FormBox["r",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"16", " ", "r"}]], "-", 
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2", " ", 
     RowBox[{
      FormBox["b1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["r",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{"4", " ", "r"}]], "-", 
   RowBox[{"G", " ", "m1", " ", "m2", " ", "r", " ", 
    RowBox[{
     FormBox["b1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v1",
      TraditionalForm]}]}], "-", 
   RowBox[{
    FractionBox["1", "16"], " ", "G", " ", "m1", " ", "m2", " ", "r", " ", 
    RowBox[{
     FormBox["c1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["r",
      TraditionalForm]}]}], "-", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "4"]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["r", "5"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"8", " ", 
     SuperscriptBox["r", "3"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["r", "3"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"]}], 
    RowBox[{"2", " ", "r"}]], "-", 
   FractionBox[
    RowBox[{"23", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       SuperscriptBox[
        FormBox["v1",
         TraditionalForm], "2"],
       TraditionalForm], "2"]}], 
    RowBox[{"16", " ", "r"}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213936903007*^9, 3.639372882608115*^9, {3.6393731677747803`*^9, 
   3.639373182869829*^9}, 3.6393761691590033`*^9, 3.639389789292182*^9, 
   3.63939019914849*^9, 3.639390361764967*^9, {3.639390948096183*^9, 
   3.6393909669890833`*^9}, 3.639456338618457*^9, 3.639458642422214*^9, 
   3.639458870869512*^9, {3.639459901978894*^9, 3.6394599122507067`*^9}, 
   3.639460215418532*^9, 3.63946035838325*^9, 3.6394643710943737`*^9, 
   3.639718455724669*^9, 3.639724726877975*^9, 3.639728201086301*^9, {
   3.639728499036783*^9, 3.63972851303721*^9}, 3.639818017097517*^9, 
   3.639819870892117*^9, 3.639822447058022*^9, 3.642214187193721*^9, 
   3.642219251821474*^9, 3.6422203737042522`*^9, 3.642221085167858*^9, 
   3.642221168482568*^9, 3.644121722343308*^9, 3.64413806476538*^9, 
   3.64421207718823*^9, 3.645427304122843*^9, 3.6454333156355743`*^9, {
   3.645433347496789*^9, 3.645433374128435*^9}, {3.645433408911395*^9, 
   3.645433543648822*^9}, 3.645433578204492*^9, {3.645433618872799*^9, 
   3.645433632928649*^9}, {3.645433729301667*^9, 3.645433739770397*^9}, 
   3.645434133858777*^9, {3.6454345230952806`*^9, 3.64543454384326*^9}, {
   3.645434585982408*^9, 3.6454346070954523`*^9}, 3.645434713234692*^9, 
   3.6454347644538*^9, 3.6454356304384403`*^9, 3.645435924088825*^9, 
   3.6454362608884487`*^9, 3.645439742280361*^9, 3.645439942063034*^9, 
   3.64544266453909*^9, 3.6454426957608013`*^9, 3.645443057610702*^9, 
   3.645443129500513*^9, 3.6454432144859867`*^9, 3.6454442659869347`*^9, 
   3.6455024257795343`*^9, 3.645507870347484*^9, 3.6455079085438213`*^9, 
   3.645508921261785*^9, 3.645515361859138*^9, 3.647624509930876*^9, 
   3.647636868689513*^9, 3.647683996840888*^9, 3.647698060332346*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", "PN1", "]"}]], "Input",
 CellChangeTimes->{{3.638939583622305*^9, 3.638939587138743*^9}, {
   3.638940683279511*^9, 3.6389406833286877`*^9}, 3.639213829576668*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    GraphicsBox[
     {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2, 3}}]}}], ",", 
    GraphicsBox[
     {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
       {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.3, 3}}]}, 
       {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.3, 3}}]}}}]}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213936942753*^9, 3.639372882645556*^9, {3.639373167819243*^9, 
   3.639373182901524*^9}, 3.639390199180724*^9, 3.639390361795704*^9, 
   3.639456338640423*^9, 3.639464371128495*^9, 3.639718455760779*^9, 
   3.639818017128883*^9, 3.64221418731849*^9, 3.642220373737713*^9, 
   3.642221085329453*^9, 3.642221168653583*^9, 3.644121722369607*^9, 
   3.644138064923512*^9, 3.644212077238448*^9, 3.6454273042703114`*^9, 
   3.645439742370859*^9, 3.645439942123188*^9, 3.645502428100388*^9, 
   3.645508921317789*^9, 3.64551536192628*^9, 3.647624510004117*^9, 
   3.647636868765791*^9, 3.64768399695189*^9, 3.6476980604165792`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"verpar", "[", 
            RowBox[{"m1", ",", 
             RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", 
             "0"}], "]"}], 
           RowBox[{"verpar", "[", 
            RowBox[{"m2", ",", 
             RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", 
             "0"}], "]"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "p", ",", "t1", ",", "t2", ",", "i", ",", "0", ",", "j", ",", 
                "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], "+", 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "p", ",", "t1", ",", "t2", ",", "i", ",", "0", ",", "j", ",", 
                "0", ",", "1"}], "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Epsilon]", ",", "0", ",", "4"}], "}"}]}], "]"}], "]"}], 
       "/.", 
       RowBox[{
        RowBox[{"v1", " ", "v2", " ", 
         RowBox[{"MTd", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
        RowBox[{"nccon", "[", 
         RowBox[{"v1", ",", "v2"}], "]"}]}]}], "/.", 
      RowBox[{
       RowBox[{"v1", " ", 
        RowBox[{"v2", "^", "3"}], " ", 
        RowBox[{"MTd", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
       RowBox[{
        RowBox[{"v1", "^", "3"}], "v2", " ", 
        RowBox[{"MTd", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}]}]}], "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"v1", "^", "3"}], " ", "v2", " ", 
       RowBox[{"MTd", "[", 
        RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"vsq", "[", "v1", "]"}], 
       RowBox[{"nccon", "[", 
        RowBox[{"v1", ",", "v2"}], "]"}]}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2b", "=", 
  RowBox[{"dodelta", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"limdto3", "[", " ", 
      RowBox[{"Expand", "[", 
       RowBox[{"I", " ", 
        RowBox[{"PN1sym", "[", 
         RowBox[{"[", "1", "]"}], "]"}], 
        RowBox[{"doint1", "[", 
         RowBox[{"ampli", ",", "p", ",", "r"}], "]"}]}], "]"}], "]"}], "/.", 
     RowBox[{"t2", "\[Rule]", "t"}]}], ",", "t1", ",", "r", ",", "1"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638940104252654*^9, 3.6389401855429173`*^9}, {
   3.638940449836297*^9, 3.638940478042432*^9}, {3.638940520434168*^9, 
   3.6389405382149687`*^9}, {3.6389406463194323`*^9, 3.638940652024908*^9}, {
   3.6389406952548532`*^9, 3.638940756846058*^9}, {3.638941158918705*^9, 
   3.638941184387577*^9}, {3.6389412162692833`*^9, 3.638941242121792*^9}, {
   3.6389413378587103`*^9, 3.6389413575793867`*^9}, {3.638941469179826*^9, 
   3.63894147043517*^9}, {3.638955278501292*^9, 3.638955377705855*^9}, {
   3.6389557813732433`*^9, 3.638955782156516*^9}, 3.639125572959429*^9, 
   3.639213829580675*^9, {3.639376174402219*^9, 3.639376183632835*^9}, {
   3.639390972677627*^9, 3.639390975429178*^9}, {3.6394599145906754`*^9, 
   3.639459918712717*^9}, {3.639460219208151*^9, 3.639460222931817*^9}, {
   3.63946036167129*^9, 3.639460366816345*^9}, {3.6398210220364227`*^9, 
   3.639821033977178*^9}, {3.63982122037776*^9, 3.639821224153919*^9}, {
   3.639821371443873*^9, 3.6398214018525877`*^9}, {3.6398215585217876`*^9, 
   3.639821571263207*^9}, {3.6398217506108637`*^9, 3.639821753182292*^9}, {
   3.6398224734833317`*^9, 3.639822484979286*^9}, {3.6422192543200693`*^9, 
   3.6422192554534187`*^9}, {3.645435934898847*^9, 3.6454359384000263`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", "G", " ", "m1", " ", "m2", " ", 
     RowBox[{
      FormBox["a1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], "r"], "+", 
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2", " ", 
     RowBox[{
      FormBox["a1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["r",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], "r"], "+", 
   RowBox[{"G", " ", "m1", " ", "m2", " ", "r", " ", 
    RowBox[{
     FormBox["b1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], "-", 
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "3"]], "+", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], "r"]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213937040921*^9, 3.639372882746127*^9, {3.639373167919158*^9, 
   3.639373182996917*^9}, 3.6393761844011917`*^9, 3.639389792275051*^9, 
   3.639390199284116*^9, 3.6393903618957787`*^9, 3.63939097663279*^9, 
   3.639391044074293*^9, 3.639456338763948*^9, 3.639458644354653*^9, 
   3.6394588729552603`*^9, 3.639459919576358*^9, 3.639460223604869*^9, 
   3.6394603690997667`*^9, 3.639464371270855*^9, 3.6397184559052258`*^9, 
   3.6397247291616096`*^9, 3.6397282028470163`*^9, 3.639728514429476*^9, 
   3.639818017311215*^9, 3.6398198727688704`*^9, {3.639820999988226*^9, 
   3.639821034472083*^9}, 3.63982116989814*^9, 3.6398212262416277`*^9, 
   3.6398213662916327`*^9, {3.639821397131926*^9, 3.639821402813686*^9}, 
   3.639821509146626*^9, 3.6398215726075687`*^9, 3.639821603226749*^9, {
   3.639821745661544*^9, 3.639821797183013*^9}, {3.639822474967203*^9, 
   3.6398224866735563`*^9}, 3.642214188298724*^9, 3.642219257665629*^9, 
   3.6422203747089453`*^9, 3.64222108629456*^9, 3.6422211696801147`*^9, 
   3.64412172365308*^9, 3.6441380658776073`*^9, 3.644212078183569*^9, 
   3.645427305228982*^9, 3.645435945495852*^9, 3.6454362785446243`*^9, 
   3.6454368913851833`*^9, 3.6454397433105507`*^9, 3.645439943052771*^9, 
   3.645502429186646*^9, 3.645507911099278*^9, 3.6455089223842278`*^9, 
   3.64551536298522*^9, 3.64762451204733*^9, 3.6476368708248177`*^9, 
   3.647683999000766*^9, 3.647698062463928*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"improvep", "[", 
      RowBox[{"Expand", "[", 
       RowBox[{"SeriesCoefficient", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"verpar", "[", 
           RowBox[{"m1", ",", 
            RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}],
            "]"}], 
          RowBox[{"verpar", "[", 
           RowBox[{"m1", ",", 
            RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}],
            "]"}], 
          RowBox[{"verpar", "[", 
           RowBox[{"m2", ",", 
            RowBox[{"\[Epsilon]", " ", "v2"}], ",", "2", ",", "0", ",", "0"}],
            "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "1"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "1"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], 
      "]"}], "/.", 
     RowBox[{
      RowBox[{"v1", "^", "2"}], "\[Rule]", 
      RowBox[{"vsq", "[", "v1", "]"}]}]}], "/.", 
    RowBox[{
     RowBox[{"v2", "^", "2"}], "\[Rule]", 
     RowBox[{"vsq", "[", "v2", "]"}]}]}]}], ";"}], "\n", 
 RowBox[{"PN2c", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"dodelta", "[", 
     RowBox[{
      RowBox[{"dodelta", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"limdto3", "[", 
          RowBox[{"Expand", "[", 
           RowBox[{"I", " ", 
            RowBox[{"PN1sym", "[", 
             RowBox[{"[", "2", "]"}], "]"}], 
            RowBox[{"doint1", "[", 
             RowBox[{
              RowBox[{"doint1", "[", 
               RowBox[{"ampli", ",", "pa", ",", "ra"}], "]"}], ",", "pb", ",",
               "rb"}], "]"}]}], "]"}], "]"}], "/.", 
         RowBox[{"t2", "\[Rule]", "t"}]}], ",", "t1a", ",", "ra", ",", "1"}], 
       "]"}], ",", "t1b", ",", "rb", ",", "1"}], "]"}], "/.", 
    RowBox[{"ra", "\[Rule]", "r"}]}], "/.", 
   RowBox[{"rb", "\[Rule]", "r", 
    RowBox[{"(*", "OK", "*)"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.638941390084399*^9, 3.63894143908121*^9}, {
   3.638941481563168*^9, 3.638941492077466*^9}, {3.638944716361405*^9, 
   3.638944722699769*^9}, {3.638955391511045*^9, 3.638955441499166*^9}, {
   3.638955572791542*^9, 3.638955587294651*^9}, {3.638956135241788*^9, 
   3.638956171675701*^9}, 3.638956219387055*^9, {3.639125576837953*^9, 
   3.639125578805552*^9}, 3.6392138295824013`*^9, {3.639390979250556*^9, 
   3.6393909817678747`*^9}, {3.639459920988716*^9, 3.6394599260627604`*^9}, {
   3.639460226541703*^9, 3.639460230317165*^9}, {3.639460371774564*^9, 
   3.6394603767115173`*^9}, {3.639822050117364*^9, 3.639822064069566*^9}, {
   3.639822213338697*^9, 3.639822265937327*^9}, {3.639822490375486*^9, 
   3.639822503917625*^9}, {3.642219260179777*^9, 3.642219261111394*^9}, {
   3.645436942474985*^9, 3.645436952022422*^9}, {3.645437246524025*^9, 
   3.645437267298902*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["a1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["r",
       TraditionalForm]}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "2"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "4"]}]], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "2"]], "-", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["r", "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6392139376193666`*^9, 3.6393728836988087`*^9, {3.6393731681887703`*^9, 
   3.639373183306931*^9}, 3.6393761879825277`*^9, 3.639389794933259*^9, 
   3.639390200221119*^9, 3.6393903622388144`*^9, 3.639390982704111*^9, 
   3.639391045572075*^9, 3.6394563397089*^9, 3.639458653753186*^9, 
   3.639458874892178*^9, 3.639459927303391*^9, 3.6394602310628643`*^9, 
   3.639460377755046*^9, 3.639464371571967*^9, 3.639718456247038*^9, 
   3.639724732083556*^9, 3.639728204199253*^9, 3.639728515669532*^9, 
   3.639818017752942*^9, 3.6398198763719883`*^9, 3.6398219025150337`*^9, {
   3.6398220476480618`*^9, 3.639822083693657*^9}, 3.6398222676951933`*^9, {
   3.639822491915737*^9, 3.639822505304943*^9}, 3.64221419027741*^9, 
   3.6422192651983557`*^9, 3.6422203767827053`*^9, 3.642221088325049*^9, 
   3.642221171705488*^9, 3.644121726486517*^9, 3.644138067875184*^9, 
   3.6442120802164183`*^9, 3.645427307187592*^9, 3.645435956825407*^9, 
   3.645436894502112*^9, {3.645436938725772*^9, 3.645436954311144*^9}, {
   3.6454372529431353`*^9, 3.6454372692922*^9}, 3.64543730934936*^9, 
   3.645439745354842*^9, 3.645439944866646*^9, 3.645502431536469*^9, 
   3.6455079135697107`*^9, 3.645508924672821*^9, 3.645515365292573*^9, 
   3.6476245163916273`*^9, 3.64763687519529*^9, 3.647684003392384*^9, 
   3.6476980668212214`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638955827673209*^9, 3.6389558736122923`*^9}, {
   3.6389560263833847`*^9, 3.6389560290961227`*^9}, 3.639213829583383*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
     {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2, 1}, {2, 3}}]}}], "}"}], 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.63921393765873*^9, 3.639372883851705*^9, {3.639373168220244*^9, 
   3.639373183336495*^9}, 3.639390200283284*^9, 3.639390362263859*^9, 
   3.639456339768194*^9, 3.6394643716104527`*^9, 3.639718456284264*^9, 
   3.6398180178737097`*^9, 3.6422141903437853`*^9, 3.642220376876155*^9, 
   3.642221088413391*^9, 3.6422211717941227`*^9, 3.644121726608119*^9, 
   3.644138068021221*^9, 3.644212080356155*^9, 3.645427307228167*^9, 
   3.6454397454420223`*^9, 3.6454399448923187`*^9, 3.6455024315791807`*^9, 
   3.645508924725574*^9, 3.645515365320858*^9, 3.647624516469055*^9, 
   3.647636875260611*^9, 3.647684003494388*^9, 3.6476980669107723`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{"Contract", "[", 
     RowBox[{
      RowBox[{"Expand", "[", 
       RowBox[{"SeriesCoefficient", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"verpar", "[", 
           RowBox[{"m1", ",", 
            RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "0", ",", "1"}],
            "]"}], 
          RowBox[{"verpar", "[", 
           RowBox[{"m2", ",", 
            RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "0", ",", "1"}],
            "]"}], 
          RowBox[{
           RowBox[{"prop", "[", 
            RowBox[{
            "p", ",", "t1", ",", "t2", ",", "i", ",", "j", ",", "k", ",", "l",
              ",", "0"}], "]"}], "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Epsilon]", ",", "0", ",", "4"}], "}"}]}], "]"}], "]"}], "/.", 
      RowBox[{
       RowBox[{
        RowBox[{"v1", "^", "2"}], " ", 
        RowBox[{"v2", "^", "2"}]}], " ", "\[Rule]", 
       RowBox[{
        RowBox[{"TVd", "[", 
         RowBox[{"v1", ",", "i"}], "]"}], 
        RowBox[{"TVd", "[", 
         RowBox[{"v1", ",", "j"}], "]"}], 
        RowBox[{"TVd", "[", 
         RowBox[{"v2", ",", "k"}], "]"}], 
        RowBox[{"TVd", "[", 
         RowBox[{"v2", ",", "l"}], "]"}]}]}]}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2d", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"Expand", "[", 
    RowBox[{"I", " ", 
     RowBox[{"PN2sym", "[", 
      RowBox[{"[", "1", "]"}], "]"}], 
     RowBox[{"doint1", "[", 
      RowBox[{"ampli", ",", "p", ",", "r"}], "]"}]}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638940104252654*^9, 3.6389401855429173`*^9}, {
   3.638940449836297*^9, 3.638940478042432*^9}, {3.638940520434168*^9, 
   3.6389405382149687`*^9}, {3.6389406463194323`*^9, 3.638940652024908*^9}, {
   3.6389406952548532`*^9, 3.638940756846058*^9}, {3.638941158918705*^9, 
   3.638941184387577*^9}, {3.6389412162692833`*^9, 3.638941242121792*^9}, {
   3.6389413378587103`*^9, 3.6389413575793867`*^9}, {3.638941469179826*^9, 
   3.63894147043517*^9}, {3.638955072646455*^9, 3.638955131074902*^9}, {
   3.638955742205719*^9, 3.638955742628557*^9}, {3.638955912626316*^9, 
   3.6389560540449743`*^9}, 3.6391255827782516`*^9, {3.639129286995838*^9, 
   3.639129292614798*^9}, 3.639213829586217*^9, {3.639376192943771*^9, 
   3.6393761987532187`*^9}, {3.6393910487201366`*^9, 3.639391052353785*^9}, {
   3.639459941552704*^9, 3.639459946075242*^9}, {3.639460233333246*^9, 
   3.639460238225956*^9}, {3.639460380221034*^9, 3.6394603849023542`*^9}, {
   3.642219268460478*^9, 3.642219270877707*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"]}], "r"], "-", 
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["v1",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v2",
         TraditionalForm]}],
       TraditionalForm], "2"]}], "r"]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213937864173*^9, 3.6393728839932547`*^9, {3.639373168316811*^9, 
   3.639373183433132*^9}, 3.6393761992835283`*^9, 3.639389798091826*^9, 
   3.639390200400429*^9, 3.639390362356434*^9, 3.6393910530888443`*^9, 
   3.639456339891066*^9, 3.639458663679953*^9, 3.639458877896741*^9, 
   3.639459947591051*^9, 3.639460238966486*^9, 3.639460386131618*^9, 
   3.639464371776141*^9, 3.639718456440394*^9, 3.639724735996202*^9, 
   3.639728207458147*^9, 3.639728517578465*^9, 3.639818018062694*^9, 
   3.642214190512285*^9, 3.6422192723488913`*^9, 3.642220377046793*^9, 
   3.6422210885790653`*^9, 3.642221171977796*^9, 3.644121726827044*^9, 
   3.644138068183957*^9, 3.644212080525342*^9, 3.645427307395216*^9, 
   3.645435962687442*^9, 3.6454397456344013`*^9, 3.645439945061254*^9, 
   3.645502431746282*^9, 3.645507926260496*^9, 3.6455089248892527`*^9, 
   3.645515365474448*^9, 3.647624516780879*^9, 3.647636875571576*^9, 
   3.647684003809054*^9, 3.647698067227687*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "2", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638955827673209*^9, 3.6389558736122923`*^9}, {
   3.6389560263833847`*^9, 3.6389560290961227`*^9}, {3.6389560637855997`*^9, 
   3.638956064849955*^9}, 3.639213829587143*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.3, 3}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.3, 3}}]}}}], "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213937926465*^9, 3.6393728840469503`*^9, {3.639373168342535*^9, 
   3.639373183457923*^9}, 3.63939020043478*^9, 3.639390362381839*^9, 
   3.639456339930621*^9, 3.6394643719299717`*^9, 3.639718456516384*^9, 
   3.6398180181743917`*^9, 3.642214190538546*^9, 3.64222037707769*^9, 
   3.6422210886137342`*^9, 3.642221172010442*^9, 3.644121726884048*^9, 
   3.644138068224676*^9, 3.644212080563747*^9, 3.645427307414287*^9, 
   3.645439745664662*^9, 3.64543994507694*^9, 3.645502431767605*^9, 
   3.645508924921795*^9, 3.645515365493862*^9, 3.647624516838442*^9, 
   3.647636875610162*^9, 3.647684003870103*^9, 3.647698067275502*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{"Expand", "[", 
      RowBox[{"SeriesCoefficient", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"verpar", "[", 
          RowBox[{"m1", ",", 
           RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
          "]"}], 
         RowBox[{"verpar", "[", 
          RowBox[{"m1", ",", 
           RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], 
          "]"}], 
         RowBox[{"verpar", "[", 
          RowBox[{"m2", ",", 
           RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "1", ",", "0"}], 
          "]"}], 
         RowBox[{
          RowBox[{"prop", "[", 
           RowBox[{
           "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
            "0", ",", "0"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], 
         RowBox[{
          RowBox[{"prop", "[", 
           RowBox[{
           "pb", ",", "t1b", ",", "t2", ",", "i", ",", "0", ",", "j", ",", 
            "0", ",", "0"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], "/.", 
     RowBox[{
      RowBox[{"v1", " ", "v2", " ", 
       RowBox[{"MTd", "[", 
        RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
      RowBox[{"nccon", "[", 
       RowBox[{"v1", ",", "v2"}], "]"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2e", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"Expand", "[", 
    RowBox[{"I", " ", 
     RowBox[{"PN2sym", "[", 
      RowBox[{"[", "2", "]"}], "]"}], 
     RowBox[{"doint1", "[", 
      RowBox[{
       RowBox[{"doint1", "[", 
        RowBox[{"ampli", ",", "pa", ",", "r"}], "]"}], ",", "pb", ",", "r"}], 
      "]"}]}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638940104252654*^9, 3.6389401855429173`*^9}, {
   3.638940449836297*^9, 3.638940478042432*^9}, {3.638940520434168*^9, 
   3.6389405382149687`*^9}, {3.6389406463194323`*^9, 3.638940652024908*^9}, {
   3.6389406952548532`*^9, 3.638940756846058*^9}, {3.638941158918705*^9, 
   3.638941184387577*^9}, {3.6389412162692833`*^9, 3.638941242121792*^9}, {
   3.6389413378587103`*^9, 3.6389413575793867`*^9}, {3.638941469179826*^9, 
   3.63894147043517*^9}, {3.638955072646455*^9, 3.6389551044261227`*^9}, {
   3.638955139255007*^9, 3.638955172301278*^9}, {3.638955520686488*^9, 
   3.638955536396447*^9}, {3.6389557469906282`*^9, 3.63895576225399*^9}, 
   3.63895608454438*^9, {3.6389562350578423`*^9, 3.638956323839264*^9}, {
   3.639125587932089*^9, 3.639125589587159*^9}, {3.639129147722581*^9, 
   3.6391291494185143`*^9}, 3.639129304179781*^9, 3.6392138295895357`*^9, {
   3.6393762056443253`*^9, 3.639376205718156*^9}, {3.63939105673094*^9, 
   3.639391060804495*^9}, {3.639459954342574*^9, 3.63945998729681*^9}, {
   3.639460244599598*^9, 3.639460249847189*^9}, {3.639460389169127*^9, 
   3.63946039405765*^9}, {3.639464421675304*^9, 3.639464422905197*^9}, {
   3.642219275732327*^9, 3.6422192773697853`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6392139381467733`*^9, 3.639372884284482*^9, {3.6393731685405273`*^9, 
   3.639373183666067*^9}, {3.639376202706806*^9, 3.639376206217478*^9}, 
   3.639389801303219*^9, 3.639390200648543*^9, 3.639390362573956*^9, 
   3.639391061776783*^9, 3.63945634014668*^9, 3.6394586665374002`*^9, 
   3.639458880740361*^9, 3.639459977096594*^9, 3.6394602505059223`*^9, 
   3.6394603960682087`*^9, 3.639464372180447*^9, 3.6397184567570677`*^9, 
   3.639723931355744*^9, 3.6397247630112762`*^9, 3.639728230871719*^9, 
   3.6397285209344997`*^9, 3.639818018471162*^9, 3.642214190805451*^9, 
   3.642219278911872*^9, 3.642220377347704*^9, 3.642221088882757*^9, 
   3.642221172295035*^9, 3.6441217272514267`*^9, 3.644138068493244*^9, 
   3.6442120808301277`*^9, 3.6454273076858473`*^9, 3.6454359646838293`*^9, 
   3.645439745961856*^9, 3.645439945345262*^9, 3.64550243204329*^9, 
   3.64550792988938*^9, 3.6455089251896887`*^9, 3.645515365788373*^9, 
   3.647624517344379*^9, 3.647636876118363*^9, 3.647684004378796*^9, 
   3.64769806778749*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "3", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124082499452*^9, 
   3.639124082560236*^9}, 3.639213829590419*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213938193616*^9, 3.639372884331519*^9, {3.6393731685719967`*^9, 
   3.639373183693035*^9}, 3.639390200674271*^9, 3.6393903625977507`*^9, 
   3.639456340188096*^9, 3.639464372228423*^9, 3.6397184567888536`*^9, 
   3.639818018509739*^9, 3.642214190835143*^9, 3.64222037737952*^9, 
   3.642221088918067*^9, 3.642221172328705*^9, 3.644121727302682*^9, 
   3.644138068546949*^9, 3.644212080881094*^9, 3.645427307705791*^9, 
   3.6454397460022078`*^9, 3.645439945362894*^9, 3.645502432065198*^9, 
   3.645508925223115*^9, 3.645515365808722*^9, 3.647624517386717*^9, 
   3.647636876160901*^9, 3.6476840044411783`*^9, 3.647698067832786*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"(*", "OK", "*)"}], 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Contract", "[", 
          RowBox[{"Expand", "[", 
           RowBox[{"SeriesCoefficient", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m2", ",", 
                RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",",
                  "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pb", ",", "t1b", ",", "t", ",", "0", ",", "0", ",", "0", ",",
                  "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "p", ",", "t", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
                 "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{"L3\[Phi]perm", "[", 
               RowBox[{"t", ",", 
                RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
                RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", "p",
                 ",", "T2", ",", "j", ",", "0"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], 
           "]"}], "]"}], "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"DiracDelta", "'"}], "[", 
           RowBox[{"t", "-", "T2"}], "]"}], "\[Rule]", 
          RowBox[{
           RowBox[{"-", "I"}], " ", 
           RowBox[{"nccon", "[", 
            RowBox[{"p", ",", "v2"}], "]"}]}]}]}], "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"DiracDelta", "'"}], "[", 
          RowBox[{"t", "-", "T1b"}], "]"}], "\[Rule]", 
         RowBox[{"I", " ", 
          RowBox[{"nccon", "[", 
           RowBox[{"pb", ",", "v1"}], "]"}]}]}]}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"DiracDelta", "'"}], "[", 
         RowBox[{"t", "-", "T1a"}], "]"}], "\[Rule]", 
        RowBox[{"I", " ", 
         RowBox[{"nccon", "[", 
          RowBox[{"pa", ",", "v1"}], "]"}]}]}]}], "/.", 
      RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
     RowBox[{"pb", "\[Rule]", 
      RowBox[{"p", "-", "p1"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PN2f", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"I", " ", 
        RowBox[{"PN2sym", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p"}], 
      "]"}], ",", "p", ",", "r"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.639201202779462*^9, 3.6392012208031178`*^9}, {
   3.639201278186418*^9, 3.639201301476542*^9}, {3.639201348339797*^9, 
   3.639201388201056*^9}, 3.639213829593133*^9, {3.639373256163356*^9, 
   3.6393732617617397`*^9}, {3.6394593042293463`*^9, 3.639459309351839*^9}, {
   3.639460000065386*^9, 3.639460018549396*^9}, {3.639460410822731*^9, 
   3.639460418242463*^9}, {3.639728271746986*^9, 3.6397282755234127`*^9}, {
   3.639728340587823*^9, 3.6397283662005463`*^9}, {3.6397283999543123`*^9, 
   3.639728400216881*^9}, {3.639728623666789*^9, 3.63972864433008*^9}, {
   3.639728695182938*^9, 3.6397287029528313`*^9}, {3.639822544759033*^9, 
   3.639822603219054*^9}, {3.642219282013425*^9, 3.642219287341978*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "4"]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "4"]}]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639459310417954*^9, {3.6394600071525917`*^9, 3.6394600198664923`*^9}, 
   3.63946025426707*^9, {3.6394604046687117`*^9, 3.639460419214294*^9}, {
   3.639460529192586*^9, 3.6394605579815207`*^9}, 3.639460651501191*^9, 
   3.6394643752085943`*^9, 3.6397184599571533`*^9, 3.6397247697313337`*^9, 
   3.639728234650138*^9, 3.639728367302236*^9, 3.6397284022585497`*^9, 
   3.639728524042389*^9, {3.6397286270249977`*^9, 3.6397286456929092`*^9}, 
   3.639728703917244*^9, 3.639818018949861*^9, {3.639822546063096*^9, 
   3.639822578988325*^9}, 3.642214194784194*^9, 3.6422192886338987`*^9, 
   3.6422203798870153`*^9, 3.6422210929622593`*^9, 3.642221176353609*^9, 
   3.644121732845834*^9, 3.6441380724419603`*^9, 3.6442120847131844`*^9, 
   3.6454273117267103`*^9, 3.645435969963941*^9, 3.645439750268404*^9, 
   3.6454399500151567`*^9, 3.645502436035017*^9, 3.645507932027503*^9, 
   3.645508929151545*^9, 3.6455153663668537`*^9, 3.647624524602683*^9, 
   3.647636883423375*^9, 3.647684011782518*^9, 3.647698075138361*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "4", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124078992373*^9, 
   3.639124079048596*^9}, 3.639213829596311*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2.6, 1.9}, {2, 3}}]}}}], "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213938528618*^9, 3.639372884666171*^9, {3.6393731689715767`*^9, 
   3.639373183988667*^9}, 3.6393902012052517`*^9, 3.639390363096451*^9, 
   3.639456340871784*^9, 3.639464375357039*^9, 3.63971845998568*^9, 
   3.639728584991404*^9, 3.639818019125394*^9, 3.6422141948224792`*^9, 
   3.6422210930602283`*^9, 3.642221176496912*^9, 3.644121732981626*^9, 
   3.6441380725211782`*^9, 3.644212084835683*^9, 3.645427311778989*^9, 
   3.645439750359415*^9, 3.6454399500514927`*^9, 3.645502436081856*^9, 
   3.645508929275304*^9, 3.6455153663991547`*^9, 3.647624524676981*^9, 
   3.647636883502475*^9, 3.6476840118966*^9, 3.647698075228979*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Contract", "[", 
         RowBox[{"Expand", "[", 
          RowBox[{"SeriesCoefficient", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m2", ",", 
                RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", 
                "0"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",",
                  "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pb", ",", "t1b", ",", "t", ",", "0", ",", "0", ",", "0", ",",
                  "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "p", ",", "t", ",", "t2", ",", "i", ",", "0", ",", "j", ",", 
                 "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}], 
              RowBox[{"L2\[Phi]1Aperm", "[", 
               RowBox[{"t", ",", 
                RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
                RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", "p",
                 ",", "T2", ",", "j", ",", "0"}], "]"}]}], "/.", 
             RowBox[{"v2", "\[Rule]", 
              RowBox[{"TVd", "[", 
               RowBox[{"v2", ",", "i"}], "]"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], 
          "]"}], "]"}], "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"DiracDelta", "'"}], "[", 
          RowBox[{"t", "-", "T1b"}], "]"}], "\[Rule]", 
         RowBox[{"I", " ", 
          RowBox[{"nccon", "[", 
           RowBox[{"pb", ",", "v1"}], "]"}]}]}]}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"DiracDelta", "'"}], "[", 
         RowBox[{"t", "-", "T1a"}], "]"}], "\[Rule]", 
        RowBox[{"I", " ", 
         RowBox[{"nccon", "[", 
          RowBox[{"pa", ",", "v1"}], "]"}]}]}]}], "/.", 
      RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
     RowBox[{"pb", "\[Rule]", 
      RowBox[{"p", "-", "p1"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2g", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"I", " ", 
        RowBox[{"PN2sym", "[", 
         RowBox[{"[", "4", "]"}], "]"}], " ", "ampli"}], ",", "p1", ",", 
       "p"}], "]"}], ",", "p", ",", "r"}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.639200992940916*^9, 3.6392010615497627`*^9}, {
   3.6392014252547607`*^9, 3.6392014418725777`*^9}, {3.639201712701949*^9, 
   3.63920171565383*^9}, {3.63920177867855*^9, 3.639201794632064*^9}, 
   3.6392138296002617`*^9, {3.639214145837126*^9, 3.639214146005084*^9}, {
   3.639373277679172*^9, 3.639373282292365*^9}, {3.639459214756575*^9, 
   3.6394592274407473`*^9}, {3.6394593200326977`*^9, 3.639459320087791*^9}, {
   3.639460572481082*^9, 3.639460578267571*^9}, {3.6394606812840853`*^9, 
   3.639460698164509*^9}, {3.639819885016932*^9, 3.639819902028359*^9}, {
   3.642219291352285*^9, 3.642219292383707*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "4"]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213938788953*^9, 3.639214148026383*^9, 3.639215056970407*^9, 
   3.639215119993164*^9, 3.6393728849674997`*^9, {3.639373169247719*^9, 
   3.639373184228177*^9}, 3.639373283223518*^9, 3.6393902014765368`*^9, 
   3.639390363355177*^9, 3.6394563411912823`*^9, 3.639459229159074*^9, 
   3.63945932445184*^9, {3.639460569158494*^9, 3.639460579957131*^9}, 
   3.639460654620079*^9, 3.63946437794265*^9, 3.6397184626042223`*^9, 
   3.6397247762489862`*^9, 3.639728238396387*^9, 3.6397285869991007`*^9, 
   3.639818021892755*^9, {3.63981989344059*^9, 3.639819902972983*^9}, 
   3.642214196367424*^9, 3.64221929447433*^9, 3.642221094627287*^9, 
   3.6422211780848293`*^9, 3.644121735148818*^9, 3.6441380740282917`*^9, 
   3.644212086329707*^9, 3.645427313278137*^9, 3.645435973270979*^9, 
   3.645439752052055*^9, 3.645439952190624*^9, 3.645502437676968*^9, 
   3.6455079341470203`*^9, 3.6455089309058*^9, 3.64551536686299*^9, 
   3.647624527544718*^9, 3.6476368863555517`*^9, 3.647684014745308*^9, 
   3.647698078076288*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "5", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, 3.6392138296011887`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213938917284*^9, 3.639372885083048*^9, {3.639373169278462*^9, 
   3.639373184272787*^9}, 3.63939020153376*^9, 3.639390363380887*^9, 
   3.639456341226061*^9, 3.639464119565558*^9, 3.63946437806468*^9, 
   3.639718462631411*^9, 3.6398180220364513`*^9, 3.642214196396575*^9, 
   3.642221094732061*^9, 3.642221178196748*^9, 3.6441217352673807`*^9, 
   3.644138074109055*^9, 3.6442120864751387`*^9, 3.645427313319744*^9, 
   3.645439752134053*^9, 3.6454399522253647`*^9, 3.645502437723981*^9, 
   3.6455089309437923`*^9, 3.64551536687766*^9, 3.6476245276686687`*^9, 
   3.6476368864382772`*^9, 3.647684014866949*^9, 3.647698078155727*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Contract", "[", 
       RowBox[{"Expand", "[", 
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"verpar", "[", 
             RowBox[{"m1", ",", 
              RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
              "0"}], "]"}], 
            RowBox[{"verpar", "[", 
             RowBox[{"m1", ",", 
              RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
              "0"}], "]"}], 
            RowBox[{"verpar", "[", 
             RowBox[{"m2", ",", 
              RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "0", ",", 
              "1"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pb", ",", "t1b", ",", "t", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "p", ",", "t", ",", "t2", ",", "i", ",", "j", ",", "k", ",", 
               "l", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "3", "]"}], "]"}], 
            RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
             RowBox[{"t", ",", 
              RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
              RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", "p", 
              ",", "T2", ",", "k", ",", "l"}], "]"}]}], "/.", 
           RowBox[{
            RowBox[{"v2", "^", "2"}], "\[Rule]", 
            RowBox[{
             RowBox[{"TVd", "[", 
              RowBox[{"v2", ",", "i"}], "]"}], 
             RowBox[{"TVd", "[", 
              RowBox[{"v2", ",", "j"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], 
       "]"}], "/.", 
      RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
     RowBox[{"pb", "\[Rule]", 
      RowBox[{"p", "-", "p1"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2h", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"I", " ", 
        RowBox[{"PN2sym", "[", 
         RowBox[{"[", "5", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p"}], 
      "]"}], ",", "p", ",", "r"}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956600901058*^9, 3.638956763899684*^9}, {
   3.6389568043342876`*^9, 3.638956827982863*^9}, {3.638956880943071*^9, 
   3.638956936382268*^9}, {3.638957055295923*^9, 3.638957086166314*^9}, {
   3.639123212748993*^9, 3.639123232518805*^9}, {3.639123495858986*^9, 
   3.6391235985085363`*^9}, {3.6391236454281178`*^9, 3.639123734960606*^9}, {
   3.6391240117790527`*^9, 3.63912406475144*^9}, {3.639193899261722*^9, 
   3.63919390265495*^9}, {3.639197973575582*^9, 3.63919798497103*^9}, {
   3.6391981754052067`*^9, 3.63919817841374*^9}, 3.639213829605043*^9, {
   3.639214152440756*^9, 3.639214152575618*^9}, {3.63937328746743*^9, 
   3.639373292977488*^9}, {3.6394593296222363`*^9, 3.639459341897217*^9}, {
   3.6394594867470007`*^9, 3.639459490475855*^9}, {3.639460703403379*^9, 
   3.639460709291751*^9}, {3.639461229476865*^9, 3.639461232161791*^9}, {
   3.642219297348497*^9, 3.642219302804269*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "2"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v2",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "4"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213939202199*^9, 3.639214154765933*^9, {3.639215045873515*^9, 
   3.639215060682953*^9}, 3.6392151215433903`*^9, 3.639372885381166*^9, {
   3.6393731695701437`*^9, 3.6393731845420923`*^9}, 3.639373293830286*^9, 
   3.63939020181714*^9, 3.6393903636839237`*^9, 3.6394563415561647`*^9, 
   3.639459346259116*^9, 3.639459497277595*^9, 3.6394607106183033`*^9, 
   3.639461232955078*^9, 3.6394641367775106`*^9, 3.6394643807806168`*^9, 
   3.639718465259905*^9, {3.639724784680212*^9, 3.6397247891068087`*^9}, 
   3.639728242113765*^9, 3.639728590312989*^9, 3.639818024754442*^9, 
   3.642214199231427*^9, 3.6422193045908203`*^9, 3.642221097478177*^9, 
   3.642221180974161*^9, 3.6441217388257923`*^9, 3.644138076775909*^9, 
   3.6441388046696568`*^9, 3.64421208911447*^9, 3.64542731597965*^9, 
   3.64543597669635*^9, 3.645439755091778*^9, 3.645439955284669*^9, 
   3.6455024405017557`*^9, 3.645507936320853*^9, 3.645508933890277*^9, 
   3.645515367330098*^9, 3.647624532665234*^9, 3.647636891459363*^9, 
   3.647684019895834*^9, 3.647698083175809*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "6", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124088082053*^9, 
   3.639124088145455*^9}, 3.63921382960609*^9, {3.647685690652988*^9, 
   3.647685690700779*^9}, {3.6476857209257927`*^9, 3.647685720965127*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213939245594*^9, 3.6393728854341173`*^9, {3.639373169608824*^9, 
   3.639373184574411*^9}, 3.639390201844206*^9, 3.639390363714487*^9, 
   3.639456341591947*^9, 3.639464380976562*^9, 3.639718465287079*^9, 
   3.639818024847196*^9, 3.6422141992584753`*^9, 3.6422210975745153`*^9, 
   3.642221181057679*^9, 3.64412173896845*^9, 3.644138076866609*^9, 
   3.6442120892327127`*^9, 3.6454273160225267`*^9, 3.645439755173792*^9, 
   3.645439955316063*^9, 3.645502440547214*^9, 3.645508933918749*^9, 
   3.6455153673449306`*^9, 3.647624532778977*^9, 3.647636891529044*^9, 
   3.647684020017413*^9, 3.647685691441986*^9, 3.647685721486631*^9, 
   3.647698083254081*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Contract", "[", 
         RowBox[{"Expand", "[", 
          RowBox[{"SeriesCoefficient", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m2", ",", 
                RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",",
                  "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pb", ",", "t1b", ",", "t", ",", "i", ",", "0", ",", "j", ",",
                  "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "p", ",", "t", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
                 "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{"L2\[Phi]1Aperm", "[", 
               RowBox[{"t", ",", 
                RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", "p",
                 ",", "T2", ",", "0", ",", "0", ",", 
                RowBox[{"-", "pb"}], ",", "T1b", ",", "j", ",", "0"}], 
               "]"}]}], "/.", 
             RowBox[{"v1", "\[Rule]", 
              RowBox[{"TVd", "[", 
               RowBox[{"v1", ",", "i"}], "]"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], 
          "]"}], "]"}], "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"DiracDelta", "'"}], "[", 
          RowBox[{"t", "-", "T2"}], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"-", "I"}], " ", 
          RowBox[{"nccon", "[", 
           RowBox[{"p", ",", "v2"}], "]"}]}]}]}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"DiracDelta", "'"}], "[", 
         RowBox[{"t", "-", "T1a"}], "]"}], "\[Rule]", 
        RowBox[{"I", " ", 
         RowBox[{"nccon", "[", 
          RowBox[{"pa", ",", "v1"}], "]"}]}]}]}], "/.", 
      RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
     RowBox[{"pb", "\[Rule]", 
      RowBox[{"p", "-", "p1"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2i", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"I", " ", 
        RowBox[{"PN2sym", "[", 
         RowBox[{"[", "6", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p"}], 
      "]"}], ",", "p", ",", "r"}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.639201118283046*^9, 3.63920115812578*^9}, {
   3.639201462433283*^9, 3.6392014694155083`*^9}, {3.639201829622266*^9, 
   3.639201834944744*^9}, {3.6392020320762*^9, 3.63920203753563*^9}, 
   3.639213829609861*^9, {3.6392141581314297`*^9, 3.6392141582662888`*^9}, {
   3.6393732982890453`*^9, 3.639373303110202*^9}, {3.6394595069028263`*^9, 
   3.63945953042173*^9}, {3.639460731216823*^9, 3.6394607358253*^9}, {
   3.6398185644232063`*^9, 3.6398185847119713`*^9}, {3.6398186878207607`*^9, 
   3.63981872002071*^9}, {3.639819947747819*^9, 3.63982002497955*^9}, {
   3.639820093334738*^9, 3.639820120939701*^9}, {3.639820184820383*^9, 
   3.639820202660969*^9}, {3.6398202377758493`*^9, 3.639820247583838*^9}, 
   3.639822615124861*^9, {3.6422193073445*^9, 3.642219308543975*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"4", " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      RowBox[{
       FormBox["r",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v1",
        TraditionalForm]}], " ", 
      RowBox[{
       FormBox["r",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}]}], 
     SuperscriptBox["r", "4"]]}], "-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213939505924*^9, 3.6392141657333317`*^9, {3.639215048073538*^9, 
   3.639215062514176*^9}, 3.639215122972241*^9, 3.6393728857096148`*^9, {
   3.639373169912857*^9, 3.639373184814543*^9}, 3.639373304745932*^9, 
   3.639390202101953*^9, 3.639390363974784*^9, 3.639456341877164*^9, {
   3.639459508630726*^9, 3.639459532958684*^9}, 3.63946073742315*^9, 
   3.63946438278916*^9, 3.639718467167691*^9, 3.6397248123408203`*^9, 
   3.639728245420217*^9, 3.639728593333601*^9, 3.6398180267282667`*^9, 
   3.6398180727312183`*^9, {3.639818551780065*^9, 3.639818585569106*^9}, {
   3.639818631311036*^9, 3.6398186599249983`*^9}, {3.6398186983881903`*^9, 
   3.639818722038745*^9}, 3.639819041090919*^9, 3.639819658793558*^9, 
   3.6398199076513433`*^9, {3.639819957298645*^9, 3.639819983881701*^9}, {
   3.6398200354427767`*^9, 3.639820067458976*^9}, 3.63982010247689*^9, 
   3.63982020534328*^9, 3.639820239801832*^9, 3.639822615997143*^9, 
   3.64221420210634*^9, 3.642219310128681*^9, 3.642221100272111*^9, 
   3.642221183756748*^9, 3.6441217425084743`*^9, 3.644138079483184*^9, 
   3.644212091836203*^9, 3.644213406607168*^9, 3.6454273187805653`*^9, 
   3.645435979403509*^9, 3.6454397580564957`*^9, 3.645439957984581*^9, 
   3.6455024431946898`*^9, 3.645507941614709*^9, 3.6455089366584253`*^9, 
   3.645515367738871*^9, 3.6476245376638737`*^9, 3.647636896428627*^9, 
   3.6476840249822073`*^9, 3.647698088153812*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "7", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124088082053*^9, 
   3.639124088145455*^9}, 3.63921382960609*^9, {3.6476857265901318`*^9, 
   3.64768572663428*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2.6, 1.9}, {2, 3}}]}}}], "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213939245594*^9, 3.6393728854341173`*^9, {3.639373169608824*^9, 
   3.639373184574411*^9}, 3.639390201844206*^9, 3.639390363714487*^9, 
   3.639456341591947*^9, 3.639464380976562*^9, 3.639718465287079*^9, 
   3.639818024847196*^9, 3.6422141992584753`*^9, 3.6422210975745153`*^9, 
   3.642221181057679*^9, 3.64412173896845*^9, 3.644138076866609*^9, 
   3.6442120892327127`*^9, 3.6454273160225267`*^9, 3.645439755173792*^9, 
   3.645439955316063*^9, 3.645502440547214*^9, 3.645508933918749*^9, 
   3.6455153673449306`*^9, 3.647624532778977*^9, 3.647636891529044*^9, 
   3.647684020017413*^9, 3.6476857275233393`*^9, 3.647698088233522*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Contract", "[", 
       RowBox[{"Expand", "[", 
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"verpar", "[", 
              RowBox[{"m1", ",", 
               RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m1", ",", 
               RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m2", ",", 
               RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", 
               "0"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", 
                "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pb", ",", "t1b", ",", "t", ",", "i", ",", "0", ",", "k", ",", 
                "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "p", ",", "t", ",", "t2", ",", "j", ",", "0", ",", "l", ",", 
                "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], 
             RowBox[{"L1\[Phi]2Aperm", "[", 
              RowBox[{"t", ",", 
               RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
               RowBox[{"-", "pb"}], ",", "T1b", ",", "k", ",", "0", ",", "p", 
               ",", "T2", ",", "l", ",", "0"}], "]"}]}], "/.", 
            RowBox[{"v1", "\[Rule]", 
             RowBox[{"TVd", "[", 
              RowBox[{"v1", ",", "i"}], "]"}]}]}], "/.", 
           RowBox[{"v2", "->", 
            RowBox[{"TVd", "[", 
             RowBox[{"v2", ",", "j"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], 
       "]"}], "/.", 
      RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
     RowBox[{"pb", "\[Rule]", 
      RowBox[{"p", "-", "p1"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2j", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"I", " ", 
        RowBox[{"PN2sym", "[", 
         RowBox[{"[", "7", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p"}], 
      "]"}], ",", "p", ",", "r"}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956600901058*^9, 3.638956763899684*^9}, {
   3.6389568043342876`*^9, 3.638956827982863*^9}, {3.638956880943071*^9, 
   3.638956936382268*^9}, {3.638957055295923*^9, 3.638957086166314*^9}, {
   3.639123212748993*^9, 3.639123232518805*^9}, {3.639123285440144*^9, 
   3.639123328373534*^9}, {3.6391233756367483`*^9, 3.639123380030389*^9}, {
   3.639123415231563*^9, 3.639123469955216*^9}, {3.6391237476871967`*^9, 
   3.6391239495581923`*^9}, {3.639193603990497*^9, 3.639193611754808*^9}, {
   3.6391980048870487`*^9, 3.639198019188361*^9}, {3.639198197455482*^9, 
   3.639198206765959*^9}, 3.639213829614682*^9, {3.6392141688970013`*^9, 
   3.6392141690877438`*^9}, {3.639373312407902*^9, 3.6393733178777313`*^9}, {
   3.6394595383416567`*^9, 3.639459549561391*^9}, {3.639460741372985*^9, 
   3.639460746663571*^9}, {3.642219313284445*^9, 3.642219317163568*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"8", " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], 
   SuperscriptBox["r", "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213939787981*^9, 3.639214171068874*^9, 3.639215065475141*^9, 
   3.639215124456707*^9, 3.639372886011602*^9, {3.6393731703049517`*^9, 
   3.63937318506573*^9}, 3.639373318718172*^9, 3.639390202387496*^9, 
   3.639390364277338*^9, 3.6394563422135487`*^9, 3.639459550882893*^9, 
   3.63946074800887*^9, 3.639464383228354*^9, 3.639718467511512*^9, 
   3.639724816727453*^9, 3.6397282492316732`*^9, 3.639728305865293*^9, 
   3.639728596455719*^9, 3.6398180271625977`*^9, 3.642214202452064*^9, 
   3.64221931900198*^9, 3.6422211006995077`*^9, 3.642221184181265*^9, 
   3.644121743019372*^9, 3.644138079908098*^9, 3.6442120922786713`*^9, 
   3.64542731924152*^9, 3.6454359798026533`*^9, 3.645439758511365*^9, 
   3.6454399583343563`*^9, 3.645502443574988*^9, 3.645507944348399*^9, 
   3.6455089370968237`*^9, 3.645515368113439*^9, 3.647624538382429*^9, 
   3.647636897112167*^9, 3.647684025765779*^9, 3.647698088840681*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "8", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, 
   3.639213829615395*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139398331013`*^9, 3.639372886136014*^9, {3.6393731703450193`*^9, 
   3.63937318509227*^9}, 3.639390202424643*^9, 3.6393903643049*^9, 
   3.6394563422495728`*^9, 3.639464383266333*^9, 3.639718467526311*^9, 
   3.6398180272093067`*^9, 3.642214202466763*^9, 3.642221100737434*^9, 
   3.6422211842180862`*^9, 3.6441217430581207`*^9, 3.6441380799414587`*^9, 
   3.644212092331501*^9, 3.645427319261025*^9, 3.645439758553294*^9, 
   3.6454399583504972`*^9, 3.645502443598695*^9, 3.645508937120521*^9, 
   3.6455153681340237`*^9, 3.647624538429719*^9, 3.6476368971543922`*^9, 
   3.647684025815097*^9, 3.647698088889419*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Contract", "[", 
       RowBox[{"Expand", "[", 
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"verpar", "[", 
             RowBox[{"m1", ",", 
              RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
              "0"}], "]"}], 
            RowBox[{"verpar", "[", 
             RowBox[{"m1", ",", 
              RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "0", ",", 
              "1"}], "]"}], 
            RowBox[{"verpar", "[", 
             RowBox[{"m2", ",", 
              RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
              "0"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pb", ",", "t1b", ",", "t", ",", "i", ",", "j", ",", "k", ",", 
               "l", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "3", "]"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "p", ",", "t", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], 
            RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
             RowBox[{"t", ",", 
              RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", "p", 
              ",", "T2", ",", "0", ",", "0", ",", 
              RowBox[{"-", "pb"}], ",", "T1b", ",", "k", ",", "l"}], "]"}]}], 
           "/.", 
           RowBox[{
            RowBox[{"v1", "^", "2"}], "\[Rule]", 
            RowBox[{
             RowBox[{"TVd", "[", 
              RowBox[{"v1", ",", "i"}], "]"}], 
             RowBox[{"TVd", "[", 
              RowBox[{"v1", ",", "j"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], 
       "]"}], "/.", 
      RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
     RowBox[{"pb", "\[Rule]", 
      RowBox[{"p", "-", "p1"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2k", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"I", " ", 
        RowBox[{"PN2sym", "[", 
         RowBox[{"[", "8", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p"}], 
      "]"}], ",", "p", ",", "r"}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956600901058*^9, 3.638956763899684*^9}, {
   3.6389568043342876`*^9, 3.638956827982863*^9}, {3.638956880943071*^9, 
   3.638956936382268*^9}, {3.638957055295923*^9, 3.638957086166314*^9}, {
   3.639123212748993*^9, 3.639123232518805*^9}, {3.639123495858986*^9, 
   3.6391235985085363`*^9}, {3.6391236454281178`*^9, 3.639123734960606*^9}, {
   3.639193940882242*^9, 3.6391939461184483`*^9}, {3.6391980319565372`*^9, 
   3.6391980488982477`*^9}, {3.639198212520379*^9, 3.63919822314605*^9}, 
   3.639213829619217*^9, {3.63921417470813*^9, 3.6392141748425837`*^9}, {
   3.6393733230292683`*^9, 3.63937332843539*^9}, {3.639459555173657*^9, 
   3.639459567394071*^9}, {3.639460761430873*^9, 3.639460765914949*^9}, {
   3.639460848114498*^9, 3.639460852486471*^9}, {3.639461095074712*^9, 
   3.6394610973081093`*^9}, {3.63946117566923*^9, 3.639461181694355*^9}, {
   3.639724680739441*^9, 3.63972468078511*^9}, {3.6422193219751377`*^9, 
   3.6422193230862837`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213940203671*^9, 3.639214177101536*^9, 3.6392150670777884`*^9, 
   3.639215126230894*^9, 3.639372886435603*^9, {3.639373170618744*^9, 
   3.639373185365004*^9}, 3.639373329370379*^9, 3.639390202711721*^9, 
   3.63939036460887*^9, 3.63945634258797*^9, 3.6394595682335777`*^9, {
   3.6394607673125067`*^9, 3.639460780279153*^9}, {3.6394608531974087`*^9, 
   3.639460872972795*^9}, 3.6394610909525633`*^9, 3.639461182987934*^9, 
   3.639464383668641*^9, 3.63946443597396*^9, 3.639718467948604*^9, 
   3.639722181704824*^9, 3.639723569261792*^9, 3.639723606032559*^9, 
   3.639723839302558*^9, 3.639724033737443*^9, 3.639724675393379*^9, 
   3.639724820072193*^9, 3.639728252938369*^9, 3.639728308802096*^9, 
   3.639728599404956*^9, 3.639818028780487*^9, 3.642214204098877*^9, 
   3.642219324743978*^9, 3.64222110234196*^9, 3.642221185808099*^9, 
   3.644121745288782*^9, 3.644138081467942*^9, 3.644212093858433*^9, 
   3.645427320789864*^9, {3.645435981433097*^9, 3.645435984562962*^9}, 
   3.6454397602529583`*^9, 3.645439960293106*^9, 3.645502445228129*^9, 
   3.645507947261107*^9, 3.6455089391610413`*^9, 3.645515368558803*^9, 
   3.647624541313743*^9, 3.647636900037807*^9, 3.6476840287386713`*^9, 
   3.64769809176451*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "9", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.6391232687470284`*^9, 3.6391232688022833`*^9}, 3.639213829619925*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139402494087`*^9, 3.639372886487262*^9, {3.639373170662285*^9, 
   3.6393731854097433`*^9}, 3.639390202793013*^9, 3.639390364633957*^9, 
   3.639456342627849*^9, 3.6394643837170258`*^9, 3.6397184679883833`*^9, 
   3.639818028876698*^9, 3.642214204127956*^9, 3.642221102440613*^9, 
   3.6422211858918657`*^9, 3.6441217454133577`*^9, 3.6441380815630627`*^9, 
   3.6442120939785843`*^9, 3.645427320832485*^9, 3.6454397603378363`*^9, 
   3.64543996032734*^9, 3.645502445275326*^9, 3.645508939195237*^9, 
   3.6455153685737*^9, 3.6476245414327908`*^9, 3.647636900123919*^9, 
   3.6476980918502827`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Contract", "[", 
       RowBox[{"Expand", "[", 
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"verpar", "[", 
             RowBox[{"m1", ",", 
              RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", 
              "0"}], "]"}], 
            RowBox[{"verpar", "[", 
             RowBox[{"m1", ",", 
              RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", 
              "0"}], "]"}], 
            RowBox[{"verpar", "[", 
             RowBox[{"m2", ",", 
              RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
              "0"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pa", ",", "t1a", ",", "t", ",", "i", ",", "0", ",", "k", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "pb", ",", "t1b", ",", "t", ",", "j", ",", "0", ",", "l", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], 
            RowBox[{
             RowBox[{"prop", "[", 
              RowBox[{
              "p", ",", "t", ",", "t2", ",", "0", ",", "0", ",", "0", ",", 
               "0", ",", "0"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], 
            RowBox[{"L1\[Phi]2Aperm", "[", 
             RowBox[{"t", ",", "p", ",", "T2", ",", "0", ",", "0", ",", 
              RowBox[{"-", "pa"}], ",", "T1a", ",", "k", ",", "0", ",", 
              RowBox[{"-", "pb"}], ",", "T1b", ",", "l", ",", "0"}], "]"}]}], 
           "/.", 
           RowBox[{
            RowBox[{"v1", "^", "2"}], "\[Rule]", 
            RowBox[{
             RowBox[{"TVd", "[", 
              RowBox[{"v1", ",", "i"}], "]"}], 
             RowBox[{"TVd", "[", 
              RowBox[{"v1", ",", "j"}], "]"}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], 
       "]"}], "/.", 
      RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
     RowBox[{"pb", "\[Rule]", 
      RowBox[{"p", "-", "p1"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2l", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"I", " ", 
        RowBox[{"PN2sym", "[", 
         RowBox[{"[", "9", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p"}], 
      "]"}], ",", "p", ",", "r"}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956600901058*^9, 3.638956763899684*^9}, {
   3.6389568043342876`*^9, 3.638956827982863*^9}, {3.638956880943071*^9, 
   3.638956936382268*^9}, {3.638957055295923*^9, 3.638957086166314*^9}, {
   3.639123212748993*^9, 3.639123232518805*^9}, {3.639123285440144*^9, 
   3.639123328373534*^9}, {3.6391233756367483`*^9, 3.639123380030389*^9}, {
   3.639123415231563*^9, 3.639123469955216*^9}, {3.6391237476871967`*^9, 
   3.6391238336736727`*^9}, {3.639193631695726*^9, 3.639193635627083*^9}, {
   3.639193679558332*^9, 3.6391936885438538`*^9}, {3.639193780447979*^9, 
   3.639193785760146*^9}, {3.6391980605320807`*^9, 3.639198074986602*^9}, {
   3.639198230178688*^9, 3.639198232368557*^9}, 3.639213829623827*^9, {
   3.639214180390595*^9, 3.6392141805017433`*^9}, {3.639373333643085*^9, 
   3.63937333929666*^9}, {3.639459573679647*^9, 3.639459580720613*^9}, {
   3.639459647131675*^9, 3.6394596525566053`*^9}, {3.639461199225545*^9, 
   3.639461204202428*^9}, {3.639461244081126*^9, 3.639461246721382*^9}, {
   3.642219327685461*^9, 3.6422193311795483`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213940494844*^9, 3.6392141826481857`*^9, 3.6392150687817497`*^9, 
   3.6392151276691027`*^9, 3.639372886742841*^9, {3.639373170886716*^9, 
   3.639373185634953*^9}, 3.6393733402991257`*^9, 3.639390203051876*^9, 
   3.639390364883369*^9, 3.639456342947503*^9, 3.639459582179796*^9, {
   3.6394596251591988`*^9, 3.639459653653599*^9}, {3.639461189244946*^9, 
   3.639461205401465*^9}, 3.639461247464408*^9, 3.639464384038701*^9, 
   3.639464438910553*^9, 3.639718468309372*^9, 3.639724830304132*^9, 
   3.639728311784979*^9, 3.639728602507206*^9, 3.6398180291864243`*^9, 
   3.642214204473762*^9, 3.642219332302733*^9, 3.642221102754396*^9, 
   3.642221186206551*^9, 3.6441217458392477`*^9, 3.6441380818813353`*^9, 
   3.644212094295896*^9, 3.645427321220008*^9, 3.645435986127193*^9, 
   3.645439760680249*^9, 3.645439960716619*^9, 3.6455024455978413`*^9, 
   3.645507949626404*^9, 3.64550893959475*^9, 3.645515368883491*^9, 
   3.647624542029158*^9, 3.647636900720161*^9, 3.6476840294525213`*^9, 
   3.647698092446556*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "10", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6389563258783073`*^9, 3.638956353714344*^9}, 
   3.63921382962475*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.3, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.3, 1}, {2, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.3, 1}, {2.3, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139405325747`*^9, 3.6393728867900553`*^9, {3.6393731709289503`*^9, 
   3.639373185664949*^9}, 3.6393902030818987`*^9, 3.639390364906246*^9, 
   3.639456343007268*^9, 3.639464384151311*^9, 3.6397184683561697`*^9, 
   3.639818029215519*^9, 3.642214204488533*^9, 3.642221102781385*^9, 
   3.642221186240725*^9, 3.644121745880596*^9, 3.64413808191883*^9, 
   3.64421209433631*^9, 3.6454273212416162`*^9, 3.645439760726026*^9, 
   3.645439960734831*^9, 3.645502445619976*^9, 3.645508939615303*^9, 
   3.645515368910143*^9, 3.647624542094349*^9, 3.6476369007575912`*^9, 
   3.64768402950681*^9, 3.647698092495082*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"SeriesCoefficient", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"verpar", "[", 
         RowBox[{"m1", ",", 
          RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m1", ",", 
          RowBox[{"\[Epsilon]", " ", "v1"}], ",", "2", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m2", ",", 
          RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m2", ",", 
          RowBox[{"\[Epsilon]", " ", "v2"}], ",", "2", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pa", ",", "t1a", ",", "t2b", ",", "0", ",", "0", ",", "0", ",", 
           "0", ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pb", ",", "t1b", ",", "t2b", ",", "0", ",", "0", ",", "0", ",", 
           "0", ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pc", ",", "t1b", ",", "t2a", ",", "0", ",", "0", ",", "0", ",", 
           "0", ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PN2m", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"Expand", "[", 
    RowBox[{"I", " ", 
     RowBox[{"PN2sym", "[", 
      RowBox[{"[", "10", "]"}], "]"}], 
     RowBox[{"doint1", "[", 
      RowBox[{
       RowBox[{"doint1", "[", 
        RowBox[{
         RowBox[{"doint1", "[", 
          RowBox[{"ampli", ",", "pa", ",", "r"}], "]"}], ",", "pb", ",", 
         "r"}], "]"}], ",", "pc", ",", "r"}], "]"}]}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956357694084*^9, 3.638956526723155*^9}, {
   3.6391256081479692`*^9, 3.639125611069365*^9}, {3.639198083880199*^9, 
   3.63919809530541*^9}, 3.639213829626855*^9, {3.639459681997583*^9, 
   3.639459687415662*^9}, {3.639461254214973*^9, 3.639461258752898*^9}, {
   3.642219334975099*^9, 3.642219337541956*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "2"], " ", 
     SuperscriptBox["m2", "2"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "3"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639213940959342*^9, 3.639215070999638*^9, 3.63921512954513*^9, 
   3.639372887319517*^9, {3.639373171416359*^9, 3.6393731860576487`*^9}, 
   3.639390203604768*^9, 3.6393903652897873`*^9, 3.639456343542585*^9, {
   3.639459661536017*^9, 3.6394596887851048`*^9}, {3.639461252048296*^9, 
   3.639461259968135*^9}, 3.639464384581262*^9, 3.639464443123252*^9, 
   3.639718468894384*^9, 3.639724834704916*^9, 3.6397283147963457`*^9, 
   3.639728605420044*^9, 3.63981802992319*^9, 3.6422142053971977`*^9, 
   3.642219339096436*^9, 3.642221103475254*^9, 3.642221186947699*^9, 
   3.644121746812796*^9, 3.644138082612144*^9, 3.644212095030518*^9, 
   3.645427322099141*^9, 3.645435988094228*^9, 3.645439761490053*^9, 
   3.645439961537387*^9, 3.645502446365426*^9, 3.645507951935232*^9, 
   3.64550894075482*^9, 3.645515369449504*^9, 3.647624543422119*^9, 
   3.647636902088888*^9, 3.6476840308377733`*^9, 3.64769809382339*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "11", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6389563258783073`*^9, 3.638956353714344*^9}, {
   3.638956539312315*^9, 3.638956539361988*^9}, 3.639213829627829*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{3, 1}, {2.6, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139410887547`*^9, 3.6393728874571047`*^9, {3.639373171469349*^9, 
   3.6393731860831347`*^9}, 3.639390203633965*^9, 3.6393903653484907`*^9, 
   3.639456343583928*^9, 3.6394643846206217`*^9, 3.6397184689230556`*^9, 
   3.639818030015688*^9, 3.6422142054255257`*^9, 3.6422211035605927`*^9, 
   3.642221187027625*^9, 3.64412174693393*^9, 3.644138082717573*^9, 
   3.6442120951489973`*^9, 3.6454273221422443`*^9, 3.6454397615738153`*^9, 
   3.645439961569318*^9, 3.645502446412119*^9, 3.6455089407999067`*^9, 
   3.645515369464304*^9, 3.647624543562729*^9, 3.6476369021651*^9, 
   3.64768403096415*^9, 3.647698093900922*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"SeriesCoefficient", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"verpar", "[", 
         RowBox[{"m1", ",", 
          RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m1", ",", 
          RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m1", ",", 
          RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{"verpar", "[", 
         RowBox[{"m2", ",", 
          RowBox[{"\[Epsilon]", " ", "v2"}], ",", "3", ",", "0", ",", "0"}], 
         "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0",
            ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0",
            ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], 
        RowBox[{
         RowBox[{"prop", "[", 
          RowBox[{
          "pc", ",", "t1c", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0",
            ",", "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PN2n", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"Expand", "[", 
    RowBox[{"I", " ", 
     RowBox[{"PN2sym", "[", 
      RowBox[{"[", "11", "]"}], "]"}], 
     RowBox[{"doint1", "[", 
      RowBox[{
       RowBox[{"doint1", "[", 
        RowBox[{
         RowBox[{"doint1", "[", 
          RowBox[{"ampli", ",", "pa", ",", "r"}], "]"}], ",", "pb", ",", 
         "r"}], "]"}], ",", "pc", ",", "r"}], "]"}]}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956357694084*^9, 3.6389565690500097`*^9}, {
   3.639125617529155*^9, 3.6391256205143023`*^9}, 3.639198099568898*^9, 
   3.639213829630224*^9, {3.6394597079794617`*^9, 3.6394597221816597`*^9}, {
   3.639461274385396*^9, 3.639461294502719*^9}, {3.642219342011944*^9, 
   3.642219349222526*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "3"], " ", "m2"}], 
    RowBox[{"6", " ", 
     SuperscriptBox["r", "3"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6392139415279903`*^9, 3.639215072833334*^9, 3.639215131551877*^9, 
   3.6393728881488657`*^9, {3.639373171928685*^9, 3.6393731865001783`*^9}, 
   3.639390204305791*^9, 3.639390365759184*^9, 3.639456344315247*^9, {
   3.639459712403625*^9, 3.639459723458597*^9}, 3.639461281590952*^9, 
   3.6394643850814133`*^9, 3.639718469647086*^9, 3.639724838806623*^9, 
   3.6397283179739*^9, 3.6397286084959517`*^9, 3.639818031155107*^9, 
   3.642214206905829*^9, 3.6422193513326*^9, 3.642221104684764*^9, 
   3.6422211881699953`*^9, 3.644121748365925*^9, 3.64413808380872*^9, 
   3.644212096236644*^9, 3.6454273233307467`*^9, 3.64543598987278*^9, 
   3.6454397627936497`*^9, 3.645439962850924*^9, 3.645502447520329*^9, 
   3.645507954493009*^9, 3.645508942137541*^9, 3.645515370132957*^9, 
   3.6476245455751677`*^9, 3.647636904185004*^9, 3.647684032974044*^9, 
   3.647698095914311*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "12", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.6391241031163*^9, 
   3.639124103246866*^9}, 3.639213829631158*^9, {3.6392149991817703`*^9, 
   3.6392150040948887`*^9}, 3.64550796399269*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{3, 1}, {1.6, 1.8}}]}, 
      {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2.6, 1.9}, {1.6, 1.8}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1.6, 1.8}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213941572227*^9, 3.639372888221649*^9, {3.6393731719659967`*^9, 
   3.6393731865493603`*^9}, 3.639390204381143*^9, 3.6393903657889957`*^9, 
   3.639456344396181*^9, 3.6394643852397842`*^9, 3.6397184697116756`*^9, 
   3.639818031253645*^9, 3.64221420695982*^9, 3.6422211047810917`*^9, 
   3.642221188248662*^9, 3.644121748476565*^9, 3.6441380839225073`*^9, 
   3.644212096352776*^9, 3.6454273233777523`*^9, 3.645439762880802*^9, 
   3.64543996288678*^9, 3.645502447572215*^9, 3.64550894217624*^9, 
   3.6455153701628523`*^9, 3.647624545718053*^9, 3.647636904271442*^9, 
   3.647684033108595*^9, 3.647698096002761*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Contract", "[", 
         RowBox[{"Expand", "[", 
          RowBox[{"SeriesCoefficient", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"verpar", "[", 
              RowBox[{"m1", ",", 
               RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m1", ",", 
               RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m1", ",", 
               RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m2", ",", 
               RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pa", ",", "t1a", ",", "tI", ",", "0", ",", "0", ",", "0", ",",
                 "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pb", ",", "t1b", ",", "tI", ",", "0", ",", "0", ",", "0", ",",
                 "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pc", ",", "t1c", ",", "tII", ",", "0", ",", "0", ",", "0", 
                ",", "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "p", ",", "t2", ",", "tII", ",", "0", ",", "0", ",", "0", ",", 
                "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pz", ",", "tI", ",", "tII", ",", "i", ",", "j", ",", "k", ",",
                 "l", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "3", "]"}], "]"}], 
             RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
              RowBox[{"tI", ",", 
               RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
               RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", "pz",
                ",", "TII", ",", "k", ",", "l"}], "]"}], 
             RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
              RowBox[{"tII", ",", 
               RowBox[{"-", "pc"}], ",", "T1c", ",", "0", ",", "0", ",", "p", 
               ",", "T2", ",", "0", ",", "0", ",", 
               RowBox[{"-", "pz"}], ",", "TI", ",", "i", ",", "j"}], "]"}]}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], 
          "]"}], "]"}], "/.", 
        RowBox[{"pz", "\[Rule]", "p1"}]}], "/.", 
       RowBox[{"pc", "\[Rule]", 
        RowBox[{"p", "-", "p1"}]}]}], "/.", 
      RowBox[{"pb", "\[Rule]", 
       RowBox[{"p1", "-", "p2"}]}]}], "/.", 
     RowBox[{"pa", "\[Rule]", "p2"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2o", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"doint2", "[", 
        RowBox[{
         RowBox[{"I", " ", 
          RowBox[{"PN2sym", "[", 
           RowBox[{"[", "12", "]"}], "]"}], 
          RowBox[{"improvep", "[", "ampli", "]"}]}], ",", "p2", ",", "p1"}], 
        "]"}], ",", "p1", ",", "p"}], "]"}], ",", "p", ",", "r"}], "]"}], 
   "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956357694084*^9, 3.6389565690500097`*^9}, {
   3.6391241310766487`*^9, 3.639124363603434*^9}, {3.639198267520419*^9, 
   3.639198275379898*^9}, 3.6392138296342707`*^9, 3.63937336659632*^9, {
   3.6394613179642763`*^9, 3.639461323839223*^9}, {3.63946162747795*^9, 
   3.639461640899433*^9}, {3.6397281557829247`*^9, 3.639728156741791*^9}, {
   3.642219354792469*^9, 3.642219360149825*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "3"], " ", "m2"}], 
    RowBox[{"3", " ", 
     SuperscriptBox["r", "3"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639461635744152*^9, 3.639464387764532*^9, 3.639718472621251*^9, 
   3.6397248468463583`*^9, 3.639724892820685*^9, 3.639724926912344*^9, 
   3.6397249738015823`*^9, 3.639727908768458*^9, 3.6397281521055717`*^9, 
   3.639728320872835*^9, 3.639728612229048*^9, 3.639818034987824*^9, 
   3.642214211742073*^9, 3.642219370398493*^9, 3.6422211087543592`*^9, 
   3.642221192161134*^9, 3.644121753593338*^9, 3.6441380876629963`*^9, 
   3.644212100088525*^9, 3.645427327143952*^9, 3.645435994477707*^9, 
   3.645439767102043*^9, 3.645439967345071*^9, 3.645502451371561*^9, {
   3.6455079579532547`*^9, 3.645507980652582*^9}, 3.6455089471601152`*^9, 
   3.645515371094966*^9, 3.647624553728314*^9, 3.647636911484223*^9, 
   3.647684040183313*^9, 3.647698103149618*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "13", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124107262191*^9, 
   3.639124107452948*^9}, 3.639213829635797*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2.6, 1.9}, {1.6, 1.8}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1.6, 1.8}, {2, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1.6, 1.8}, {1, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639214289756225*^9, 3.639215079957904*^9, 3.639215137567457*^9, 
   3.639372888879414*^9, {3.639373172584552*^9, 3.639373187049199*^9}, 
   3.639390205168189*^9, 3.6393903667589293`*^9, 3.639456345333337*^9, 
   3.6394643878981533`*^9, 3.6397184726553993`*^9, 3.6398180350832653`*^9, 
   3.6422142117765417`*^9, 3.642221108829982*^9, 3.642221192245618*^9, 
   3.644121753706522*^9, 3.644138087767007*^9, 3.644212100213797*^9, 
   3.645427327191731*^9, 3.645439767191173*^9, 3.645439967391493*^9, 
   3.645502451420517*^9, 3.645508947195009*^9, 3.6455153711099358`*^9, 
   3.647624553853405*^9, 3.647636911561912*^9, 3.6476840403231*^9, 
   3.647698103262216*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{"improvep", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Contract", "[", 
          RowBox[{"Expand", "[", 
           RowBox[{"SeriesCoefficient", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m1", ",", 
                RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m2", ",", 
                RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{"verpar", "[", 
               RowBox[{"m2", ",", 
                RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
                "0"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pa", ",", "t1a", ",", "tI", ",", "0", ",", "0", ",", "0", 
                 ",", "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pb", ",", "t1b", ",", "tI", ",", "0", ",", "0", ",", "0", 
                 ",", "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pc", ",", "t2c", ",", "tII", ",", "0", ",", "0", ",", "0", 
                 ",", "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pd", ",", "t2d", ",", "tII", ",", "0", ",", "0", ",", "0", 
                 ",", "0", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], 
              RowBox[{
               RowBox[{"prop", "[", 
                RowBox[{
                "pz", ",", "tI", ",", "tII", ",", "i", ",", "j", ",", "k", 
                 ",", "l", ",", "0"}], "]"}], "[", 
               RowBox[{"[", "3", "]"}], "]"}], 
              RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
               RowBox[{"tI", ",", 
                RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
                RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", 
                "pz", ",", "TII", ",", "k", ",", "l"}], "]"}], 
              RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
               RowBox[{
               "tII", ",", "pc", ",", "T2c", ",", "0", ",", "0", ",", "pd", 
                ",", "T2d", ",", "0", ",", "0", ",", 
                RowBox[{"-", "pz"}], ",", "TI", ",", "i", ",", "j"}], "]"}]}],
              ",", 
             RowBox[{"{", 
              RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], 
           "]"}], "]"}], "/.", 
         RowBox[{"pb", "\[Rule]", 
          RowBox[{"p", "-", "p1"}]}]}], "/.", 
        RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
       RowBox[{"pz", "\[Rule]", "p"}]}], "/.", 
      RowBox[{"pc", "\[Rule]", 
       RowBox[{"p", "-", "p2"}]}]}], "/.", 
     RowBox[{"pd", "\[Rule]", "p2"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"PN2p", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint2", "[", 
      RowBox[{
       RowBox[{"doint2", "[", 
        RowBox[{
         RowBox[{"I", " ", 
          RowBox[{"PN2sym", "[", 
           RowBox[{"[", "13", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p"}], 
        "]"}], ",", "p2", ",", "p"}], "]"}], ",", "p", ",", "r"}], "]"}], 
   "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956357694084*^9, 3.6389565690500097`*^9}, {
   3.6391241310766487`*^9, 3.639124431469051*^9}, {3.639198308307604*^9, 
   3.639198310780737*^9}, {3.639213829638566*^9, 3.639213849379224*^9}, {
   3.639214195247673*^9, 3.639214197367839*^9}, 3.639373384576104*^9, {
   3.6394616881570807`*^9, 3.639461693679514*^9}, {3.639461727061034*^9, 
   3.639461735419409*^9}, {3.6394617958672132`*^9, 3.639461798866538*^9}, {
   3.64221937561973*^9, 3.642219377930077*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6392138510660467`*^9, 3.639213942771028*^9, 3.63921419907146*^9, 
   3.639214291825172*^9, 3.6392150131940737`*^9, {3.6392150815216846`*^9, 
   3.639215085160295*^9}, 3.639215139000173*^9, 3.6393728894553556`*^9, {
   3.6393731731385*^9, 3.639373187605747*^9}, 3.639373386098248*^9, 
   3.6393902056918163`*^9, 3.6393903673683443`*^9, 3.639456345962907*^9, 
   3.639461695451583*^9, {3.639461728609006*^9, 3.639461736922401*^9}, 
   3.639464388683908*^9, 3.639718473505913*^9, 3.639724880047031*^9, 
   3.63972832383911*^9, 3.639728614546139*^9, 3.6398180360522957`*^9, 
   3.642214212998948*^9, 3.642219379699184*^9, 3.642221109804538*^9, 
   3.642221193299204*^9, 3.644121754973646*^9, 3.6441380887368107`*^9, 
   3.6442121011836567`*^9, 3.644223161838099*^9, 3.644223199905589*^9, 
   3.645427328175044*^9, 3.645435995546318*^9, 3.64543976826693*^9, 
   3.645439968511778*^9, 3.645502452542839*^9, 3.645507994342492*^9, 
   3.64550894864637*^9, 3.6455153719863043`*^9, 3.6476245557774553`*^9, 
   3.6476369134160337`*^9, 3.6476840421615057`*^9, 3.647698105134553*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "14", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124110743773*^9, 
   3.63912411098238*^9}, 3.63921382964507*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {1.6, 1.8}}]}, 
      {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2.6, 1.9}, {1.6, 1.8}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1.6, 1.8}, {1, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392142967311*^9, 3.63921514074545*^9, 3.639372889499003*^9, {
   3.639373173231964*^9, 3.6393731876532183`*^9}, 3.639390205763468*^9, 
   3.6393903674988813`*^9, 3.639456346072015*^9, 3.639464388733479*^9, 
   3.6397184735259113`*^9, 3.639818036154173*^9, 3.642214213029273*^9, 
   3.6422211099000053`*^9, 3.6422211933823423`*^9, 3.644121755090817*^9, 
   3.644138088834292*^9, 3.644212101316369*^9, 3.6454273282277803`*^9, 
   3.645439768362138*^9, 3.645439968554797*^9, 3.6455024525922728`*^9, 
   3.645508948682334*^9, 3.645515372015562*^9, 3.64762455590021*^9, 
   3.6476369134892807`*^9, 3.647684042299715*^9, 3.647698105282761*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampli", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Contract", "[", 
         RowBox[{"Expand", "[", 
          RowBox[{"SeriesCoefficient", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"verpar", "[", 
              RowBox[{"m1", ",", 
               RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m1", ",", 
               RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m2", ",", 
               RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{"verpar", "[", 
              RowBox[{"m2", ",", 
               RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", 
               "0"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pa", ",", "t1a", ",", "tI", ",", "0", ",", "0", ",", "0", ",",
                 "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pb", ",", "t1b", ",", "tII", ",", "0", ",", "0", ",", "0", 
                ",", "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pc", ",", "t2c", ",", "tI", ",", "0", ",", "0", ",", "0", ",",
                 "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pd", ",", "t2d", ",", "tII", ",", "0", ",", "0", ",", "0", 
                ",", "0", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], 
             RowBox[{
              RowBox[{"prop", "[", 
               RowBox[{
               "pz", ",", "tI", ",", "tII", ",", "i", ",", "j", ",", "k", ",",
                 "l", ",", "0"}], "]"}], "[", 
              RowBox[{"[", "3", "]"}], "]"}], 
             RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
              RowBox[{"tI", ",", 
               RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", "pc",
                ",", "T2c", ",", "0", ",", "0", ",", 
               RowBox[{"-", "pz"}], ",", "TII", ",", "k", ",", "l"}], "]"}], 
             RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
              RowBox[{"tII", ",", 
               RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", "pd",
                ",", "T2d", ",", "0", ",", "0", ",", "pz", ",", "TI", ",", 
               "i", ",", "j"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], 
          "]"}], "]"}], "/.", 
        RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
       RowBox[{"pb", "\[Rule]", 
        RowBox[{"p", "-", "p1"}]}]}], "/.", 
      RowBox[{"pc", "\[Rule]", "p2"}]}], "/.", 
     RowBox[{"pd", "\[Rule]", 
      RowBox[{"p", "-", "p2"}]}]}], "/.", 
    RowBox[{"pz", "\[Rule]", 
     RowBox[{"p2", "-", "p1"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PN2q", "=", 
  RowBox[{"limdto3", "[", 
   RowBox[{"doint3", "[", 
    RowBox[{
     RowBox[{"I", " ", 
      RowBox[{"PN2sym", "[", 
       RowBox[{"[", "14", "]"}], "]"}], "ampli"}], ",", "p1", ",", "p2", ",", 
     "p", ",", "r"}], "]"}], "]"}], 
  RowBox[{"(*", "OK", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.638956357694084*^9, 3.6389565690500097`*^9}, {
   3.6391241310766487`*^9, 3.639124363603434*^9}, {3.639124455221356*^9, 
   3.639124519470537*^9}, {3.6391983252842073`*^9, 3.639198335865156*^9}, 
   3.639213829648181*^9, 3.639215153783285*^9, {3.63937340231408*^9, 
   3.639373433062539*^9}, {3.639373479381648*^9, 3.63937353425765*^9}, {
   3.639461811948444*^9, 3.6394618161093473`*^9}, {3.639463779654327*^9, 
   3.639463781909753*^9}, {3.639463870048584*^9, 3.639463874081709*^9}, {
   3.6394639064185553`*^9, 3.6394639867893877`*^9}, {3.639464513292282*^9, 
   3.639464515236621*^9}, 3.645515634868435*^9, 3.6455157197686462`*^9, {
   3.645515862983638*^9, 3.6455159104082527`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "2"], " ", 
     SuperscriptBox["m2", "2"]}], 
    SuperscriptBox["r", "3"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.645515896983027*^9, 3.647624556968849*^9, 
  3.647636914545763*^9, 3.64768404334977*^9, 3.647698106369728*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Test", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.6388729808785143`*^9}, {3.64221941036972*^9, 
   3.64221941091112*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Expand", "[", 
     RowBox[{"Newt", "+", 
      RowBox[{"byparts1", "[", "PN1a", "]"}], "+", 
      RowBox[{"byparts2", "[", "PN2a", "]"}], "-", 
      RowBox[{"chk", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "-", 
      RowBox[{"m1", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"vsq3", "[", "v1", "]"}], "^", "3"}], "/", "16"}]}], "-", 
      RowBox[{"m1", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"vsq3", "[", "v1", "]"}], "^", "2"}], "/", "8"}]}], "-", 
      RowBox[{"m1", " ", 
       RowBox[{
        RowBox[{"vsq3", "[", "v1", "]"}], "/", "2"}]}]}], "]"}], "/.", 
    RowBox[{
     RowBox[{
      RowBox[{"vsq3", "[", "v2", "]"}], 
      RowBox[{
       RowBox[{"nccon3", "[", 
        RowBox[{"r", ",", "v1"}], "]"}], "^", "2"}]}], "->", 
     RowBox[{
      RowBox[{"vsq3", "[", "v1", "]"}], 
      RowBox[{
       RowBox[{"nccon3", "[", 
        RowBox[{"r", ",", "v2"}], "]"}], "^", "2"}]}]}]}], "/.", 
   RowBox[{
    RowBox[{
     RowBox[{"vsq3", "[", "v2", "]"}], 
     RowBox[{"nccon3", "[", 
      RowBox[{"v1", ",", "v2"}], "]"}]}], "->", 
    RowBox[{
     RowBox[{"vsq3", "[", "v1", "]"}], 
     RowBox[{"nccon3", "[", 
      RowBox[{"v1", ",", "v2"}], "]"}]}]}]}], "/.", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"nccon3", "[", 
      RowBox[{"r", ",", "v2"}], "]"}], "^", "2"}], 
    RowBox[{"nccon3", "[", 
     RowBox[{"v1", ",", "v2"}], "]"}]}], "\[Rule]", 
   RowBox[{
    RowBox[{
     RowBox[{"nccon3", "[", 
      RowBox[{"r", ",", "v1"}], "]"}], "^", "2"}], 
    RowBox[{"nccon3", "[", 
     RowBox[{"v1", ",", "v2"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.645436048839291*^9, 3.645436160920191*^9}, 
   3.645448063046364*^9}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.645436065382333*^9, 3.6454361310806417`*^9}, 
   3.6454361620442333`*^9, 3.6454373208439407`*^9, 3.6454374111480093`*^9, 
   3.6454375306416693`*^9, 3.645439769212818*^9, 3.645439969392315*^9, 
   3.645441542584655*^9, 3.6454480645541267`*^9, 3.6455024536523323`*^9, 
   3.645508950069229*^9, 3.645515372906692*^9, 3.6476245577361403`*^9, 
   3.647636915330988*^9, 3.647684044135592*^9, 3.647698107142056*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"PN1b", "+", 
    RowBox[{"byparts2", "[", "PN2b", "]"}], "-", 
    RowBox[{"chk", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
   RowBox[{
    RowBox[{"nccon3", "[", 
     RowBox[{"a1", ",", "a2"}], "]"}], "\[Rule]", "0"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.645436048839291*^9, 3.645436228103693*^9}, {
   3.6454368316696463`*^9, 3.645436851247437*^9}, 3.645440911827402*^9, {
   3.645441258968297*^9, 3.645441275552156*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.645436197665738*^9, 3.645436229107031*^9}, 
   3.645436852178471*^9, 3.645437323649032*^9, 3.645437532241144*^9, 
   3.645439769423925*^9, 3.645439969583795*^9, 3.645440913096146*^9, {
   3.645441259730031*^9, 3.645441276497278*^9}, 3.645502454162365*^9, 
   3.645508950630307*^9, 3.645515373213099*^9, 3.647624558342435*^9, 
   3.647636915942671*^9, 3.64768404472861*^9, 3.6476981077451687`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2d", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.6422211105251017`*^9, 
   3.642221193966097*^9, 3.644121755842452*^9, 3.644138089401331*^9, 
   3.64421210188559*^9, 3.645427328809471*^9, 3.645435997841733*^9, 
   3.645437324798514*^9, 3.645437536590364*^9, 3.645439769600403*^9, 
   3.645439969736072*^9, 3.645502454192339*^9, 3.645508950646871*^9, 
   3.6455153732366533`*^9, 3.647624558433522*^9, 3.647636916030231*^9, 
   3.647684044855893*^9, 3.647698107869462*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN1c", "+", 
   RowBox[{"byparts2", "[", "PN2c", "]"}], "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "4", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.645436913305749*^9, 
  3.6454369154083014`*^9}, {3.6454371206116447`*^9, 3.645437126027039*^9}, {
  3.6454372152857122`*^9, 3.645437217179997*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.6422211105251017`*^9, 
   3.642221193966097*^9, 3.644121755842452*^9, 3.644138089401331*^9, 
   3.64421210188559*^9, 3.645427328809471*^9, 3.645435997841733*^9, 
   3.6454369157773333`*^9, 3.64543700785819*^9, 3.645437126943775*^9, {
   3.645437197536057*^9, 3.645437218134658*^9}, 3.645437328637101*^9, 
   3.64543753738557*^9, 3.6454397698273373`*^9, 3.645439969945402*^9, 
   3.645502454731256*^9, 3.645508951054347*^9, 3.645515373540317*^9, 
   3.6476245590413227`*^9, 3.6476369166380653`*^9, 3.647684045442582*^9, 
   3.6476981084746027`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2e", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "5", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.642220006861575*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642220007317286*^9}, 3.642221110619375*^9, 
   3.642221193999539*^9, 3.644121755910329*^9, 3.644138089465564*^9, 
   3.6442121019408693`*^9, 3.645427328827385*^9, 3.645435999011806*^9, 
   3.6454375379432096`*^9, 3.645439769878957*^9, 3.645439969970449*^9, 
   3.645502454802894*^9, 3.645508951071703*^9, 3.645515373554306*^9, 
   3.6476245590858707`*^9, 3.647636916673216*^9, 3.647684045501211*^9, 
   3.647698108523076*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2f", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "6", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.642220013320055*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642220013871579*^9}, 3.642221110658452*^9, 
   3.642221194053973*^9, 3.644121755973962*^9, 3.6441380895321627`*^9, 
   3.644212101986506*^9, 3.645427328845235*^9, 3.645436001200666*^9, 
   3.645437538511376*^9, 3.6454397699450827`*^9, 3.645439970002946*^9, 
   3.6455024548271713`*^9, 3.645508951092039*^9, 3.645515373568087*^9, 
   3.647624559142091*^9, 3.647636916720726*^9, 3.647684045569544*^9, 
   3.647698108578815*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2g", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "7", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.642220021261901*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, {3.6422200197421503`*^9, 
   3.642220021530929*^9}, 3.642221110686884*^9, 3.642221194103649*^9, 
   3.644121756140422*^9, 3.6441380895993567`*^9, 3.644212102040429*^9, 
   3.645427328863389*^9, 3.6454360020575943`*^9, 3.645437538945709*^9, 
   3.645439770011529*^9, 3.645439970031045*^9, 3.6455024549270277`*^9, 
   3.645508951119135*^9, 3.645515373581805*^9, 3.647624559222192*^9, 
   3.647636916795731*^9, 3.647684045635778*^9, 3.647698108641074*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2h", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "8", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.642220024899231*^9, 
  3.642220026979871*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220027517193*^9, 
   3.6422211107229033`*^9, 3.642221194136698*^9, 3.644121756212474*^9, 
   3.644138089666041*^9, 3.644212102086646*^9, 3.645427328881405*^9, 
   3.6454360028397713`*^9, 3.645437539397834*^9, 3.645439770079708*^9, 
   3.645439970051893*^9, 3.6455024549578953`*^9, 3.6455089511354027`*^9, 
   3.6455153735956593`*^9, 3.6476245593015833`*^9, 3.6476369168378687`*^9, 
   3.64768404570312*^9, 3.647698108695282*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2i", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "9", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.6422200296217422`*^9, 
  3.642220031894047*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220032752452*^9, 
   3.6422211107546253`*^9, 3.64222119417015*^9, 3.644121756290607*^9, 
   3.6441380897327003`*^9, 3.6442121021410913`*^9, 3.6454273288994083`*^9, 
   3.64543600354147*^9, 3.6454375398487053`*^9, 3.6454397701455193`*^9, 
   3.645439970077182*^9, 3.64550245498617*^9, 3.645508951152033*^9, 
   3.64551537360952*^9, 3.647624559479527*^9, 3.647636916888291*^9, 
   3.647684045778346*^9, 3.6476981087414494`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2j", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "10", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.642220035688747*^9, 
  3.6422200381453953`*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.6422200398582687`*^9, 
   3.642221110808405*^9, 3.642221194221068*^9, 3.644121756360732*^9, 
   3.644138089865324*^9, 3.644212102186427*^9, 3.645427328917365*^9, 
   3.645436004179199*^9, 3.6454375402499123`*^9, 3.645439770212536*^9, 
   3.6454399700958843`*^9, 3.645502455012631*^9, 3.645508951165902*^9, 
   3.6455153736232433`*^9, 3.647624559552494*^9, 3.647636916952282*^9, 
   3.647684045945352*^9, 3.647698108791028*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2k", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "11", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.6422200420279627`*^9, 
  3.642220044124359*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220044475124*^9, 
   3.6422211109189997`*^9, 3.6422211942707787`*^9, 3.644121756423944*^9, 
   3.644138089933288*^9, 3.644212102240532*^9, 3.645427328935383*^9, 
   3.6454360047640953`*^9, 3.645437540668051*^9, 3.64543977026525*^9, 
   3.645439970117876*^9, 3.645502455042254*^9, 3.645508951180347*^9, 
   3.645515373636984*^9, 3.647624559655442*^9, 3.647636917010798*^9, 
   3.647684046052053*^9, 3.647698108911191*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2l", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "12", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.6422200465420313`*^9, 
  3.642220048687011*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220049190092*^9, 
   3.642221110974617*^9, 3.64222119432097*^9, 3.644121756496539*^9, 
   3.6441380899831953`*^9, 3.644212102384191*^9, 3.6454273289533997`*^9, 
   3.6454360053495913`*^9, 3.645437541119968*^9, 3.645439770313448*^9, 
   3.645439970135167*^9, 3.645502455069001*^9, 3.6455089511957827`*^9, 
   3.6455153736508303`*^9, 3.647624559738426*^9, 3.647636917102673*^9, 
   3.647684046118379*^9, 3.6476981089596233`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2m", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "13", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.6422200518969793`*^9, 
  3.642220054482099*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220057149209*^9, 
   3.6422211110191307`*^9, 3.642221194448255*^9, 3.644121756561141*^9, 
   3.644138090033267*^9, 3.6442121024421253`*^9, 3.645427328971902*^9, 
   3.645436005917976*^9, 3.645437541520495*^9, 3.645439770364065*^9, 
   3.645439970157096*^9, 3.645502455094329*^9, 3.645508951210367*^9, 
   3.645515373664773*^9, 3.647624559825321*^9, 3.647636917157054*^9, 
   3.647684046183776*^9, 3.647698109014681*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2n", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "14", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.6422200595968027`*^9, 
  3.642220061734107*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220062000124*^9, 
   3.6422211110690804`*^9, 3.6422211944870987`*^9, 3.6441217566250143`*^9, 
   3.644138090084326*^9, 3.644212102492756*^9, 3.645427328989688*^9, 
   3.645436006468972*^9, 3.645437542723236*^9, 3.645439770412793*^9, 
   3.645439970175963*^9, 3.645502455121138*^9, 3.6455089512253733`*^9, 
   3.645515373678562*^9, 3.647624559890424*^9, 3.647636917195043*^9, 
   3.647684046250505*^9, 3.647698109059963*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2o", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "15", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.642220064599464*^9, 
  3.64222006849667*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220069341857*^9, 
   3.6422211111198673`*^9, 3.642221194548731*^9, 3.644121756695712*^9, 
   3.644138090150518*^9, 3.6442121025375357`*^9, 3.645427329007428*^9, 
   3.645436007017521*^9, 3.645437543208699*^9, 3.6454397705188437`*^9, 
   3.645439970198421*^9, 3.645502455148426*^9, 3.645508951239809*^9, 
   3.645515373692892*^9, 3.647624559959508*^9, 3.6476369172406397`*^9, 
   3.647684046319639*^9, 3.64769810910998*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2p", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "16", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.64222007153069*^9, 
  3.642220074067462*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.642219796737917*^9, 3.6422198158048487`*^9}, {
   3.642219927748856*^9, 3.642219987902972*^9}, 3.642220074994069*^9, 
   3.642221111168613*^9, 3.6422211945991573`*^9, 3.644121756762452*^9, 
   3.644138090200326*^9, 3.6442121025918293`*^9, 3.6454273290251923`*^9, 
   3.645436007569049*^9, 3.645437543643219*^9, 3.645439770565618*^9, 
   3.64543997021929*^9, 3.645502455174501*^9, 3.64550895125464*^9, 
   3.645515373706726*^9, 3.6476245600267353`*^9, 3.647636917291239*^9, 
   3.647684046384829*^9, 3.647698109159895*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"PN2q", "-", 
   RowBox[{"chk", "[", 
    RowBox[{"[", "17", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6422197828568974`*^9, 3.642219815162231*^9}, {
  3.6422199260897284`*^9, 3.6422199877118473`*^9}, {3.64222007153069*^9, 
  3.642220074067462*^9}, {3.645437346142994*^9, 3.6454373482856703`*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{3.645437348584218*^9, 3.6454375443450327`*^9, 
  3.6454397706134977`*^9, 3.645439970240037*^9, 3.6455024551999893`*^9, 
  3.6455089512694063`*^9, 3.645515373720701*^9, 3.645515903680664*^9, 
  3.6476245600927277`*^9, 3.647636917340873*^9, 3.6476840464518003`*^9, 
  3.6476981092161818`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Exercises", "Subsection",
 CellChangeTimes->{{3.467192854162202*^9, 3.467192872974144*^9}, {
   3.479020645772399*^9, 3.479020651796492*^9}, {3.479636403375799*^9, 
   3.4796364165300417`*^9}, {3.479707439260137*^9, 3.4797074405794363`*^9}, {
   3.479707679292268*^9, 3.479707692043807*^9}, {3.4797163442308817`*^9, 
   3.479716346518794*^9}, {3.479721670028324*^9, 3.479721680714982*^9}, {
   3.480156198107032*^9, 3.480156246523345*^9}, {3.481370896572489*^9, 
   3.481370900009606*^9}, 3.485064062845303*^9, {3.490332514019719*^9, 
   3.490332519345522*^9}, {3.5140827828085527`*^9, 3.514082783661334*^9}, {
   3.5595347009103413`*^9, 3.5595347044395657`*^9}, 3.55953722719482*^9, {
   3.63887296099675*^9, 3.6388729808785143`*^9}, {3.64221941036972*^9, 
   3.64221941091112*^9}, {3.6476367797547903`*^9, 3.647636782552267*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", "PN0", "]"}]], "Input",
 CellChangeTimes->{{3.638939583622305*^9, 3.638939587138743*^9}, {
  3.647639196825672*^9, 3.6476391999530354`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
     {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2, 3}}]}}], "}"}], 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6389395880087547`*^9, 3.6391208161923122`*^9, 3.639193161825302*^9, 
   3.639372837036118*^9, {3.639373166933856*^9, 3.639373182060656*^9}, 
   3.639376139939464*^9, 3.639390196754863*^9, 3.6393903609700823`*^9, 
   3.639456336038899*^9, 3.63946431502242*^9, 3.639718453086429*^9, 
   3.6398180142498217`*^9, 3.64221418325636*^9, 3.642220369405979*^9, 
   3.642220428798284*^9, 3.6422210814682426`*^9, 3.642221164900062*^9, 
   3.6441217178830137`*^9, 3.644138061212483*^9, 3.644212073535451*^9, 
   3.645427300847095*^9, 3.645439737712741*^9, 3.64543993787904*^9, 
   3.6455024207421303`*^9, 3.645508916812357*^9, 3.64551535886088*^9, 
   3.647624501152174*^9, 3.647636860402885*^9, 3.6476394414418993`*^9, 
   3.64769810926155*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", "v1", ",", "1", ",", "0", ",", "0"}], "]"}], 
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", "v2", ",", "1", ",", "0", ",", "0"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.64763695741924*^9, 3.647636981206339*^9}, {
   3.6476380147048388`*^9, 3.6476380155164957`*^9}, 3.647638572073196*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"4", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"cd", "-", "2"}], ")"}], " ", 
        SuperscriptBox["v1", "2"]}], "+", "2"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"cd", "-", "2"}], ")"}], " ", 
        SuperscriptBox["v2", "2"]}], "+", "2"}], ")"}], " ", 
     TemplateBox[{RowBox[{"t1", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       SuperscriptBox["v1", "2"]}]], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       SuperscriptBox["v2", "2"]}]]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6476369485695887`*^9, 3.647636981859324*^9, 3.647637024049111*^9, 
   3.647638026278892*^9, {3.647638565007386*^9, 3.647638577248818*^9}, 
   3.647639442831841*^9, 3.6476981094842997`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{"v1", "\[Rule]", "0"}]}], "/.", 
  RowBox[{"v2", "\[Rule]", "0"}]}]], "Input",
 CellChangeTimes->{3.647638575623263*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"16", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
     TemplateBox[{RowBox[{"t1", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647638578783394*^9, 3.647639443539057*^9, 
  3.647698109529491*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647636983530221*^9, 3.647636988244801*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], "cd"]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647636990799514*^9, 3.647637025530129*^9, 
  3.6476380279011793`*^9, 3.647638580260256*^9, 3.64763944453063*^9, 
  3.647698109651222*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647636994457302*^9, 3.647637019747986*^9}, {
  3.647638030330083*^9, 3.6476380323931437`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"G", " ", "m1", " ", "m2"}], "r"]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476370104593077`*^9, 3.647637026416964*^9}, 
   3.647638033074822*^9, 3.647638581081758*^9, 3.647639445413237*^9, 
   3.647698109695689*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"1", "PN"}], "*)"}], 
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{
    RowBox[{"I", " ", 
     RowBox[{"verpar", "[", 
      RowBox[{"m1", ",", 
       RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
      "]"}], 
     RowBox[{"verpar", "[", 
      RowBox[{"m2", ",", 
       RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], 
      "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"prop", "[", 
         RowBox[{
         "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
          ",", "0"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "+", 
       RowBox[{
        RowBox[{"prop", "[", 
         RowBox[{
         "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
          ",", "1"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6476377955805197`*^9, 3.647637797479185*^9}, {
  3.647638036732127*^9, 3.647638042532563*^9}, {3.647638545999632*^9, 
  3.647638558070039*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "8"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "G", " ", 
   "m1", " ", "m2", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox["\[Delta]",
          DiracDelta,
          Editable->False,
          Selectable->False], "\[Prime]\[Prime]",
         MultilineFunction->None], "(", 
        RowBox[{"t1", "-", "t2"}], ")"}]}], 
      RowBox[{"cd", " ", 
       SuperscriptBox[
        FormBox[
         SuperscriptBox[
          FormBox["p",
           TraditionalForm], "2"],
         TraditionalForm], "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cd", " ", 
             SuperscriptBox["v1", "2"]}], "-", 
            SuperscriptBox["v1", "2"], "+", 
            SuperscriptBox["v2", "2"]}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cd", " ", 
             SuperscriptBox["v2", "2"]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["v2", "2"]}]}], ")"}]}]}], ")"}], " ", 
       TemplateBox[{RowBox[{"t1", "-", "t2"}]},
        "DiracDeltaSeq"]}], 
      RowBox[{"2", " ", "cd", " ", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"]}]]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476376220780888`*^9, 3.647638044816868*^9, 
  3.6476385497685013`*^9, 3.647638583751647*^9, 3.647639446909255*^9, 
  3.647698109986669*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647637624824067*^9, 3.647637629462892*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "2"}]},
      "Gamma"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1", "-", "t2"}], ")"}]}], "cd"], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], "cd"], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], "cd"], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v1", "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v2", "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.64763763213454*^9, 3.647638047048299*^9, 
  3.6476385511063223`*^9, 3.6476385848050957`*^9, 3.647639447882379*^9, 
  3.647698110377533*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476376344819803`*^9, 3.6476376465579233`*^9}, {
  3.647638050186355*^9, 3.6476380519933558`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{
     FractionBox["1", "2"], " ", "G", " ", "m1", " ", "m2", " ", "r", " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1", "-", "t2"}], ")"}]}]}], "-", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v1", "2"]}], 
    RowBox[{"2", " ", "r"}]], "-", 
   FractionBox[
    RowBox[{"3", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v2", "2"]}], 
    RowBox[{"2", " ", "r"}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637647457588*^9, 3.6476380527953043`*^9, 
  3.6476385532076283`*^9, 3.647638586361664*^9, 3.647639448869012*^9, 
  3.647698110512528*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"2", "PN"}], "*)"}], 
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{
    RowBox[{"I", " ", 
     RowBox[{"verpar", "[", 
      RowBox[{"m1", ",", 
       RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
      "]"}], 
     RowBox[{"verpar", "[", 
      RowBox[{"m2", ",", 
       RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], 
      "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"prop", "[", 
         RowBox[{
         "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
          ",", "0"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "+", 
       RowBox[{
        RowBox[{"prop", "[", 
         RowBox[{
         "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
          ",", "1"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "+", 
       RowBox[{
        RowBox[{"prop", "[", 
         RowBox[{
         "p", ",", "t1", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
          ",", "2"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "4"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.647638058982624*^9, 3.647638059230516*^9}, {
  3.647638499468148*^9, 3.647638501688224*^9}, {3.6476386027269087`*^9, 
  3.647638621008995*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "8"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "G", " ", 
   "m1", " ", "m2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cd", " ", 
              SuperscriptBox["v2", "2"]}], "-", 
             RowBox[{"2", " ", 
              SuperscriptBox["v2", "2"]}]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cd", " ", 
              SuperscriptBox["v1", "2"]}], "-", 
             SuperscriptBox["v1", "2"], "+", 
             SuperscriptBox["v2", "2"]}], ")"}]}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              SuperscriptBox["v2", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cd", " ", 
                 SuperscriptBox["v1", "2"]}], "-", 
                SuperscriptBox["v1", "2"]}], ")"}]}], "+", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              SuperscriptBox["v1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cd", " ", 
                 SuperscriptBox["v1", "2"]}], "-", 
                RowBox[{"2", " ", 
                 SuperscriptBox["v1", "2"]}]}], ")"}]}], "+", 
             FractionBox[
              RowBox[{"3", " ", 
               SuperscriptBox["v1", "4"]}], "4"], "+", 
             FractionBox[
              RowBox[{"3", " ", 
               SuperscriptBox["v2", "4"]}], "4"]}], ")"}]}]}], ")"}], " ", 
        TemplateBox[{RowBox[{"t1", "-", "t2"}]},
         "DiracDeltaSeq"]}], 
       RowBox[{"2", " ", "cd", " ", 
        SuperscriptBox[
         FormBox["p",
          TraditionalForm], "2"]}]]}], "+", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cd", " ", 
             SuperscriptBox["v1", "2"]}], "-", 
            SuperscriptBox["v1", "2"], "+", 
            SuperscriptBox["v2", "2"]}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cd", " ", 
             SuperscriptBox["v2", "2"]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["v2", "2"]}]}], ")"}]}]}], ")"}], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox["\[Delta]",
          DiracDelta,
          Editable->False,
          Selectable->False], "\[Prime]\[Prime]",
         MultilineFunction->None], "(", 
        RowBox[{"t1", "-", "t2"}], ")"}]}], 
      RowBox[{"2", " ", "cd", " ", 
       SuperscriptBox[
        FormBox[
         SuperscriptBox[
          FormBox["p",
           TraditionalForm], "2"],
         TraditionalForm], "2"]}]], "-", 
     FractionBox[
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox["\[Delta]",
          DiracDelta,
          Editable->False,
          Selectable->False], 
         TagBox[
          RowBox[{"(", "4", ")"}],
          Derivative],
         MultilineFunction->None], "(", 
        RowBox[{"t1", "-", "t2"}], ")"}]}], 
      RowBox[{"cd", " ", 
       SuperscriptBox[
        FormBox[
         SuperscriptBox[
          FormBox["p",
           TraditionalForm], "2"],
         TraditionalForm], "3"]}]]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637842845332*^9, 3.647638065133016*^9, 
  3.647638605767047*^9, 3.647639450129347*^9, 3.647698110786522*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647637849117301*^9, 3.6476378555067587`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Pi]", 
       RowBox[{"1", "-", 
        FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
      SuperscriptBox["r", 
       RowBox[{"6", "-", "d"}]], " ", 
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "3"}]},
       "Gamma"], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox["\[Delta]",
         DiracDelta,
         Editable->False,
         Selectable->False], 
        TagBox[
         RowBox[{"(", "4", ")"}],
         Derivative],
        MultilineFunction->None], "(", 
       RowBox[{"t1", "-", "t2"}], ")"}]}], 
     RowBox[{"8", " ", "cd"}]]}], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "2"}]},
      "Gamma"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1", "-", "t2"}], ")"}]}], 
    RowBox[{"2", " ", "cd"}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "2"}]},
      "Gamma"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1", "-", "t2"}], ")"}]}], 
    RowBox[{"2", " ", "cd"}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v1", "4"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], 
    RowBox[{"2", " ", "cd"}]], "-", 
   RowBox[{"cd", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v1", "2"], " ", 
    SuperscriptBox["v2", "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], "cd"], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v2", "4"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], 
    RowBox[{"2", " ", "cd"}]], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v1", "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"4", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "2"}]},
     "Gamma"], " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1", "-", "t2"}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v2", "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"4", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "2"}]},
     "Gamma"], " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1", "-", "t2"}], ")"}]}], "-", 
   RowBox[{
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v1", "4"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v1", "2"], " ", 
    SuperscriptBox["v2", "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}], "-", 
   RowBox[{
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v2", "4"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637856551032*^9, 3.647638066882196*^9, 
  3.6476386073716307`*^9, 3.647639451237101*^9, 3.6476981109759197`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", 
  RowBox[{"I", " ", 
   RowBox[{"PN0sym", "[", 
    RowBox[{"[", "1", "]"}], "]"}], " ", "%"}], "]"}]], "Input",
 CellChangeTimes->{{3.647637858591454*^9, 3.647637884730199*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{
     FractionBox["1", "48"], " ", "\[ImaginaryI]", " ", "G", " ", "m1", " ", 
     "m2", " ", 
     SuperscriptBox["r", "3"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], 
       TagBox[
        RowBox[{"(", "4", ")"}],
        Derivative],
       MultilineFunction->None], "(", 
      RowBox[{"t1", "-", "t2"}], ")"}]}]}], "-", 
   RowBox[{
    FractionBox["3", "8"], " ", "\[ImaginaryI]", " ", "G", " ", "m1", " ", 
    "m2", " ", "r", " ", 
    SuperscriptBox["v1", "2"], " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1", "-", "t2"}], ")"}]}], "-", 
   RowBox[{
    FractionBox["3", "8"], " ", "\[ImaginaryI]", " ", "G", " ", "m1", " ", 
    "m2", " ", "r", " ", 
    SuperscriptBox["v2", "2"], " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1", "-", "t2"}], ")"}]}], "-", 
   FractionBox[
    RowBox[{"7", " ", "\[ImaginaryI]", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v1", "4"]}], 
    RowBox[{"16", " ", "r"}]], "-", 
   FractionBox[
    RowBox[{"9", " ", "\[ImaginaryI]", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["v2", "2"]}], 
    RowBox[{"8", " ", "r"}]], "-", 
   FractionBox[
    RowBox[{"7", " ", "\[ImaginaryI]", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox["v2", "4"]}], 
    RowBox[{"16", " ", "r"}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637885601379*^9, 3.647638068325232*^9, 
  3.647638612434993*^9, 3.647639452139082*^9, 3.647698111248035*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"allgra", "[", 
   RowBox[{"Take", "[", 
    RowBox[{"PN1", ",", 
     RowBox[{"{", "1", "}"}]}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.647637270715652*^9, 3.647637273882155*^9}, {
  3.647637534958346*^9, 3.647637541763567*^9}, {3.647639208530574*^9, 
  3.6476392193856163`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
     {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], LineBox[{{2, 1}, {2, 3}}]}}],
    "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{3.6476392199007597`*^9, 3.6476394530770817`*^9, 
  3.647698111419338*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t1", ",", "t2", ",", "i", ",", "0", ",", "j", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{
   "16", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", "v1", " ", "v2", 
    " ", 
    SuperscriptBox["\[Epsilon]", "2"], " ", 
    TemplateBox[{RowBox[{"t1", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    SuperscriptBox["g", 
     RowBox[{"i", "j"}]]}], 
   RowBox[{
    SuperscriptBox[
     FormBox["p",
      TraditionalForm], "2"], " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      RowBox[{
       SuperscriptBox["v1", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}]], " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      RowBox[{
       SuperscriptBox["v2", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}]]}]], TraditionalForm]], "Output",\

 CellChangeTimes->{3.647638647354001*^9, 3.647639456686234*^9, 
  3.647698111556676*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeriesCoefficient", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.647638128726954*^9, 3.647638128846212*^9}, {
  3.647638640243252*^9, 3.647638644601488*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{
   "16", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", "v1", " ", "v2", 
    " ", 
    TemplateBox[{RowBox[{"t1", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    SuperscriptBox["g", 
     RowBox[{"i", "j"}]]}], 
   SuperscriptBox[
    FormBox["p",
     TraditionalForm], "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647638101587118*^9, 3.6476381294547358`*^9}, 
   3.6476381737552547`*^9, 3.647638651291259*^9, 3.6476394576884937`*^9, 
   3.6476981116372843`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Contract", "[", 
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{"v1", " ", "v2"}], " ", "->", 
    RowBox[{
     RowBox[{"TVd", "[", 
      RowBox[{"v1", ",", "i"}], "]"}], 
     RowBox[{"TVd", " ", "[", 
      RowBox[{"v2", ",", "j"}], "]"}]}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6476381052891607`*^9, 3.6476381796598873`*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"16", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
    TemplateBox[{RowBox[{"t1", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], 
   SuperscriptBox[
    FormBox["p",
     TraditionalForm], "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647638119138064*^9, 3.647638130444255*^9}, 
   3.647638180623653*^9, 3.647638653978245*^9, 3.647639458678855*^9, 
   3.647698111726387*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.64763716426814*^9, 3.64763717464791*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"4", " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"1", "-", 
     FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
   SuperscriptBox["r", 
    RowBox[{"2", "-", "d"}]], " ", 
   TemplateBox[{RowBox[{
       FractionBox["d", "2"], "-", "1"}]},
    "Gamma"], " ", 
   RowBox[{
    FormBox["v1",
     TraditionalForm], "\[CenterDot]", 
    FormBox["v2",
     TraditionalForm]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637187128233*^9, 3.6476374329059763`*^9, 
  3.647638186708314*^9, 3.6476386588133163`*^9, 3.647639459751587*^9, 
  3.647698111854081*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647637189206715*^9, 3.6476372102632732`*^9}, {
  3.647638189065534*^9, 3.647638193688542*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"4", " ", "G", " ", "m1", " ", "m2", " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], "r"], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637211913436*^9, 3.6476374337836533`*^9, 
  3.64763819438204*^9, 3.647638659909224*^9, 3.6476394605612*^9, 
  3.647698111942458*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"1", "PN"}], "*)"}], 
  RowBox[{"I", " ", 
   RowBox[{"verpar", "[", 
    RowBox[{"m1", ",", 
     RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
   RowBox[{"verpar", "[", 
    RowBox[{"m2", ",", 
     RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"prop", "[", 
       RowBox[{
       "p", ",", "t1", ",", "t2", ",", "i", ",", "0", ",", "j", ",", "0", ",",
         "0"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "+", 
     RowBox[{
      RowBox[{"prop", "[", 
       RowBox[{
       "p", ",", "t1", ",", "t2", ",", "i", ",", "0", ",", "j", ",", "0", ",",
         "1"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.64763868042162*^9, 3.647638682427319*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
    "32", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", 
     " ", "v1", " ", "v2", " ", 
     SuperscriptBox["\[Epsilon]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         TemplateBox[{RowBox[{"t1", "-", "t2"}]},
          "DiracDeltaSeq"], " ", 
         SuperscriptBox["g", 
          RowBox[{"i", "j"}]]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          FormBox["p",
           TraditionalForm], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[Epsilon]", "2"], " ", 
         SuperscriptBox["g", 
          RowBox[{"i", "j"}]], " ", 
         RowBox[{
          SuperscriptBox[
           InterpretationBox["\[Delta]",
            DiracDelta,
            Editable->False,
            Selectable->False], "\[Prime]\[Prime]",
           MultilineFunction->None], "(", 
          RowBox[{"t1", "-", "t2"}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          FormBox[
           SuperscriptBox[
            FormBox["p",
             TraditionalForm], "2"],
           TraditionalForm], "2"]}]]}], ")"}]}], 
    RowBox[{
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]]}]]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.6476386882887573`*^9, 3.647639461493721*^9, 
  3.647698112079586*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeriesCoefficient", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6476382819503393`*^9, 3.647638282230133*^9}, {
  3.647638479681767*^9, 3.6476384843814774`*^9}, {3.647638672724552*^9, 
  3.647638686144013*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"8", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], " ", 
       SuperscriptBox["v1", "3"], " ", "v2", " ", 
       TemplateBox[{RowBox[{"t1", "-", "t2"}]},
        "DiracDeltaSeq"], " ", 
       SuperscriptBox["g", 
        RowBox[{"i", "j"}]]}], "+", 
      RowBox[{"\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], " ", "v1", " ", 
       SuperscriptBox["v2", "3"], " ", 
       TemplateBox[{RowBox[{"t1", "-", "t2"}]},
        "DiracDeltaSeq"], " ", 
       SuperscriptBox["g", 
        RowBox[{"i", "j"}]]}], "-", 
      RowBox[{
      "2", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", "v1", " ", "v2",
        " ", 
       SuperscriptBox["g", 
        RowBox[{"i", "j"}]], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox["\[Delta]",
          DiracDelta,
          Editable->False,
          Selectable->False], "\[Prime]\[Prime]",
         MultilineFunction->None], "(", 
        RowBox[{"t1", "-", "t2"}], ")"}]}]}], ")"}]}], 
   SuperscriptBox[
    FormBox[
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"],
     TraditionalForm], "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476382832861547`*^9, 3.647638352376831*^9, 
  3.6476384363319693`*^9, 3.647638690765463*^9, 3.647639462372246*^9, 
  3.647698112161467*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Expand", "*)"}], 
  RowBox[{"Expand", "[", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"%", "/.", 
       RowBox[{
        RowBox[{"v1", " ", "v2", " ", 
         RowBox[{"MTd", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
        RowBox[{"nccon", "[", 
         RowBox[{"v1", ",", "v2"}], "]"}]}]}], "/.", 
      RowBox[{
       RowBox[{
        RowBox[{"v1", "^", "3"}], " ", "v2", " ", 
        RowBox[{"MTd", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
       RowBox[{
        RowBox[{"vsq", "[", "v1", "]"}], 
        RowBox[{"nccon", "[", 
         RowBox[{"v1", ",", "v2"}], "]"}]}]}]}], "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"v2", "^", "3"}], " ", "v1", " ", 
       RowBox[{"MTd", "[", 
        RowBox[{"i", ",", "j"}], "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"vsq", "[", "v2", "]"}], 
       RowBox[{"nccon", "[", 
        RowBox[{"v1", ",", "v2"}], "]"}]}]}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.647638296988853*^9, 3.647638347941696*^9}, {
  3.647638427450438*^9, 3.647638430896112*^9}, {3.6476384868982363`*^9, 
  3.647638490853798*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"8", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t1", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox[
     FormBox["p",
      TraditionalForm], "2"]], "+", 
   FractionBox[
    RowBox[{"8", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t1", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox[
     FormBox["p",
      TraditionalForm], "2"]], "-", 
   FractionBox[
    RowBox[{"16", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1", "-", "t2"}], ")"}]}], 
    SuperscriptBox[
     FormBox[
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], "2"],
      TraditionalForm], "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.647638353375238*^9, {3.647638431763411*^9, 3.647638439095008*^9}, 
   3.647638697272043*^9, 3.6476394718664713`*^9, 3.647698112247973*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647638357829481*^9, 3.647638363517597*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "-", 
       FractionBox["d", "2"]}]]}], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["r", 
     RowBox[{"4", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "2"}]},
     "Gamma"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}], " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1", "-", "t2"}], ")"}]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox[
     FormBox["v1",
      TraditionalForm], "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox[
     FormBox["v2",
      TraditionalForm], "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647638364851079*^9, 3.6476384409734697`*^9, 
  3.647638709834506*^9, 3.6476394744867153`*^9, 3.647698112394127*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647638368361174*^9, 3.647638381651513*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"2", " ", "G", " ", "m1", " ", "m2", " ", "r", " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}], " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1", "-", "t2"}], ")"}]}], "+", 
   FractionBox[
    RowBox[{"2", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], "r"], "+", 
   FractionBox[
    RowBox[{"2", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], "r"]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647638384954679*^9, 3.6476384423079987`*^9, 
  3.6476387109390078`*^9, 3.6476394784312162`*^9, 3.6476981126191072`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"allgra", "[", 
   RowBox[{"Take", "[", 
    RowBox[{"PN2", ",", 
     RowBox[{"{", "1", "}"}]}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.64763754780657*^9, 3.647637557963974*^9}, {
  3.647639226922958*^9, 3.6476392390340643`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], 
     {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2, 1}, {2, 3}}]}}], "}"}], 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.647639239765354*^9, 3.64763948088017*^9, 
  3.647698112695553*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "0", ",", "1"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "0", ",", "1"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t1", ",", "t2", ",", "i", ",", "j", ",", "k", ",", "l", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "3", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"4", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v1", "2"], " ", 
    SuperscriptBox["v2", "2"], " ", 
    SuperscriptBox["\[Epsilon]", "4"], " ", 
    TemplateBox[{RowBox[{"t1", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "-", "cd"}], ")"}], " ", 
        SuperscriptBox["g", 
         RowBox[{"i", "j"}]], " ", 
        SuperscriptBox["g", 
         RowBox[{"k", "l"}]]}]}], "-", 
      RowBox[{
       SuperscriptBox["g", 
        RowBox[{"i", "l"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"j", "k"}]]}], "-", 
      RowBox[{
       SuperscriptBox["g", 
        RowBox[{"i", "k"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"j", "l"}]]}]}], ")"}]}], 
   RowBox[{
    SuperscriptBox[
     FormBox["p",
      TraditionalForm], "2"], " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      RowBox[{
       SuperscriptBox["v1", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}]], " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      RowBox[{
       SuperscriptBox["v2", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}]]}]], TraditionalForm]], "Output",\

 CellChangeTimes->{3.6476387337910347`*^9, 3.647639483192874*^9, 
  3.647698112828766*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeriesCoefficient", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.6476374779873133`*^9, {3.647638205189043*^9, 3.64763821557761*^9}, {
   3.647638724126915*^9, 3.6476387320916*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"4", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["v1", "2"], " ", 
    SuperscriptBox["v2", "2"], " ", 
    TemplateBox[{RowBox[{"t1", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "-", "cd"}], ")"}], " ", 
        SuperscriptBox["g", 
         RowBox[{"i", "j"}]], " ", 
        SuperscriptBox["g", 
         RowBox[{"k", "l"}]]}]}], "-", 
      RowBox[{
       SuperscriptBox["g", 
        RowBox[{"i", "l"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"j", "k"}]]}], "-", 
      RowBox[{
       SuperscriptBox["g", 
        RowBox[{"i", "k"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"j", "l"}]]}]}], ")"}]}], 
   SuperscriptBox[
    FormBox["p",
     TraditionalForm], "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.647637479281645*^9, {3.6476382076594057`*^9, 3.6476382163281593`*^9}, 
   3.647638735302593*^9, 3.6476394842849073`*^9, 3.647698112917162*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Contract", "[", 
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{
     RowBox[{"v1", "^", "2"}], " ", 
     RowBox[{"v2", "^", "2"}]}], " ", "\[Rule]", 
    RowBox[{
     RowBox[{"TVd", "[", 
      RowBox[{"v1", ",", "i"}], "]"}], 
     RowBox[{"TVd", "[", 
      RowBox[{"v1", ",", "j"}], "]"}], 
     RowBox[{"TVd", "[", 
      RowBox[{"v2", ",", "k"}], "]"}], 
     RowBox[{"TVd", "[", 
      RowBox[{"v2", ",", "l"}], "]"}]}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6476374827544003`*^9, 3.647637485514637*^9}, 
   3.6476382095619783`*^9}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"4", " ", "\[Pi]", " ", "G", " ", "m1", " ", "m2", " ", 
    TemplateBox[{RowBox[{"t1", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "-", "cd"}], ")"}], " ", 
        SuperscriptBox[
         FormBox["v1",
          TraditionalForm], "2"], " ", 
        SuperscriptBox[
         FormBox["v2",
          TraditionalForm], "2"]}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        FormBox[
         RowBox[{
          FormBox["v1",
           TraditionalForm], "\[CenterDot]", 
          FormBox["v2",
           TraditionalForm]}],
         TraditionalForm], "2"]}]}], ")"}]}], 
   SuperscriptBox[
    FormBox["p",
     TraditionalForm], "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637486408738*^9, 3.647638217372436*^9, 
  3.647638741828143*^9, 3.6476394871001*^9, 3.6476981129963207`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647637488017146*^9, 3.6476374950438223`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"cd", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox[
     FormBox["v1",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["v2",
      TraditionalForm], "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox[
     FormBox["v1",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["v2",
      TraditionalForm], "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "-", 
      FractionBox["d", "2"]}]], " ", "G", " ", "m1", " ", "m2", " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"], " ", 
    SuperscriptBox[
     FormBox[
      RowBox[{
       FormBox["v1",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}],
      TraditionalForm], "2"]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647637496668282*^9, 3.64763821941775*^9, 
  3.647638748358404*^9, 3.647639489780648*^9, 3.647698113145754*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476375014761763`*^9, 3.647637515363605*^9}, {
  3.647638225418252*^9, 3.647638227169281*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["v2",
       TraditionalForm], "2"]}], "r"], "-", 
   FractionBox[
    RowBox[{"2", " ", "G", " ", "m1", " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["v1",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v2",
         TraditionalForm]}],
       TraditionalForm], "2"]}], "r"]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476375160508013`*^9, 3.647638228550623*^9, 
  3.6476387493219213`*^9, 3.647639493862917*^9, 3.647698113260539*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"allgra", "[", 
   RowBox[{"Take", "[", 
    RowBox[{"PN1", ",", 
     RowBox[{"{", "2", "}"}]}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.647638987600968*^9, 3.6476389952337418`*^9}, {
  3.6476392444117126`*^9, 3.647639258738648*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.3, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.3, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{3.6476392592260647`*^9, 3.647639497382901*^9, 
  3.647698113332396*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"I", " ", 
    RowBox[{"verpar", "[", 
     RowBox[{"m1", ",", 
      RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
     "]"}], 
    RowBox[{"verpar", "[", 
     RowBox[{"m1", ",", 
      RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], 
     "]"}], 
    RowBox[{"verpar", "[", 
     RowBox[{"m2", ",", 
      RowBox[{"\[Epsilon]", " ", "v2"}], ",", "2", ",", "0", ",", "0"}], 
     "]"}], 
    RowBox[{
     RowBox[{"prop", "[", 
      RowBox[{
      "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], 
    RowBox[{
     RowBox[{"prop", "[", 
      RowBox[{
      "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
   RowBox[{"v1", "\[Rule]", "0"}]}], "/.", 
  RowBox[{"v2", "\[Rule]", "0"}]}]], "Input",
 CellChangeTimes->{{3.647638912837414*^9, 3.64763892967124*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"128", " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
     "DiracDeltaSeq"]}], 
   RowBox[{
    SuperscriptBox["cd", "2"], " ", 
    SuperscriptBox[
     FormBox["pa",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pb",
      TraditionalForm], "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647638903105688*^9, 3.6476389309889803`*^9}, 
   3.647639510599771*^9, 3.64769811386156*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "pa", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647638923109715*^9, 3.647638935945256*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"32", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", 
      FractionBox["d", "2"]}]], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["r", 
     RowBox[{"2", "-", "d"}]], " ", 
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"]}], 
   RowBox[{
    SuperscriptBox["cd", "2"], " ", 
    SuperscriptBox[
     FormBox["pb",
      TraditionalForm], "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{3.647638938792251*^9, 3.6476395143891697`*^9, 
  3.647698114140359*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "pb", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647638940448666*^9, 3.647638946545341*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"8", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["r", 
     RowBox[{"4", "-", 
      RowBox[{"2", " ", "d"}]}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"]}], 
   SuperscriptBox["cd", "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{3.64763894878835*^9, 3.647639517138167*^9, 
  3.64769811426271*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647638951163444*^9, 3.647638958016004*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2"}], 
   RowBox[{"2", " ", 
    SuperscriptBox["r", "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{3.64763895899406*^9, 3.647639519630499*^9, 
  3.647698114324012*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"2", "PN"}], "*)"}], 
  RowBox[{"I", " ", 
   RowBox[{"verpar", "[", 
    RowBox[{"m1", ",", 
     RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
   RowBox[{"verpar", "[", 
    RowBox[{"m1", ",", 
     RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
   RowBox[{"verpar", "[", 
    RowBox[{"m2", ",", 
     RowBox[{"\[Epsilon]", " ", "v2"}], ",", "2", ",", "0", ",", "0"}], "]"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"prop", "[", 
       RowBox[{
       "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "0"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "+", 
     RowBox[{
      RowBox[{"prop", "[", 
       RowBox[{
       "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "1"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ")"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"prop", "[", 
       RowBox[{
       "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "0"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "+", 
     RowBox[{
      RowBox[{"prop", "[", 
       RowBox[{
       "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "1"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.6476390300627337`*^9, 3.647639030136025*^9}, {
  3.647639292923551*^9, 3.647639295183963*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"cd", "-", "2"}], ")"}], " ", 
         SuperscriptBox["v1", "2"], " ", 
         SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["cd", "2"], "-", 
           RowBox[{"2", " ", "cd"}], "+", "4"}], ")"}], " ", 
         SuperscriptBox["v2", "2"], " ", 
         SuperscriptBox["\[Epsilon]", "2"]}]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"cd", "-", "2"}], ")"}], "2"], " ", 
        SuperscriptBox["v2", "4"], " ", 
        SuperscriptBox["\[Epsilon]", "4"]}], "+", "4"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[Epsilon]", "2"], " ", 
         RowBox[{
          SuperscriptBox[
           InterpretationBox["\[Delta]",
            DiracDelta,
            Editable->False,
            Selectable->False], "\[Prime]\[Prime]",
           MultilineFunction->None], "(", 
          RowBox[{"t1a", "-", "t2"}], ")"}]}], 
        RowBox[{"2", " ", "cd", " ", 
         SuperscriptBox[
          FormBox[
           SuperscriptBox[
            FormBox["pa",
             TraditionalForm], "2"],
           TraditionalForm], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
          "DiracDeltaSeq"]}], 
        RowBox[{"2", " ", "cd", " ", 
         SuperscriptBox[
          FormBox["pa",
           TraditionalForm], "2"]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[Epsilon]", "2"], " ", 
         RowBox[{
          SuperscriptBox[
           InterpretationBox["\[Delta]",
            DiracDelta,
            Editable->False,
            Selectable->False], "\[Prime]\[Prime]",
           MultilineFunction->None], "(", 
          RowBox[{"t1b", "-", "t2"}], ")"}]}], 
        RowBox[{"2", " ", "cd", " ", 
         SuperscriptBox[
          FormBox[
           SuperscriptBox[
            FormBox["pb",
             TraditionalForm], "2"],
           TraditionalForm], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
          "DiracDeltaSeq"]}], 
        RowBox[{"2", " ", "cd", " ", 
         SuperscriptBox[
          FormBox["pb",
           TraditionalForm], "2"]}]]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         SuperscriptBox["v2", "2"], " ", 
         SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], 
      RowBox[{"3", "/", "2"}]]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647639031666821*^9, 3.647639087537632*^9, 
  3.647639521669052*^9, 3.647698114866476*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{"%", ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.647639034263836*^9, 3.647639046155355*^9}, {
  3.647639078649044*^9, 3.6476390828647747`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"128", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      SuperscriptBox["v1", "2"], " ", 
      TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
       "DiracDeltaSeq"]}], 
     RowBox[{
      SuperscriptBox["cd", "2"], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], "2"]}]]}], "-", 
   FractionBox[
    RowBox[{"64", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1a", "-", "t2"}], ")"}]}], 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox[
       SuperscriptBox[
        FormBox["pa",
         TraditionalForm], "2"],
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1b", "-", "t2"}], ")"}]}], 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox[
       SuperscriptBox[
        FormBox["pb",
         TraditionalForm], "2"],
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"64", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476390537447033`*^9, 3.647639087954018*^9, 
  3.647639522572603*^9, 3.647698115057654*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "pa", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647639090286965*^9, 3.647639098065588*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"2", "-", 
        FractionBox["d", "2"]}]], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      SuperscriptBox["r", 
       RowBox[{"4", "-", "d"}]], " ", 
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "2"}]},
       "Gamma"], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox["\[Delta]",
         DiracDelta,
         Editable->False,
         Selectable->False], "\[Prime]\[Prime]",
        MultilineFunction->None], "(", 
       RowBox[{"t1a", "-", "t2"}], ")"}]}], 
     RowBox[{
      SuperscriptBox["cd", "2"], " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], "2"]}]]}], "-", 
   FractionBox[
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1b", "-", "t2"}], ")"}]}], 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox[
       SuperscriptBox[
        FormBox["pb",
         TraditionalForm], "2"],
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"]}], 
    SuperscriptBox[
     FormBox["pb",
      TraditionalForm], "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647639104144438*^9, 3.647639523676108*^9, 
  3.647698115232017*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "pb", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647639107055807*^9, 3.6476391117699537`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"2", "-", "d"}]], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      SuperscriptBox["r", 
       RowBox[{"6", "-", 
        RowBox[{"2", " ", "d"}]}]], " ", 
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "2"}]},
       "Gamma"], " ", 
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox["\[Delta]",
         DiracDelta,
         Editable->False,
         Selectable->False], "\[Prime]\[Prime]",
        MultilineFunction->None], "(", 
       RowBox[{"t1a", "-", "t2"}], ")"}]}], 
     SuperscriptBox["cd", "2"]]}], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["r", 
      RowBox[{"6", "-", 
       RowBox[{"2", " ", "d"}]}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "2"}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], " ", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox["\[Delta]",
        DiracDelta,
        Editable->False,
        Selectable->False], "\[Prime]\[Prime]",
       MultilineFunction->None], "(", 
      RowBox[{"t1b", "-", "t2"}], ")"}]}], 
    SuperscriptBox["cd", "2"]], "-", 
   FractionBox[
    RowBox[{"8", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", 
       RowBox[{"2", " ", "d"}]}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], 
    SuperscriptBox["cd", "2"]], "-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", 
       RowBox[{"2", " ", "d"}]}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], 
    SuperscriptBox["cd", "2"]], "+", 
   FractionBox[
    RowBox[{"8", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", 
       RowBox[{"2", " ", "d"}]}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], "cd"], "+", 
   FractionBox[
    RowBox[{"8", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", 
       RowBox[{"2", " ", "d"}]}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], "cd"], "-", 
   RowBox[{"4", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["v2", "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{"4", "-", 
      RowBox[{"2", " ", "d"}]}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647639116613091*^9, 3.64763952468158*^9, 
  3.6476981154238*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476391271125107`*^9, 3.647639132369475*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v1", "2"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "2"]}]], "-", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v2", "2"]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["r", "2"]}]], "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1a", "-", "t2"}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox["\[Delta]",
       DiracDelta,
       Editable->False,
       Selectable->False], "\[Prime]\[Prime]",
      MultilineFunction->None], "(", 
     RowBox[{"t1b", "-", "t2"}], ")"}]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647639133112432*^9, 3.647639525669188*^9, 
  3.64769811555258*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "2", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638955827673209*^9, 3.6389558736122923`*^9}, {
   3.6389560263833847`*^9, 3.6389560290961227`*^9}, {3.6389560637855997`*^9, 
   3.638956064849955*^9}, 3.639213829587143*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.3, 3}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.3, 3}}]}}},
    ImageCache->GraphicsData["CompressedBitmap", "\<\
eJydV21MFEcYHrxbiVdrARNEE6sVa4g1puBXUttaMdGEr9LyQ1Na8XqodxEU
EKw0FatGMBoPqzHEEKwtkhgboliImkgj8SPWVDTyx0okGv+gJhYR/ASezuy8
s3uzbKz2ktm9ned93p1555n3nc30lwZXFvpLQwH/5CUl/qJgKLB+8uJ1JbzL
E8UYu8Nb2WTm5f/B/0Zc7oD/nDePefOgo6MD4XBYNDbLvHqwfft+zJvXgVDo
N5Zi9nkR3r0bv+fl4XxaGhpXrVpDpj09PaAfi9I919bWQg0hxbwaJsrY37wJ
y1u8+Qjz4B/ZiRr+tIb6Ojs7X8f9LPPq5dcCci1aWHm+RH1/vJ7nFy9eoLe3
VzTuWVwNPHrUy0Py0vQcFTWE1tY+lmxi3H7ZMtP94Pjx3L3sGxoacrr/yLwZ
uHEDiI6Wg5w+HXj+HOxDE/MCVVVAYiLAo4yBgbWSOZ/QykpY06uowK+RqIGX
L4HkZIkaBnD9Otgv0uRjMrl6FfB6pcns2eINYIekySf0jvJy+x07d0JDDTx7
BiQlSXTUKPAogv0sTT4lk/PngREjpMmCBeCRADsoTRbQOwoK7HfU1EBDDTx+
DEyaJNExY4C7d8HqpMln5OD0adsBj9QMFb0nT4CtW4HcXKCpqVCSFhLKxWuR
Dh/GB4rEg4CRI2V/aamD9PAhkJAgZ8RDPoMkYi6cIGRlMWKkEnTqFHDhglx5
yzw7W5onJSnzYgXxvYfMTPDAK8h1v77GLZ1cnjkDvq3lCKaqWd67BwidpqQA
x46tkYw0QoNBTRMWqb9fqF1iW7Y4SA6lvK8mNHGi7MvNZRrDXT1TFW3RIjUG
RUt/haISFe3AAWDDBqChQdEyaHyFhZrKfopE3VW2R5pkuquM0CxCV6zQ5FQd
iRqWbgQ6dixw/z5YWJp8Tg4aG20HS5eC0GxCc3JstKkJuyNRA93dQGysRCdM
AE/DYO+pkIjUI0TNn4KS9gU5PXTIdpqfj0lqnUVKmjkT8PmA5uaQJH1J6JIl
Nqm1Fe8qEp+S1R8OO0i3bwOjR0swNZXexMcWEyP7gkFGjByC9u+HuWR8YZhl
PneuNF+4UJmXKejoUZjzuXJFQW+8Yb5TvgYHga4u4OlTtlpCXxMkdoCYqHga
p2be1mZn8LY2YuQSg4cIU6aYimEJinHrlh2r2lqNMUxJ1mv0xKSR3AU2Ts0n
Ijtp8xkmOotx9ixw+bIQkmJ84y7EHyNRdyFulibL3UVHaJ67uioiUUOTkQgq
Xw62SZqsIAf79tkOiouhoYa5F+bPl6jIIZcugf0gTfxk4laP4yLXQJwUWlqE
OlZK5reEOuqxRRLSVP3t7RrJvUzHKua1azbzyBFiBojZ3m5X7zlzZB6MUUw9
VRMzn5ZXpGqR7HhtoqlF5OlQiDnMRZ4W+VE8WeY3b6pOZf7G++17NVihGq4l
7NolIhxwoHV1dhA6OwktoHGIeZaUAKtXg72lGOfO2YzmZo3hRSCgKcynSHr+
0kjuwvOpUMTFyehVV9PaUOUeJkaLwTVFP53hLtB10mTtKwRKJ8N17krUUHfJ
0VmjiEzcToYyFnRSGVbvNdS9tlNBLiETtzpuqAiJAezYYRYGuVPYenqv47Ro
qPXbs8fu7+72R5Lcy7tXMU+etJltbcQsJTSy6qenwyLpKZxIZYSqs6W480h4
FEmkj2nTgMWLgePHNZLHTOHibeLp/5awChW/EyeA5TzlZmRQ7iOID2LbNnvk
fX15OtpZqSUrQjdRGPfu5coZoSUl5jARWeltTz9a+DGvIb4IA3/+pUzUB1V9
fT2vUWNFYxvNq5drpNpy6vNtzjW7PbwKd1k75RUffBuhviejebtBnh7x9g77
Cv/5hXfx4kV+1igUjZWbVw+vc2HEx9/hh+QqXmRl34MHD5wuXFeBRf0LlKLg
RA==\
\>"]], "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213937926465*^9, 3.6393728840469503`*^9, {3.639373168342535*^9, 
   3.639373183457923*^9}, 3.63939020043478*^9, 3.639390362381839*^9, 
   3.639456339930621*^9, 3.6394643719299717`*^9, 3.639718456516384*^9, 
   3.6398180181743917`*^9, 3.642214190538546*^9, 3.64222037707769*^9, 
   3.6422210886137342`*^9, 3.642221172010442*^9, 3.644121726884048*^9, 
   3.644138068224676*^9, 3.644212080563747*^9, 3.645427307414287*^9, 
   3.645439745664662*^9, 3.64543994507694*^9, 3.645502431767605*^9, 
   3.645508924921795*^9, 3.645515365493862*^9, 3.647624516838442*^9, 
   3.647636875610162*^9, 3.647639287153428*^9, 3.6476395271603117`*^9, 
   3.6476981156344757`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t2", ",", "i", ",", "0", ",", "j", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6476393360293827`*^9, 3.647639336146763*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"64", " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", "v1", " ", "v2", " ", 
    SuperscriptBox["\[Epsilon]", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"cd", "-", "2"}], ")"}], " ", 
       SuperscriptBox["v1", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"cd", "+", "2"}], ")"}], " ", 
       SuperscriptBox["v2", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}], "-", "2"}], ")"}], " ", 
    TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    SuperscriptBox["g", 
     RowBox[{"i", "j"}]]}], 
   RowBox[{"cd", " ", 
    SuperscriptBox[
     FormBox["pa",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pb",
      TraditionalForm], "2"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{
       SuperscriptBox["v1", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], 
     RowBox[{"3", "/", "2"}]]}]], TraditionalForm]], "Output",
 CellChangeTimes->{3.64763933703605*^9, 3.647639415242066*^9, 
  3.6476395304516983`*^9, 3.6476981159124126`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeriesCoefficient", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6476393380259857`*^9, 3.647639347685657*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", "v1", " ", "v2", " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     SuperscriptBox["g", 
      RowBox[{"i", "j"}]]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647639349687289*^9, 3.647639415969993*^9, 
  3.647639531974128*^9, 3.647698116116066*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Contract", "[", 
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{"v1", " ", "v2"}], " ", "\[Rule]", 
    RowBox[{
     RowBox[{"TVd", "[", 
      RowBox[{"v1", ",", "i"}], "]"}], 
     RowBox[{"TVd", "[", 
      RowBox[{"v2", ",", "j"}], "]"}]}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.647639352278545*^9, 3.6476393802100267`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647639382764892*^9, 3.6476394169097967`*^9, 
  3.6476395333493*^9, 3.647698116211315*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "pa", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647639384109164*^9, 3.647639389863638*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"64", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["r", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647639393022883*^9, 3.647639419246011*^9}, 
   3.647639534408248*^9, 3.647698116309909*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "pb", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.6476393942787237`*^9, 3.64763942112003*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["r", 
      RowBox[{"4", "-", 
       RowBox[{"2", " ", "d"}]}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], "cd"]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647639400202691*^9, 3.647639421560719*^9}, 
   3.647639535501259*^9, 3.6476981164078627`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647639402255247*^9, 3.647639406478736*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647639406939868*^9, 3.6476394235475483`*^9}, 
   3.647639536417056*^9, 3.647698116458898*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "10", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6389563258783073`*^9, 3.638956353714344*^9}, 
   3.63921382962475*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.3, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.3, 1}, {2, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.3, 1}, {2.3, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139405325747`*^9, 3.6393728867900553`*^9, {3.6393731709289503`*^9, 
   3.639373185664949*^9}, 3.6393902030818987`*^9, 3.639390364906246*^9, 
   3.639456343007268*^9, 3.639464384151311*^9, 3.6397184683561697`*^9, 
   3.639818029215519*^9, 3.642214204488533*^9, 3.642221102781385*^9, 
   3.642221186240725*^9, 3.644121745880596*^9, 3.64413808191883*^9, 
   3.64421209433631*^9, 3.6454273212416162`*^9, 3.645439760726026*^9, 
   3.645439960734831*^9, 3.645502445619976*^9, 3.645508939615303*^9, 
   3.645515368910143*^9, 3.647624542094349*^9, 3.6476369007575912`*^9, 
   3.64768402950681*^9, 3.647698116508861*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "2", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "2", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t2b", ",", "0", ",", "0", ",", "0", ",", "0", ",",
      "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t2b", ",", "0", ",", "0", ",", "0", ",", "0", ",",
      "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pc", ",", "t1b", ",", "t2a", ",", "0", ",", "0", ",", "0", ",", "0", ",",
      "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.647685069719421*^9, 3.647685081539233*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{
      SuperscriptBox["cd", "3"], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       FormBox["pc",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox["v1", "2"], " ", 
          SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox["v2", "2"], " ", 
          SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], "2"]}]]}], "16", " ", 
   
   SuperscriptBox["\[Pi]", "3"], " ", 
   SuperscriptBox["G", "3"], " ", 
   SuperscriptBox["m1", "2"], " ", 
   SuperscriptBox["m2", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"cd", "-", "2"}], ")"}], " ", 
      SuperscriptBox["v1", "2"], " ", 
      SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["cd", "2"], "-", 
         RowBox[{"2", " ", "cd"}], "+", "4"}], ")"}], " ", 
       SuperscriptBox["v1", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"cd", "-", "2"}], ")"}], "2"], " ", 
      SuperscriptBox["v1", "4"], " ", 
      SuperscriptBox["\[Epsilon]", "4"]}], "+", "4"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"cd", "-", "2"}], ")"}], " ", 
      SuperscriptBox["v2", "2"], " ", 
      SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["cd", "2"], "-", 
         RowBox[{"2", " ", "cd"}], "+", "4"}], ")"}], " ", 
       SuperscriptBox["v2", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"cd", "-", "2"}], ")"}], "2"], " ", 
      SuperscriptBox["v2", "4"], " ", 
      SuperscriptBox["\[Epsilon]", "4"]}], "+", "4"}], ")"}], " ", 
   TemplateBox[{RowBox[{"t1a", "-", "t2b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t1b", "-", "t2a"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t1b", "-", "t2b"}]},
    "DiracDeltaSeq"]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476850712016993`*^9, 3.647685082880875*^9}, 
   3.64769811742725*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{"v1", "\[Rule]", "0"}]}], "/.", 
  RowBox[{"v2", "\[Rule]", "0"}]}]], "Input",
 CellChangeTimes->{{3.64768508376527*^9, 3.6476850885822268`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1024", " ", 
     SuperscriptBox["\[Pi]", "3"], " ", 
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "2"], " ", 
     SuperscriptBox["m2", "2"], " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2b"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{
     SuperscriptBox["cd", "3"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pc",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685090169541*^9, 3.6476981177037783`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint1", "[", 
      RowBox[{"%", ",", "pa", ",", "r"}], "]"}], ",", "pb", ",", "r"}], "]"}],
    ",", "pc", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.6476850921954813`*^9, 3.647685114242717*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"3", "-", 
       FractionBox[
        RowBox[{"3", " ", "d"}], "2"]}]], " ", 
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "2"], " ", 
     SuperscriptBox["m2", "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{"6", "-", 
       RowBox[{"3", " ", "d"}]}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "3"]}], 
    SuperscriptBox["cd", "3"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685115903679*^9, 3.647698117961444*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647685117135951*^9, 3.647685120551421*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "2"], " ", 
     SuperscriptBox["m2", "2"]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["r", "3"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476851212409067`*^9, 3.6476981180186243`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "11", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6389563258783073`*^9, 3.638956353714344*^9}, {
   3.638956539312315*^9, 3.638956539361988*^9}, 3.639213829627829*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 3}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{3, 1}, {2.6, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139410887547`*^9, 3.6393728874571047`*^9, {3.639373171469349*^9, 
   3.6393731860831347`*^9}, 3.639390203633965*^9, 3.6393903653484907`*^9, 
   3.639456343583928*^9, 3.6394643846206217`*^9, 3.6397184689230556`*^9, 
   3.639818030015688*^9, 3.6422142054255257`*^9, 3.6422211035605927`*^9, 
   3.642221187027625*^9, 3.64412174693393*^9, 3.644138082717573*^9, 
   3.6442120951489973`*^9, 3.6454273221422443`*^9, 3.6454397615738153`*^9, 
   3.645439961569318*^9, 3.645502446412119*^9, 3.6455089407999067`*^9, 
   3.645515369464304*^9, 3.647624543562729*^9, 3.6476369021651*^9, 
   3.64768403096415*^9, 3.647698118069902*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "3", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pc", ",", "t1c", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.647685178252555*^9, 3.6476851789282846`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", "3"], " ", 
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "3"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"cd", "-", "2"}], ")"}], " ", 
         SuperscriptBox["v1", "2"], " ", 
         SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["cd", "3"], "-", 
           RowBox[{"9", " ", 
            SuperscriptBox["cd", "2"]}], "+", 
           RowBox[{"12", " ", "cd"}], "-", "12"}], ")"}], " ", 
         SuperscriptBox["v2", "4"], " ", 
         SuperscriptBox["\[Epsilon]", "4"]}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["cd", "3"], "-", 
          RowBox[{"3", " ", 
           SuperscriptBox["cd", "2"]}], "+", 
          RowBox[{"3", " ", "cd"}], "-", "6"}], ")"}], " ", 
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"cd", "-", "2"}], ")"}], "3"], " ", 
        SuperscriptBox["v2", "6"], " ", 
        SuperscriptBox["\[Epsilon]", "6"]}], "+", "8"}], ")"}], " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1c", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{"3", " ", 
     SuperscriptBox["cd", "3"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pc",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         SuperscriptBox["v1", "2"], " ", 
         SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         SuperscriptBox["v2", "2"], " ", 
         SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], 
      RowBox[{"5", "/", "2"}]]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476851814230213`*^9, 3.647685194212769*^9}, 
   3.6476981191134977`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{"v1", "\[Rule]", "0"}]}], "/.", 
  RowBox[{"v2", "\[Rule]", "0"}]}]], "Input",
 CellChangeTimes->{{3.647685182745669*^9, 3.647685195042069*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"2048", " ", 
     SuperscriptBox["\[Pi]", "3"], " ", 
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "3"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t1a", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1b", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t1c", "-", "t2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{"3", " ", 
     SuperscriptBox["cd", "3"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pc",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685195950317*^9, 3.64769811925173*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{
   RowBox[{"doint1", "[", 
    RowBox[{
     RowBox[{"doint1", "[", 
      RowBox[{"%", ",", "pa", ",", "r"}], "]"}], ",", "pb", ",", "r"}], "]"}],
    ",", "pc", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.6476851975849657`*^9, 3.6476852186935997`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"3", "-", 
       FractionBox[
        RowBox[{"3", " ", "d"}], "2"]}]], " ", 
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "3"], " ", "m2", " ", 
     SuperscriptBox["r", 
      RowBox[{"6", "-", 
       RowBox[{"3", " ", "d"}]}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "3"]}], 
    RowBox[{"3", " ", 
     SuperscriptBox["cd", "3"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685219976616*^9, 3.647698119512013*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476852211475487`*^9, 3.6476852239221163`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "3"], " ", 
     SuperscriptBox["m1", "3"], " ", "m2"}], 
    RowBox[{"6", " ", 
     SuperscriptBox["r", "3"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685224785747*^9, 3.647698119560191*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "9", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.6391232687470284`*^9, 3.6391232688022833`*^9}, 3.639213829619925*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139402494087`*^9, 3.639372886487262*^9, {3.639373170662285*^9, 
   3.6393731854097433`*^9}, 3.639390202793013*^9, 3.639390364633957*^9, 
   3.639456342627849*^9, 3.6394643837170258`*^9, 3.6397184679883833`*^9, 
   3.639818028876698*^9, 3.642214204127956*^9, 3.642221102440613*^9, 
   3.6422211858918657`*^9, 3.6441217454133577`*^9, 3.6441380815630627`*^9, 
   3.6442120939785843`*^9, 3.645427320832485*^9, 3.6454397603378363`*^9, 
   3.64543996032734*^9, 3.645502445275326*^9, 3.645508939195237*^9, 
   3.6455153685737*^9, 3.6476245414327908`*^9, 3.647636900123919*^9, 
   3.6476840288515797`*^9, 3.647698119612567*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t", ",", "i", ",", "0", ",", "k", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t", ",", "j", ",", "0", ",", "l", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{"L1\[Phi]2Aperm", "[", 
   RowBox[{"t", ",", "p", ",", "T2", ",", "0", ",", "0", ",", 
    RowBox[{"-", "pa"}], ",", "T1a", ",", "k", ",", "0", ",", 
    RowBox[{"-", "pb"}], ",", "T1b", ",", "l", ",", "0"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6476852863250933`*^9, 3.647685286717349*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["v1", "2"], " ", 
     SuperscriptBox["\[Epsilon]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"cd", "-", "2"}], ")"}], " ", 
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     SuperscriptBox["g", 
      RowBox[{"i", "k"}]], " ", 
     SuperscriptBox["g", 
      RowBox[{"j", "l"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["g", 
         RowBox[{"k", "l"}]], " ", 
        RowBox[{
         FormBox["pa",
          TraditionalForm], "\[CenterDot]", 
         FormBox["pb",
          TraditionalForm]}]}], "-", 
       RowBox[{
        SuperscriptBox[
         FormBox["pb",
          TraditionalForm], 
         FormBox[
          FormBox["k",
           TraditionalForm],
          TraditionalForm]], " ", 
        SuperscriptBox[
         FormBox["pa",
          TraditionalForm], 
         FormBox[
          FormBox["l",
           TraditionalForm],
          TraditionalForm]]}], "+", 
       RowBox[{
        SuperscriptBox[
         FormBox["pa",
          TraditionalForm], 
         FormBox[
          FormBox["k",
           TraditionalForm],
          TraditionalForm]], " ", 
        SuperscriptBox[
         FormBox["pb",
          TraditionalForm], 
         FormBox[
          FormBox["l",
           TraditionalForm],
          TraditionalForm]]}]}], ")"}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]]}]]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.647685287992626*^9, 3.647685312523017*^9}, 
   3.6476981198445787`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{"%", ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "/.", 
  RowBox[{
   RowBox[{"v1", "^", "2"}], "\[Rule]", 
   RowBox[{
    RowBox[{"TVd", "[", 
     RowBox[{"v1", ",", "i"}], "]"}], 
    RowBox[{"TVd", "[", 
     RowBox[{"v1", ",", "j"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.647685289375325*^9, 3.647685309796124*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], 
      FormBox[
       FormBox["i",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], 
      FormBox[
       FormBox["j",
        TraditionalForm],
       TraditionalForm]], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     SuperscriptBox["g", 
      RowBox[{"i", "k"}]], " ", 
     SuperscriptBox["g", 
      RowBox[{"j", "l"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["g", 
         RowBox[{"k", "l"}]], " ", 
        RowBox[{
         FormBox["pa",
          TraditionalForm], "\[CenterDot]", 
         FormBox["pb",
          TraditionalForm]}]}], "-", 
       RowBox[{
        SuperscriptBox[
         FormBox["pb",
          TraditionalForm], 
         FormBox[
          FormBox["k",
           TraditionalForm],
          TraditionalForm]], " ", 
        SuperscriptBox[
         FormBox["pa",
          TraditionalForm], 
         FormBox[
          FormBox["l",
           TraditionalForm],
          TraditionalForm]]}], "+", 
       RowBox[{
        SuperscriptBox[
         FormBox["pa",
          TraditionalForm], 
         FormBox[
          FormBox["k",
           TraditionalForm],
          TraditionalForm]], " ", 
        SuperscriptBox[
         FormBox["pb",
          TraditionalForm], 
         FormBox[
          FormBox["l",
           TraditionalForm],
          TraditionalForm]]}]}], ")"}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476852981126003`*^9, 3.647685313516971*^9}, 
   3.647698119897365*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{"Contract", "[", "%", "]"}], "]"}], "/.", 
   RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
  RowBox[{"pb", "\[Rule]", 
   RowBox[{"p", "-", "p1"}]}]}]], "Input",
 CellChangeTimes->{{3.647685316439514*^9, 3.6476853290692797`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476853302282057`*^9, 3.6476981199649477`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"improvep", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476853335100937`*^9, 3.647685337244529*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476853378836317`*^9, 3.6476981200363903`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint2", "[", 
  RowBox[{"%", ",", "p1", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.6476853389145727`*^9, 3.647685343118412*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], 
    TemplateBox[{RowBox[{"d", "-", "2"}]},
     "Gamma"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685344882346*^9, 3.647698120349988*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647685345870616*^9, 3.64768534993487*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}]}], "-", "d", "+", "7"}]]}], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"2", "-", "d"}]], " ", 
   SuperscriptBox["G", "2"], " ", 
   SuperscriptBox["m1", "2"], " ", "m2", " ", 
   SuperscriptBox[
    FormBox["v1",
     TraditionalForm], "2"], " ", 
   SuperscriptBox["r", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"2", "-", 
        FractionBox["d", "2"]}], ")"}]}], "-", "d"}]], " ", 
   SuperscriptBox[
    TemplateBox[{RowBox[{
        FractionBox["d", "2"], "-", "1"}]},
     "Gamma"], "2"]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476853532964287`*^9, 3.647698120626905*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647685354775894*^9, 3.6476853677748947`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"8", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685368392251*^9, 3.647698120684856*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "7", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.6391232687470284`*^9, 3.6391232688022833`*^9}, {3.639123850557995*^9, 
   3.6391238506146517`*^9}, 3.6392138296108427`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2.6, 1.9}, {2, 3}}]}}}], "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213939548819*^9, 3.6393728857531843`*^9, {3.639373170074978*^9, 
   3.6393731848418293`*^9}, 3.639390202129075*^9, 3.639390364020973*^9, 
   3.639456341944232*^9, 3.639464382897461*^9, 3.639718467194132*^9, 
   3.639818026821373*^9, 3.642214202134225*^9, 3.6422211003669252`*^9, 
   3.642221183851378*^9, 3.6441217426055393`*^9, 3.644138079591229*^9, 
   3.644212091956616*^9, 3.64542731882296*^9, 3.645439758148197*^9, 
   3.6454399580132513`*^9, 3.645502443240849*^9, 3.64550893669761*^9, 
   3.6455153677661*^9, 3.647624537777708*^9, 3.647636896507944*^9, 
   3.647684025140024*^9, 3.647698120730674*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t", ",", "i", ",", "0", ",", "k", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t", ",", "t2", ",", "j", ",", "0", ",", "l", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}], 
  RowBox[{"L1\[Phi]2Aperm", "[", 
   RowBox[{"t", ",", 
    RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
    RowBox[{"-", "pb"}], ",", "T1b", ",", "k", ",", "0", ",", "p", ",", "T2", 
    ",", "l", ",", "0"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6476854031336823`*^9, 3.647685410680089*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", "v1", " ", "v2", " ", 
     SuperscriptBox["\[Epsilon]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"cd", "-", "2"}], ")"}], " ", 
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     SuperscriptBox["g", 
      RowBox[{"i", "k"}]], " ", 
     SuperscriptBox["g", 
      RowBox[{"j", "l"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         SuperscriptBox["g", 
          RowBox[{"k", "l"}]], " ", 
         RowBox[{
          FormBox["p",
           TraditionalForm], "\[CenterDot]", 
          FormBox["pb",
           TraditionalForm]}]}]}], "-", 
       RowBox[{
        SuperscriptBox[
         FormBox["pb",
          TraditionalForm], 
         FormBox[
          FormBox["k",
           TraditionalForm],
          TraditionalForm]], " ", 
        SuperscriptBox[
         FormBox["p",
          TraditionalForm], 
         FormBox[
          FormBox["l",
           TraditionalForm],
          TraditionalForm]]}], "+", 
       RowBox[{
        SuperscriptBox[
         FormBox["p",
          TraditionalForm], 
         FormBox[
          FormBox["k",
           TraditionalForm],
          TraditionalForm]], " ", 
        SuperscriptBox[
         FormBox["pb",
          TraditionalForm], 
         FormBox[
          FormBox["l",
           TraditionalForm],
          TraditionalForm]]}]}], ")"}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]]}]]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476854154014063`*^9, 3.647685445332912*^9}, 
   3.6476981209640493`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{"%", ",", 
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "/.", 
   RowBox[{"v1", "\[Rule]", 
    RowBox[{"TVd", "[", 
     RowBox[{"v1", ",", "i"}], "]"}]}]}], "/.", 
  RowBox[{"v2", "->", 
   RowBox[{"TVd", "[", 
    RowBox[{"v2", ",", "j"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.647685416148017*^9, 3.647685442759966*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"256", " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox[
     FormBox["v1",
      TraditionalForm], 
     FormBox[
      FormBox["i",
       TraditionalForm],
      TraditionalForm]], " ", 
    SuperscriptBox[
     FormBox["v2",
      TraditionalForm], 
     FormBox[
      FormBox["j",
       TraditionalForm],
      TraditionalForm]], " ", 
    TemplateBox[{RowBox[{"t", "-", "t1a"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "T1a"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "t1b"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "T1b"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "T2"}]},
     "DiracDeltaSeq"], " ", 
    SuperscriptBox["g", 
     RowBox[{"i", "k"}]], " ", 
    SuperscriptBox["g", 
     RowBox[{"j", "l"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["g", 
        RowBox[{"k", "l"}]], " ", 
       RowBox[{
        FormBox["p",
         TraditionalForm], "\[CenterDot]", 
        FormBox["pb",
         TraditionalForm]}]}], "+", 
      RowBox[{
       SuperscriptBox[
        FormBox["pb",
         TraditionalForm], 
        FormBox[
         FormBox["k",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], 
        FormBox[
         FormBox["l",
          TraditionalForm],
         TraditionalForm]]}], "-", 
      RowBox[{
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], 
        FormBox[
         FormBox["k",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox["pb",
         TraditionalForm], 
        FormBox[
         FormBox["l",
          TraditionalForm],
         TraditionalForm]]}]}], ")"}]}], 
   RowBox[{
    SuperscriptBox[
     FormBox["p",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pa",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pb",
      TraditionalForm], "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647685435626898*^9, 3.6476854465506563`*^9}, 
   3.647698121017717*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{"Contract", "[", "%", "]"}], "]"}], "/.", 
   RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
  RowBox[{"pb", "\[Rule]", 
   RowBox[{"p", "-", "p1"}]}]}]], "Input",
 CellChangeTimes->{{3.6476854514599237`*^9, 3.647685465371582*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", "(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")"}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476854664518213`*^9, 3.647698121072955*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"improvep", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.64768546999992*^9, 3.6476854736901197`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"256", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      TemplateBox[{RowBox[{"t", "-", "t1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "t1b"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "t2"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"], " ", 
      RowBox[{
       FormBox["p",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}], " ", 
      RowBox[{
       FormBox["p1",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v1",
        TraditionalForm]}]}], 
     RowBox[{
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       FormBox["p1",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        FormBox[
         RowBox[{"p", "-", "p1"}],
         TraditionalForm], ")"}], "2"]}]]}], "+", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685474330781*^9, 3.647698121175802*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint2", "[", 
  RowBox[{"%", ",", "p1", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.647685475642332*^9, 3.647685481947901*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"8", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    TemplateBox[{RowBox[{"d", "-", "2"}]},
     "Gamma"]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    TemplateBox[{RowBox[{"d", "-", "2"}]},
     "Gamma"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685483173189*^9, 3.647698121447852*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647685485149794*^9, 3.647685488908511*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}]}], "-", "d", "+", "8"}]], " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["r", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d"}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], "-", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}]}], "-", "d", "+", "7"}]], " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["r", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d"}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685489581717*^9, 3.647698121608482*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476854905491543`*^9, 3.647685493018656*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"8", " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}]}], 
   SuperscriptBox["r", "2"]], TraditionalForm]], "Output",
 CellChangeTimes->{3.647685493551674*^9, 3.6476981216538343`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "5", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, 3.6392138296011887`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213938917284*^9, 3.639372885083048*^9, {3.639373169278462*^9, 
   3.639373184272787*^9}, 3.63939020153376*^9, 3.639390363380887*^9, 
   3.639456341226061*^9, 3.639464119565558*^9, 3.63946437806468*^9, 
   3.639718462631411*^9, 3.6398180220364513`*^9, 3.642214196396575*^9, 
   3.642221094732061*^9, 3.642221178196748*^9, 3.6441217352673807`*^9, 
   3.644138074109055*^9, 3.6442120864751387`*^9, 3.645427313319744*^9, 
   3.645439752134053*^9, 3.6454399522253647`*^9, 3.645502437723981*^9, 
   3.6455089309437923`*^9, 3.64551536687766*^9, 3.6476245276686687`*^9, 
   3.6476368864382772`*^9, 3.647684014866949*^9, 3.647698121691856*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "0", ",", "1"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t", ",", "t2", ",", "i", ",", "j", ",", "k", ",", "l", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "3", "]"}], "]"}], 
  RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
   RowBox[{"t", ",", 
    RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
    RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", "p", ",", "T2", 
    ",", "k", ",", "l"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6476842983478317`*^9, 3.6476843483315983`*^9}, {
  3.6476844228943167`*^9, 3.6476844736550207`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]]}]], "32", " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["G", "2"], " ", 
   SuperscriptBox["m1", "2"], " ", "m2", " ", 
   SuperscriptBox["v2", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"cd", "-", "2"}], ")"}], " ", 
       SuperscriptBox["v1", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], "2"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1a"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t2"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "T2"}]},
    "DiracDeltaSeq"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "-", "cd"}], ")"}], " ", 
       SuperscriptBox["g", 
        RowBox[{"i", "j"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"k", "l"}]]}]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "l"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "k"}]]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "k"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "l"}]]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["g", 
       RowBox[{"k", "l"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         TemplateBox[{RowBox[{"t", "-", "T1a"}]},
          "DiracDeltaSeq"], " ", 
         TemplateBox[{RowBox[{"t", "-", "T1b"}]},
          "DiracDeltaSeq"], " ", 
         RowBox[{
          FormBox["pa",
           TraditionalForm], "\[CenterDot]", 
          FormBox["pb",
           TraditionalForm]}]}], "+", 
        RowBox[{
         SuperscriptBox["\[Epsilon]", "2"], " ", 
         RowBox[{
          SuperscriptBox[
           InterpretationBox["\[Delta]",
            DiracDelta,
            Editable->False,
            Selectable->False], "\[Prime]",
           MultilineFunction->None], "(", 
          RowBox[{"t", "-", "T1a"}], ")"}], " ", 
         RowBox[{
          SuperscriptBox[
           InterpretationBox["\[Delta]",
            DiracDelta,
            Editable->False,
            Selectable->False], "\[Prime]",
           MultilineFunction->None], "(", 
          RowBox[{"t", "-", "T1b"}], ")"}]}]}], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], 
       FormBox[
        FormBox["k",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["l",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["k",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], 
       FormBox[
        FormBox["l",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.64768438408895*^9, 3.6476844438987503`*^9, {3.647684474907724*^9, 
   3.6476844954542847`*^9}, 3.647684556206072*^9, 3.647684607160812*^9, 
   3.647684656365237*^9, 3.647684716529207*^9, 3.647698121994068*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{"%", ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "/.", 
  RowBox[{
   RowBox[{"v2", "^", "2"}], "\[Rule]", 
   RowBox[{
    RowBox[{"TVd", "[", 
     RowBox[{"v1", ",", "i"}], "]"}], 
    RowBox[{"TVd", "[", 
     RowBox[{"v2", ",", "j"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.647684391695593*^9, 3.6476844003453417`*^9}, {
   3.6476844827330427`*^9, 3.647684490913937*^9}, {3.6476845864924917`*^9, 
   3.647684604153592*^9}, 3.647684645625803*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "128", " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["G", "2"], " ", 
   SuperscriptBox["m1", "2"], " ", "m2", " ", 
   SuperscriptBox[
    FormBox["v1",
     TraditionalForm], 
    FormBox[
     FormBox["i",
      TraditionalForm],
     TraditionalForm]], " ", 
   SuperscriptBox[
    FormBox["v2",
     TraditionalForm], 
    FormBox[
     FormBox["j",
      TraditionalForm],
     TraditionalForm]], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1a"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t2"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "T2"}]},
    "DiracDeltaSeq"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "-", "cd"}], ")"}], " ", 
       SuperscriptBox["g", 
        RowBox[{"i", "j"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"k", "l"}]]}]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "l"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "k"}]]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "k"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "l"}]]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"], " ", 
      SuperscriptBox["g", 
       RowBox[{"k", "l"}]], " ", 
      RowBox[{
       FormBox["pa",
        TraditionalForm], "\[CenterDot]", 
       FormBox["pb",
        TraditionalForm]}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], 
       FormBox[
        FormBox["k",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["l",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["k",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], 
       FormBox[
        FormBox["l",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647684476750572*^9, 3.6476844964491777`*^9}, 
   3.6476845572629137`*^9, 3.647684608204212*^9, 3.647684657130987*^9, 
   3.6476847176512003`*^9, 3.647698122045311*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{"Contract", "[", "%", "]"}], "]"}], "/.", 
   RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
  RowBox[{"pb", "\[Rule]", 
   RowBox[{"p", "-", "p1", 
    RowBox[{"(*", 
     RowBox[{"okkio", " ", 
      RowBox[{"all", "'"}], "ordine"}], "*)"}]}]}]}]], "Input",
 CellChangeTimes->{{3.647684558254319*^9, 3.647684560777371*^9}, {
  3.647684619339037*^9, 3.64768467215296*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"128", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", "d", " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      TemplateBox[{RowBox[{"t", "-", "t1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "t1b"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "t2"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"], " ", 
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")", "\[CenterDot]", 
       FormBox["p1",
        TraditionalForm]}], " ", 
      RowBox[{
       FormBox["v1",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}]}], 
     RowBox[{"cd", " ", 
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       FormBox["p1",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        FormBox[
         RowBox[{"p", "-", "p1"}],
         TraditionalForm], ")"}], "2"]}]]}], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"64", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6476845628395844`*^9, {3.647684610309939*^9, 3.647684622848689*^9}, 
   3.647684659524988*^9, 3.64768471872295*^9, 3.647698122136958*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"improvep", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647684708316588*^9, 3.647684710908802*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"64", " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"64", " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["G", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["m1", "2"]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647684719999939*^9, 3.647698122210395*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint2", "[", 
  RowBox[{"%", ",", "p1", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.647684502351419*^9, 3.647684511945191*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "3"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "3"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", "d", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    TemplateBox[{RowBox[{"d", "-", "2"}]},
     "Gamma"]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"5", "-", "d"}]], " ", "d", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    TemplateBox[{RowBox[{"d", "-", "2"}]},
     "Gamma"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647684513746117*^9, 3.647684612623967*^9, 
  3.647684675378923*^9, 3.647684724087212*^9, 3.647698122521747*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.64768451603345*^9, 3.647684521545742*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "6"}]]}], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}], " ", 
    SuperscriptBox["r", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "+", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "5"}]], " ", "d", 
    " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"], " ", 
    RowBox[{
     FormBox["v1",
      TraditionalForm], "\[CenterDot]", 
     FormBox["v2",
      TraditionalForm]}], " ", 
    SuperscriptBox["r", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "6"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "cd"], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "6"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "cd"], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "6"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "7"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "7"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476845256504602`*^9, 3.6476846781459618`*^9, 
  3.647684726435154*^9, 3.647698122736183*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476845276039143`*^9, 3.647684530527972*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "4"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647684537057611*^9, 3.647684683045533*^9, 
  3.647684731558546*^9, 3.647698127694652*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "8", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, 
   3.639213829615395*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 1, 0], Dashing[1], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.6392139398331013`*^9, 3.639372886136014*^9, {3.6393731703450193`*^9, 
   3.63937318509227*^9}, 3.639390202424643*^9, 3.6393903643049*^9, 
   3.6394563422495728`*^9, 3.639464383266333*^9, 3.639718467526311*^9, 
   3.6398180272093067`*^9, 3.642214202466763*^9, 3.642221100737434*^9, 
   3.6422211842180862`*^9, 3.6441217430581207`*^9, 3.6441380799414587`*^9, 
   3.644212092331501*^9, 3.645427319261025*^9, 3.645439758553294*^9, 
   3.6454399583504972`*^9, 3.645502443598695*^9, 3.645508937120521*^9, 
   3.6455153681340237`*^9, 3.647624538429719*^9, 3.6476368971543922`*^9, 
   3.647684025815097*^9, 3.647698128638774*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "0", ",", "1"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t", ",", "i", ",", "j", ",", "k", ",", "l", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "3", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{"L2\[Phi]1\[Sigma]perm", "[", 
   RowBox[{"t", ",", 
    RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", "p", ",", "T2", 
    ",", "0", ",", "0", ",", 
    RowBox[{"-", "pb"}], ",", "T1b", ",", "i", ",", "j"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6476847985872993`*^9, 3.647684799503093*^9}, 
   3.64768483731427*^9, {3.647684881360602*^9, 3.64768488262934*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]]}]], "32", " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["G", "2"], " ", 
   SuperscriptBox["m1", "2"], " ", "m2", " ", 
   SuperscriptBox["v1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"cd", "-", "2"}], ")"}], " ", 
      SuperscriptBox["v1", "2"], " ", 
      SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"cd", "-", "2"}], ")"}], " ", 
      SuperscriptBox["v2", "2"], " ", 
      SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1a"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "T1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t2"}]},
    "DiracDeltaSeq"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "-", "cd"}], ")"}], " ", 
       SuperscriptBox["g", 
        RowBox[{"i", "j"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"k", "l"}]]}]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "l"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "k"}]]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "k"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "l"}]]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["g", 
       RowBox[{"i", "j"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[Epsilon]", "2"], " ", 
         RowBox[{
          SuperscriptBox[
           InterpretationBox["\[Delta]",
            DiracDelta,
            Editable->False,
            Selectable->False], "\[Prime]",
           MultilineFunction->None], "(", 
          RowBox[{"t", "-", "T1a"}], ")"}], " ", 
         RowBox[{
          SuperscriptBox[
           InterpretationBox["\[Delta]",
            DiracDelta,
            Editable->False,
            Selectable->False], "\[Prime]",
           MultilineFunction->None], "(", 
          RowBox[{"t", "-", "T2"}], ")"}]}], "-", 
        RowBox[{
         TemplateBox[{RowBox[{"t", "-", "T1a"}]},
          "DiracDeltaSeq"], " ", 
         TemplateBox[{RowBox[{"t", "-", "T2"}]},
          "DiracDeltaSeq"], " ", 
         RowBox[{
          FormBox["p",
           TraditionalForm], "\[CenterDot]", 
          FormBox["pa",
           TraditionalForm]}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["i",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], 
       FormBox[
        FormBox["i",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.647684800796958*^9, 3.6476848847817173`*^9, 3.6476849181733418`*^9, {
   3.647684952091921*^9, 3.647684977630031*^9}, 3.647698128993451*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{"%", ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "/.", 
  RowBox[{
   RowBox[{"v1", "^", "2"}], "\[Rule]", 
   RowBox[{
    RowBox[{"TVd", "[", 
     RowBox[{"v1", ",", "k"}], "]"}], 
    RowBox[{"TVd", "[", 
     RowBox[{"v1", ",", "l"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.647684802003121*^9, 3.6476848639575777`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]], "128", " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["G", "2"], " ", 
   SuperscriptBox["m1", "2"], " ", "m2", " ", 
   SuperscriptBox[
    FormBox["v1",
     TraditionalForm], 
    FormBox[
     FormBox["k",
      TraditionalForm],
     TraditionalForm]], " ", 
   SuperscriptBox[
    FormBox["v1",
     TraditionalForm], 
    FormBox[
     FormBox["l",
      TraditionalForm],
     TraditionalForm]], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1a"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "T1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t2"}]},
    "DiracDeltaSeq"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "-", "cd"}], ")"}], " ", 
       SuperscriptBox["g", 
        RowBox[{"i", "j"}]], " ", 
       SuperscriptBox["g", 
        RowBox[{"k", "l"}]]}]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "l"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "k"}]]}], "-", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"i", "k"}]], " ", 
      SuperscriptBox["g", 
       RowBox[{"j", "l"}]]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"], " ", 
      SuperscriptBox["g", 
       RowBox[{"i", "j"}]], " ", 
      RowBox[{
       FormBox["p",
        TraditionalForm], "\[CenterDot]", 
       FormBox["pa",
        TraditionalForm]}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["i",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], 
       FormBox[
        FormBox["i",
         TraditionalForm],
        TraditionalForm]], " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.647684816138257*^9, 3.647684888460256*^9, 3.647684919173417*^9, {
   3.647684952759469*^9, 3.647684978182457*^9}, 3.647698129473328*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{"Contract", "[", "%", "]"}], "]"}], "/.", 
   RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
  RowBox[{"pb", "\[Rule]", 
   RowBox[{"p", "-", "p1"}]}]}]], "Input",
 CellChangeTimes->{{3.6476848898924923`*^9, 3.647684913798443*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"64", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647684905467465*^9, 3.647684920578478*^9}, {
   3.647684953681479*^9, 3.647684979047243*^9}, 3.647698129577368*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"improvep", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647684969768277*^9, 3.6476849733795643`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"64", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", "d", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["p1",
       TraditionalForm]}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647684979938045*^9, 3.647698129680695*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint2", "[", 
  RowBox[{"%", ",", "p1", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.647684922080443*^9, 3.647684927532069*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", "d", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "3"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["p",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"6", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], 
    TemplateBox[{RowBox[{"d", "-", "2"}]},
     "Gamma"]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"5", "-", "d"}]], " ", "d", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"]}], 
    TemplateBox[{RowBox[{"d", "-", "2"}]},
     "Gamma"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647684933015226*^9, 3.6476849819604683`*^9}, 
   3.647698130228931*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647684935076816*^9, 3.647684947028755*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "6"}]], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"], " ", 
    SuperscriptBox[
     FormBox["v1",
      TraditionalForm], "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "-", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "5"}]], " ", "d", 
    " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"2", "-", "d"}]], " ", 
    SuperscriptBox[
     TemplateBox[{RowBox[{
         FractionBox["d", "2"], "-", "1"}]},
      "Gamma"], "2"], " ", 
    SuperscriptBox[
     FormBox["v1",
      TraditionalForm], "2"], " ", 
    SuperscriptBox["r", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "6"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "cd"], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "6"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], "cd"], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.647684942591567*^9, 3.647684982956284*^9}, 
   3.647698130464488*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647684985741316*^9, 3.647684989051999*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.64768499199279*^9, 3.6476981326101093`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "4", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124078992373*^9, 
   3.639124079048596*^9}, 3.639213829596311*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2.6, 1.9}, {2, 3}}]}}}], "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213938528618*^9, 3.639372884666171*^9, {3.6393731689715767`*^9, 
   3.639373183988667*^9}, 3.6393902012052517`*^9, 3.639390363096451*^9, 
   3.639456340871784*^9, 3.639464375357039*^9, 3.63971845998568*^9, 
   3.639728584991404*^9, 3.639818019125394*^9, 3.6422141948224792`*^9, 
   3.6422210930602283`*^9, 3.642221176496912*^9, 3.644121732981626*^9, 
   3.6441380725211782`*^9, 3.644212084835683*^9, 3.645427311778989*^9, 
   3.645439750359415*^9, 3.6454399500514927`*^9, 3.645502436081856*^9, 
   3.645508929275304*^9, 3.6455153663991547`*^9, 3.647624524676981*^9, 
   3.647636883502475*^9, 3.6476840118966*^9, 3.647698132750811*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t", ",", "t2", ",", "i", ",", "0", ",", "j", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}], 
  RowBox[{"L2\[Phi]1Aperm", "[", 
   RowBox[{"t", ",", 
    RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", 
    RowBox[{"-", "pb"}], ",", "T1b", ",", "0", ",", "0", ",", "p", ",", "T2", 
    ",", "j", ",", "0"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.647685847321094*^9, 3.6476858543158493`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]]}]], "4", " ", 
   SqrtBox["2"], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"3", "/", "2"}]], " ", 
   SuperscriptBox["G", 
    RowBox[{"3", "/", "2"}]], " ", 
   SuperscriptBox["m1", "2"], " ", "m2", " ", "v2", " ", "\[Epsilon]", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"cd", "-", "2"}], ")"}], " ", 
       SuperscriptBox["v1", "2"], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], "2"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1a"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t2"}]},
    "DiracDeltaSeq"], " ", 
   SuperscriptBox["g", 
    RowBox[{"i", "j"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"8", " ", "\[ImaginaryI]", " ", 
      SqrtBox[
       RowBox[{"2", " ", "\[Pi]"}]], " ", "cd", " ", 
      SqrtBox["G"], " ", "\[Epsilon]", " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox["\[Delta]",
         DiracDelta,
         Editable->False,
         Selectable->False], "\[Prime]",
        MultilineFunction->None], "(", 
       RowBox[{"t", "-", "T1b"}], ")"}]}], "+", 
     RowBox[{"8", " ", "\[ImaginaryI]", " ", 
      SqrtBox[
       RowBox[{"2", " ", "\[Pi]"}]], " ", "cd", " ", 
      SqrtBox["G"], " ", "\[Epsilon]", " ", 
      SuperscriptBox[
       FormBox["pb",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox["\[Delta]",
         DiracDelta,
         Editable->False,
         Selectable->False], "\[Prime]",
        MultilineFunction->None], "(", 
       RowBox[{"t", "-", "T1a"}], ")"}]}]}], ")"}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6476858504498873`*^9, 3.6476858986948013`*^9, 3.6476859511822147`*^9, {
   3.6476859886619673`*^9, 3.647686010583158*^9}, 3.647698133030106*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{"%", ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "/.", 
  RowBox[{"v2", "\[Rule]", 
   RowBox[{"TVd", "[", 
    RowBox[{"v2", ",", "i"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.647685864416854*^9, 3.647685895614553*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"256", " ", "\[ImaginaryI]", " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    SuperscriptBox[
     FormBox["v2",
      TraditionalForm], 
     FormBox[
      FormBox["i",
       TraditionalForm],
      TraditionalForm]], " ", 
    TemplateBox[{RowBox[{"t", "-", "t1a"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "t1b"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    SuperscriptBox["g", 
     RowBox[{"i", "j"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        FormBox["pa",
         TraditionalForm], 
        FormBox[
         FormBox["j",
          TraditionalForm],
         TraditionalForm]], " ", 
       TemplateBox[{RowBox[{"t", "-", "T1a"}]},
        "DiracDeltaSeq"], " ", 
       TemplateBox[{RowBox[{"t", "-", "T2"}]},
        "DiracDeltaSeq"], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox["\[Delta]",
          DiracDelta,
          Editable->False,
          Selectable->False], "\[Prime]",
         MultilineFunction->None], "(", 
        RowBox[{"t", "-", "T1b"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        FormBox["pb",
         TraditionalForm], 
        FormBox[
         FormBox["j",
          TraditionalForm],
         TraditionalForm]], " ", 
       TemplateBox[{RowBox[{"t", "-", "T1b"}]},
        "DiracDeltaSeq"], " ", 
       TemplateBox[{RowBox[{"t", "-", "T2"}]},
        "DiracDeltaSeq"], " ", 
       RowBox[{
        SuperscriptBox[
         InterpretationBox["\[Delta]",
          DiracDelta,
          Editable->False,
          Selectable->False], "\[Prime]",
         MultilineFunction->None], "(", 
        RowBox[{"t", "-", "T1a"}], ")"}]}]}], ")"}]}], 
   RowBox[{"cd", " ", 
    SuperscriptBox[
     FormBox["p",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pa",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pb",
      TraditionalForm], "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476858818499327`*^9, 3.647685899560413*^9}, 
   3.64768595173481*^9, {3.647685989653911*^9, 3.647686011291847*^9}, 
   3.647698133099184*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Contract", "[", "%", "]"}], "/.", 
   RowBox[{
    RowBox[{
     RowBox[{"DiracDelta", "'"}], "[", 
     RowBox[{"t", "-", "T1b"}], "]"}], "\[Rule]", 
    RowBox[{"I", " ", 
     RowBox[{"nccon", "[", 
      RowBox[{"pb", ",", "v1"}], "]"}]}]}]}], "/.", 
  RowBox[{
   RowBox[{
    RowBox[{"DiracDelta", "'"}], "[", 
    RowBox[{"t", "-", "T1a"}], "]"}], "\[Rule]", 
   RowBox[{"I", " ", 
    RowBox[{"nccon", "[", 
     RowBox[{"pa", ",", "v1"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.647685913902049*^9, 3.647685945862277*^9}}],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"256", " ", "\[ImaginaryI]", " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    SuperscriptBox["G", "2"], " ", 
    SuperscriptBox["m1", "2"], " ", "m2", " ", 
    TemplateBox[{RowBox[{"t", "-", "t1a"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "t1b"}]},
     "DiracDeltaSeq"], " ", 
    TemplateBox[{RowBox[{"t", "-", "t2"}]},
     "DiracDeltaSeq"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[ImaginaryI]", " ", 
       TemplateBox[{RowBox[{"t", "-", "T1a"}]},
        "DiracDeltaSeq"], " ", 
       TemplateBox[{RowBox[{"t", "-", "T2"}]},
        "DiracDeltaSeq"], " ", 
       RowBox[{
        FormBox["pa",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v2",
         TraditionalForm]}], " ", 
       RowBox[{
        FormBox["pb",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}]}], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       TemplateBox[{RowBox[{"t", "-", "T1b"}]},
        "DiracDeltaSeq"], " ", 
       TemplateBox[{RowBox[{"t", "-", "T2"}]},
        "DiracDeltaSeq"], " ", 
       RowBox[{
        FormBox["pa",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}], " ", 
       RowBox[{
        FormBox["pb",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v2",
         TraditionalForm]}]}]}], ")"}]}], 
   RowBox[{"cd", " ", 
    SuperscriptBox[
     FormBox["p",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pa",
      TraditionalForm], "2"], " ", 
    SuperscriptBox[
     FormBox["pb",
      TraditionalForm], "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476859239827213`*^9, 3.647685952490391*^9}, {
   3.647685990620276*^9, 3.647686012133383*^9}, 3.64769813316182*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Expand", "[", "%", "]"}], "/.", 
   RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
  RowBox[{"pb", "\[Rule]", 
   RowBox[{"p", "-", "p1"}]}]}]], "Input",
 CellChangeTimes->{{3.6476859319434433`*^9, 3.64768596596882*^9}, 
   3.6476860069470463`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"256", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      TemplateBox[{RowBox[{"t", "-", "t1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "t1b"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "t2"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"], " ", 
      RowBox[{
       FormBox["p1",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}], " ", 
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")", "\[CenterDot]", 
       FormBox["v1",
        TraditionalForm]}]}], 
     RowBox[{"cd", " ", 
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       FormBox["p1",
        TraditionalForm], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        FormBox[
         RowBox[{"p", "-", "p1"}],
         TraditionalForm], ")"}], "2"]}]]}], "-", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{"(", 
      FormBox[
       RowBox[{"p", "-", "p1"}],
       TraditionalForm], ")", "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476859669450617`*^9, 3.647686012908031*^9}, 
   3.6476981332312183`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint2", "[", 
  RowBox[{
   RowBox[{"improvep", "[", "%", "]"}], ",", "p1", ",", "p"}], "]"}]], "Input",\

 CellChangeTimes->{{3.6476859685911007`*^9, 3.64768600015168*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"8", "-", "d"}]], " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"2", "-", 
        FractionBox["d", "2"]}]], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        SuperscriptBox[
         FormBox["p",
          TraditionalForm], "2"], ")"}], 
       RowBox[{
        FractionBox["d", "2"], "-", "3"}]], " ", 
      TemplateBox[{RowBox[{"2", "-", 
          FractionBox["d", "2"]}]},
       "Gamma"], " ", 
      SuperscriptBox[
       TemplateBox[{RowBox[{
           FractionBox["d", "2"], "-", "1"}]},
        "Gamma"], "2"], " ", 
      RowBox[{
       FormBox["p",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v1",
        TraditionalForm]}], " ", 
      RowBox[{
       FormBox["p",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}]}], 
     RowBox[{"cd", " ", 
      TemplateBox[{RowBox[{"d", "-", "2"}]},
       "Gamma"]}]]}], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "3"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "2"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6476859753839407`*^9, 3.647686014659523*^9}, 
   3.6476981335521507`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647686017432527*^9, 3.647686022432494*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"(", 
          RowBox[{"2", "-", 
           FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "7"}]], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"2", "-", "d"}]], " ", 
      SuperscriptBox[
       TemplateBox[{RowBox[{
           FractionBox["d", "2"], "-", "1"}]},
        "Gamma"], "2"], " ", 
      RowBox[{
       FormBox["v1",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}], " ", 
      SuperscriptBox["r", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"2", "-", 
           FractionBox["d", "2"]}], ")"}]}], "-", "d"}]]}], 
     RowBox[{"cd", " ", 
      RowBox[{"(", 
       RowBox[{"d", "-", "1"}], ")"}]}]]}], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "11"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "11"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647686023145801*^9, 3.647698133712797*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.647686026468752*^9, 3.647686028894516*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476860337778482`*^9, 3.64769813807861*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allgra", "[", 
  RowBox[{"Take", "[", 
   RowBox[{"PN2", ",", 
    RowBox[{"{", "6", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.638956576518821*^9, 3.63895659481087*^9}, {
   3.639124004026746*^9, 3.639124004080573*^9}, {3.639124088082053*^9, 
   3.639124088145455*^9}, 3.63921382960609*^9, {3.647685690652988*^9, 
   3.647685690700779*^9}, {3.6476857209257927`*^9, 3.647685720965127*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   GraphicsBox[
    {Thickness[Large], LineBox[{{{0, 1}, {4, 1}}, {{0, 3}, {4, 3}}}], {
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{1, 1}, {2.6, 1.9}}]}, 
      {RGBColor[1, 0, 0], Dashing[{0.008, 0.05}], 
       LineBox[{{2, 1}, {2.6, 1.9}}]}, 
      {RGBColor[0, 0, 1], Dashing[0.07], LineBox[{{2.6, 1.9}, {2, 3}}]}}}], 
   "}"}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.639213939245594*^9, 3.6393728854341173`*^9, {3.639373169608824*^9, 
   3.639373184574411*^9}, 3.639390201844206*^9, 3.639390363714487*^9, 
   3.639456341591947*^9, 3.639464380976562*^9, 3.639718465287079*^9, 
   3.639818024847196*^9, 3.6422141992584753`*^9, 3.6422210975745153`*^9, 
   3.642221181057679*^9, 3.64412173896845*^9, 3.644138076866609*^9, 
   3.6442120892327127`*^9, 3.6454273160225267`*^9, 3.645439755173792*^9, 
   3.645439955316063*^9, 3.645502440547214*^9, 3.645508933918749*^9, 
   3.6455153673449306`*^9, 3.647624532778977*^9, 3.647636891529044*^9, 
   3.647684020017413*^9, 3.647685691441986*^9, 3.647685721486631*^9, 
   3.647698138217909*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"I", " ", 
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m1", ",", 
    RowBox[{"\[Epsilon]", " ", "v1"}], ",", "0", ",", "1", ",", "0"}], "]"}], 
  
  RowBox[{"verpar", "[", 
   RowBox[{"m2", ",", 
    RowBox[{"\[Epsilon]", " ", "v2"}], ",", "1", ",", "0", ",", "0"}], "]"}], 
  
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pa", ",", "t1a", ",", "t", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "pb", ",", "t1b", ",", "t", ",", "i", ",", "0", ",", "j", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}], 
  RowBox[{
   RowBox[{"prop", "[", 
    RowBox[{
    "p", ",", "t", ",", "t2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], 
  RowBox[{"L2\[Phi]1Aperm", "[", 
   RowBox[{"t", ",", 
    RowBox[{"-", "pa"}], ",", "T1a", ",", "0", ",", "0", ",", "p", ",", "T2", 
    ",", "0", ",", "0", ",", 
    RowBox[{"-", "pb"}], ",", "T1b", ",", "j", ",", "0"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.64768607665481*^9, 3.64768608399925*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SuperscriptBox["cd", "2"], " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v1", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}], ")"}], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["v2", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]}]]}]], "4", " ", 
   SqrtBox["2"], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"3", "/", "2"}]], " ", 
   SuperscriptBox["G", 
    RowBox[{"3", "/", "2"}]], " ", 
   SuperscriptBox["m1", "2"], " ", "m2", " ", "v1", " ", "\[Epsilon]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"cd", "-", "2"}], ")"}], " ", 
      SuperscriptBox["v1", "2"], " ", 
      SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"cd", "-", "2"}], ")"}], " ", 
      SuperscriptBox["v2", "2"], " ", 
      SuperscriptBox["\[Epsilon]", "2"]}], "+", "2"}], ")"}], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1a"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t1b"}]},
    "DiracDeltaSeq"], " ", 
   TemplateBox[{RowBox[{"t", "-", "t2"}]},
    "DiracDeltaSeq"], " ", 
   SuperscriptBox["g", 
    RowBox[{"i", "j"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"8", " ", "\[ImaginaryI]", " ", 
      SqrtBox[
       RowBox[{"2", " ", "\[Pi]"}]], " ", "cd", " ", 
      SqrtBox["G"], " ", "\[Epsilon]", " ", 
      SuperscriptBox[
       FormBox["pa",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1a"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox["\[Delta]",
         DiracDelta,
         Editable->False,
         Selectable->False], "\[Prime]",
        MultilineFunction->None], "(", 
       RowBox[{"t", "-", "T2"}], ")"}]}], "-", 
     RowBox[{"8", " ", "\[ImaginaryI]", " ", 
      SqrtBox[
       RowBox[{"2", " ", "\[Pi]"}]], " ", "cd", " ", 
      SqrtBox["G"], " ", "\[Epsilon]", " ", 
      SuperscriptBox[
       FormBox["p",
        TraditionalForm], 
       FormBox[
        FormBox["j",
         TraditionalForm],
        TraditionalForm]], " ", 
      TemplateBox[{RowBox[{"t", "-", "T1b"}]},
       "DiracDeltaSeq"], " ", 
      TemplateBox[{RowBox[{"t", "-", "T2"}]},
       "DiracDeltaSeq"], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox["\[Delta]",
         DiracDelta,
         Editable->False,
         Selectable->False], "\[Prime]",
        MultilineFunction->None], "(", 
       RowBox[{"t", "-", "T1a"}], ")"}]}]}], ")"}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.647686086321314*^9, 3.647698138497777*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{"%", ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "2"}], "}"}]}], "]"}], "/.", 
  RowBox[{"v1", "\[Rule]", 
   RowBox[{"TVd", "[", 
    RowBox[{"v1", ",", "i"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.647686088493636*^9, 3.647686110879236*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"256", " ", "\[ImaginaryI]", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], 
      FormBox[
       FormBox["i",
        TraditionalForm],
       TraditionalForm]], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     SuperscriptBox["g", 
      RowBox[{"i", "j"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         FormBox["p",
          TraditionalForm], 
         FormBox[
          FormBox["j",
           TraditionalForm],
          TraditionalForm]], " ", 
        TemplateBox[{RowBox[{"t", "-", "T1b"}]},
         "DiracDeltaSeq"], " ", 
        TemplateBox[{RowBox[{"t", "-", "T2"}]},
         "DiracDeltaSeq"], " ", 
        RowBox[{
         SuperscriptBox[
          InterpretationBox["\[Delta]",
           DiracDelta,
           Editable->False,
           Selectable->False], "\[Prime]",
          MultilineFunction->None], "(", 
         RowBox[{"t", "-", "T1a"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox[
         FormBox["pa",
          TraditionalForm], 
         FormBox[
          FormBox["j",
           TraditionalForm],
          TraditionalForm]], " ", 
        TemplateBox[{RowBox[{"t", "-", "T1a"}]},
         "DiracDeltaSeq"], " ", 
        TemplateBox[{RowBox[{"t", "-", "T1b"}]},
         "DiracDeltaSeq"], " ", 
        RowBox[{
         SuperscriptBox[
          InterpretationBox["\[Delta]",
           DiracDelta,
           Editable->False,
           Selectable->False], "\[Prime]",
          MultilineFunction->None], "(", 
         RowBox[{"t", "-", "T2"}], ")"}]}]}], ")"}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647686112230073*^9, 3.647698138567284*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Contract", "[", "%", "]"}], "/.", 
   RowBox[{
    RowBox[{
     RowBox[{"DiracDelta", "'"}], "[", 
     RowBox[{"t", "-", "T2"}], "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "I"}], " ", 
     RowBox[{"nccon", "[", 
      RowBox[{"p", ",", "v2"}], "]"}]}]}]}], "/.", 
  RowBox[{
   RowBox[{
    RowBox[{"DiracDelta", "'"}], "[", 
    RowBox[{"t", "-", "T1a"}], "]"}], "\[Rule]", 
   RowBox[{"I", " ", 
    RowBox[{"nccon", "[", 
     RowBox[{"pa", ",", "v1"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.647686114384273*^9, 3.647686127995179*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"256", " ", "\[ImaginaryI]", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[ImaginaryI]", " ", 
        TemplateBox[{RowBox[{"t", "-", "T1a"}]},
         "DiracDeltaSeq"], " ", 
        TemplateBox[{RowBox[{"t", "-", "T1b"}]},
         "DiracDeltaSeq"], " ", 
        RowBox[{
         FormBox["p",
          TraditionalForm], "\[CenterDot]", 
         FormBox["v2",
          TraditionalForm]}], " ", 
        RowBox[{
         FormBox["pa",
          TraditionalForm], "\[CenterDot]", 
         FormBox["v1",
          TraditionalForm]}]}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        TemplateBox[{RowBox[{"t", "-", "T1b"}]},
         "DiracDeltaSeq"], " ", 
        TemplateBox[{RowBox[{"t", "-", "T2"}]},
         "DiracDeltaSeq"], " ", 
        RowBox[{
         FormBox["p",
          TraditionalForm], "\[CenterDot]", 
         FormBox["v1",
          TraditionalForm]}], " ", 
        RowBox[{
         FormBox["pa",
          TraditionalForm], "\[CenterDot]", 
         FormBox["v1",
          TraditionalForm]}]}]}], ")"}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pa",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["pb",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647686130625423*^9, 3.647698138626349*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Expand", "[", "%", "]"}], "/.", 
   RowBox[{"pa", "\[Rule]", "p1"}]}], "/.", 
  RowBox[{"pb", "\[Rule]", 
   RowBox[{"p", "-", "p1"}]}]}]], "Input",
 CellChangeTimes->{{3.64768613209417*^9, 3.647686141734*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{"256", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     TemplateBox[{RowBox[{"t", "-", "t1a"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T1b"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "t2"}]},
      "DiracDeltaSeq"], " ", 
     TemplateBox[{RowBox[{"t", "-", "T2"}]},
      "DiracDeltaSeq"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     SuperscriptBox[
      FormBox["p",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      FormBox["p1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FormBox[
        RowBox[{"p", "-", "p1"}],
        TraditionalForm], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647686142634232*^9, 3.647698138675261*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint2", "[", 
  RowBox[{
   RowBox[{"improvep", "[", "%", "]"}], ",", "p1", ",", "p"}], "]"}]], "Input",\

 CellChangeTimes->{{3.6476861494436903`*^9, 3.6476861592040977`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "3"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["p",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"7", "-", "d"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox[
        FormBox["p",
         TraditionalForm], "2"], ")"}], 
      RowBox[{
       FractionBox["d", "2"], "-", "3"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["p",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476861603022747`*^9, 3.6476981389710693`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"doint1", "[", 
  RowBox[{"%", ",", "p", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.647686161146023*^9, 3.647686165988284*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"(", 
          RowBox[{"3", "-", 
           FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"2", "-", "d"}]], " ", 
      TemplateBox[{RowBox[{"2", "-", 
          FractionBox["d", "2"]}]},
       "Gamma"], " ", 
      SuperscriptBox[
       TemplateBox[{RowBox[{
           FractionBox["d", "2"], "-", "1"}]},
        "Gamma"], "2"], " ", 
      TemplateBox[{RowBox[{"d", "-", "3"}]},
       "Gamma"], " ", 
      SuperscriptBox[
       FormBox[
        RowBox[{
         FormBox["r",
          TraditionalForm], "\[CenterDot]", 
         FormBox["v1",
          TraditionalForm]}],
        TraditionalForm], "2"], " ", 
      SuperscriptBox["r", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"3", "-", 
           FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
     RowBox[{"cd", " ", 
      TemplateBox[{RowBox[{"3", "-", 
          FractionBox["d", "2"]}]},
       "Gamma"], " ", 
      TemplateBox[{RowBox[{"d", "-", "2"}]},
       "Gamma"]}]]}], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "9"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "10"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v1",
       TraditionalForm]}], " ", 
     RowBox[{
      FormBox["r",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "4"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", "d", 
     " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "+", "8"}]], " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"2", "-", "d"}]], " ", 
     TemplateBox[{RowBox[{"2", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     SuperscriptBox[
      TemplateBox[{RowBox[{
          FractionBox["d", "2"], "-", "1"}]},
       "Gamma"], "2"], " ", 
     TemplateBox[{RowBox[{"d", "-", "3"}]},
      "Gamma"], " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}], " ", 
     SuperscriptBox["r", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}], ")"}]}], "-", "d", "-", "2"}]]}], 
    RowBox[{"cd", " ", 
     TemplateBox[{RowBox[{"3", "-", 
         FractionBox["d", "2"]}]},
      "Gamma"], " ", 
     TemplateBox[{RowBox[{"d", "-", "2"}]},
      "Gamma"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.647686166744128*^9, 3.647698139113926*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"limdto3", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.6476861675390987`*^9, 3.647686170002369*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"4", " ", 
      SuperscriptBox["G", "2"], " ", 
      SuperscriptBox["m1", "2"], " ", "m2", " ", 
      RowBox[{
       FormBox["r",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v1",
        TraditionalForm]}], " ", 
      RowBox[{
       FormBox["r",
        TraditionalForm], "\[CenterDot]", 
       FormBox["v2",
        TraditionalForm]}]}], 
     SuperscriptBox["r", "4"]]}], "-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox[
       RowBox[{
        FormBox["r",
         TraditionalForm], "\[CenterDot]", 
        FormBox["v1",
         TraditionalForm]}],
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     RowBox[{
      FormBox["v1",
       TraditionalForm], "\[CenterDot]", 
      FormBox["v2",
       TraditionalForm]}]}], 
    SuperscriptBox["r", "2"]], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["G", "2"], " ", 
     SuperscriptBox["m1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      FormBox["v1",
       TraditionalForm], "2"]}], 
    SuperscriptBox["r", "2"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6476861729772453`*^9, 3.647698141399025*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1280, 752},
WindowMargins->{{-2, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"PaperOrientation"->"Landscape",
"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {72, 72}}},
Magnification->1.25,
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 257, 3, 57, "Subtitle"],
Cell[827, 27, 259, 5, 33, "Input"],
Cell[1089, 34, 170, 3, 33, "Input"],
Cell[1262, 39, 436, 10, 53, "Input"],
Cell[CellGroupData[{
Cell[1723, 53, 790, 11, 42, "Subsection"],
Cell[CellGroupData[{
Cell[2538, 68, 107, 2, 33, "Input"],
Cell[2648, 72, 693, 14, 26, "Message"],
Cell[3344, 88, 836, 15, 47, "Message"]
}, Open  ]],
Cell[4195, 106, 2462, 54, 72, "Input"],
Cell[6660, 162, 223, 5, 33, "Input"],
Cell[6886, 169, 414, 10, 53, "Input"],
Cell[7303, 181, 1174, 30, 53, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8514, 216, 740, 10, 42, "Subsection"],
Cell[9257, 228, 3149, 91, 562, "Input"],
Cell[12409, 321, 14008, 198, 197, "Input"],
Cell[26420, 521, 1334, 37, 343, "Input"],
Cell[27757, 560, 4861, 112, 921, "Input"],
Cell[32621, 674, 15052, 380, 2735, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[47710, 1059, 782, 10, 31, "Subsection"],
Cell[48495, 1071, 358, 8, 121, "Input"],
Cell[48856, 1081, 1980, 52, 343, "Input"],
Cell[50839, 1135, 4171, 87, 343, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[55047, 1227, 708, 9, 31, "Subsection"],
Cell[55758, 1238, 13911, 265, 921, "Input"],
Cell[69672, 1505, 6282, 135, 921, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[75991, 1645, 444, 7, 29, "Subsection"],
Cell[76438, 1654, 1728, 48, 535, "Input"],
Cell[CellGroupData[{
Cell[78191, 1706, 541, 7, 171, "Subsubsection"],
Cell[78735, 1715, 1349, 32, 188, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80121, 1752, 595, 8, 171, "Subsubsection"],
Cell[80719, 1762, 2171, 49, 188, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82927, 1816, 607, 8, 171, "Subsubsection"],
Cell[83537, 1826, 2803, 68, 307, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86377, 1899, 903, 12, 171, "Subsubsection"],
Cell[87283, 1913, 3770, 69, 307, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91090, 1987, 1038, 13, 171, "Subsubsection"],
Cell[92131, 2002, 2697, 50, 188, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94865, 2057, 1200, 17, 171, "Subsubsection"],
Cell[96068, 2076, 5000, 108, 535, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[101105, 2189, 1272, 17, 171, "Subsubsection"],
Cell[102380, 2208, 1097, 32, 425, "Input"],
Cell[103480, 2242, 642, 19, 188, "Input"],
Cell[104125, 2263, 6133, 151, 988, "Input"],
Cell[110261, 2416, 7193, 177, 1220, "Input"],
Cell[117457, 2595, 4586, 107, 647, "Input"],
Cell[122046, 2704, 33355, 795, 6200, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[155450, 3505, 875, 11, 31, "Subsection"],
Cell[CellGroupData[{
Cell[156350, 3520, 127, 2, 78, "Input"],
Cell[156480, 3524, 993, 18, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157510, 3547, 1586, 37, 127, "Input"],
Cell[159099, 3586, 1563, 26, 108, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[160711, 3618, 831, 11, 31, "Subsection"],
Cell[CellGroupData[{
Cell[161567, 3633, 131, 2, 78, "Input"],
Cell[161701, 3637, 610, 12, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[162348, 3654, 3121, 72, 266, "Input"],
Cell[165472, 3728, 2665, 55, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[168174, 3788, 178, 3, 78, "Input"],
Cell[168355, 3793, 1290, 24, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[169682, 3822, 2360, 53, 266, "Input"],
Cell[172045, 3877, 1854, 31, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[173936, 3913, 2880, 63, 266, "Input"],
Cell[176819, 3978, 1719, 29, 108, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[178587, 4013, 1004, 14, 31, "Subsection"],
Cell[CellGroupData[{
Cell[179616, 4031, 157, 3, 51, "Input"],
Cell[179776, 4036, 898, 16, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[180711, 4057, 3453, 83, 231, "Input"],
Cell[184167, 4142, 6147, 181, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[190351, 4328, 201, 3, 51, "Input"],
Cell[190555, 4333, 1165, 22, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[191757, 4360, 3850, 89, 251, "Input"],
Cell[195610, 4451, 3057, 79, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[198704, 4535, 3903, 94, 288, "Input"],
Cell[202610, 4631, 2584, 64, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205231, 4700, 260, 5, 63, "Input"],
Cell[205494, 4707, 897, 16, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[206428, 4728, 2691, 61, 251, "Input"],
Cell[209122, 4791, 1552, 35, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[210711, 4831, 337, 7, 63, "Input"],
Cell[211051, 4840, 981, 17, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[212069, 4862, 3103, 69, 213, "Input"],
Cell[215175, 4933, 1403, 28, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[216615, 4966, 328, 7, 63, "Input"],
Cell[216946, 4975, 1050, 18, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[218033, 4998, 4105, 97, 288, "Input"],
Cell[222141, 5097, 2439, 65, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[224617, 5167, 328, 7, 63, "Input"],
Cell[224948, 5176, 1065, 18, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226050, 5199, 3841, 91, 288, "Input"],
Cell[229894, 5292, 1786, 43, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[231717, 5340, 280, 6, 63, "Input"],
Cell[232000, 5348, 1049, 18, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[233086, 5371, 3642, 83, 325, "Input"],
Cell[236731, 5456, 1767, 41, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[238535, 5502, 425, 8, 63, "Input"],
Cell[238963, 5512, 1095, 20, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[240095, 5537, 4038, 95, 288, "Input"],
Cell[244136, 5634, 2837, 70, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[247010, 5709, 378, 8, 63, "Input"],
Cell[247391, 5719, 1084, 19, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[248512, 5743, 3635, 82, 362, "Input"],
Cell[252150, 5827, 1269, 25, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[253456, 5857, 232, 6, 63, "Input"],
Cell[253691, 5865, 1033, 18, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[254761, 5888, 3712, 85, 325, "Input"],
Cell[258476, 5975, 1914, 42, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[260427, 6022, 282, 6, 63, "Input"],
Cell[260712, 6030, 1050, 20, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261799, 6055, 3786, 85, 325, "Input"],
Cell[265588, 6142, 1351, 26, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[266976, 6173, 235, 6, 63, "Input"],
Cell[267214, 6181, 1026, 18, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[268277, 6204, 2443, 63, 251, "Input"],
Cell[270723, 6269, 1209, 23, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[271969, 6297, 282, 6, 63, "Input"],
Cell[272254, 6305, 1033, 18, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[273324, 6328, 2423, 63, 251, "Input"],
Cell[275750, 6393, 1140, 22, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[276927, 6420, 402, 8, 63, "Input"],
Cell[277332, 6430, 1183, 20, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[278552, 6455, 4193, 99, 325, "Input"],
Cell[282748, 6556, 1022, 20, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[283807, 6581, 329, 7, 63, "Input"],
Cell[284139, 6590, 1226, 21, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[285402, 6616, 4343, 101, 325, "Input"],
Cell[289748, 6719, 1151, 17, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[290936, 6741, 327, 7, 63, "Input"],
Cell[291266, 6750, 1202, 20, 108, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[292505, 6775, 4336, 98, 288, "Input"],
Cell[296844, 6875, 372, 10, 108, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[297265, 6891, 784, 11, 31, "Subsection"],
Cell[CellGroupData[{
Cell[298074, 6906, 1760, 55, 112, "Input"],
Cell[299837, 6963, 488, 7, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[300362, 6975, 501, 12, 51, "Input"],
Cell[300866, 6989, 475, 7, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[301378, 7001, 262, 6, 51, "Input"],
Cell[301643, 7009, 597, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[302277, 7023, 461, 9, 51, "Input"],
Cell[302741, 7034, 723, 11, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[303501, 7050, 260, 6, 51, "Input"],
Cell[303764, 7058, 578, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304379, 7072, 260, 6, 51, "Input"],
Cell[304642, 7080, 578, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305257, 7094, 260, 6, 51, "Input"],
Cell[305520, 7102, 626, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306183, 7116, 311, 7, 51, "Input"],
Cell[306497, 7125, 607, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[307141, 7139, 313, 7, 51, "Input"],
Cell[307457, 7148, 604, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[308098, 7162, 314, 7, 51, "Input"],
Cell[308415, 7171, 602, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[309054, 7185, 314, 7, 51, "Input"],
Cell[309371, 7194, 599, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[310007, 7208, 314, 7, 51, "Input"],
Cell[310324, 7217, 605, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[310966, 7231, 314, 7, 51, "Input"],
Cell[311283, 7240, 598, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[311918, 7254, 314, 7, 51, "Input"],
Cell[312235, 7263, 602, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[312874, 7277, 311, 7, 51, "Input"],
Cell[313188, 7286, 601, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[313826, 7300, 311, 7, 51, "Input"],
Cell[314140, 7309, 600, 9, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[314777, 7323, 359, 7, 51, "Input"],
Cell[315139, 7332, 366, 6, 51, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[315554, 7344, 837, 11, 31, "Subsection"],
Cell[CellGroupData[{
Cell[316416, 7359, 178, 3, 41, "Input"],
Cell[316597, 7364, 992, 18, 161, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[317626, 7387, 560, 13, 41, "Input"],
Cell[318189, 7402, 1067, 32, 91, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[319293, 7439, 177, 5, 41, "Input"],
Cell[319473, 7446, 416, 12, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[319926, 7463, 158, 3, 41, "Input"],
Cell[320087, 7468, 555, 15, 91, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[320679, 7488, 177, 3, 51, "Input"],
Cell[320859, 7493, 297, 7, 87, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[321193, 7505, 1183, 33, 112, "Input"],
Cell[322379, 7540, 1677, 50, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[324093, 7595, 158, 3, 51, "Input"],
Cell[324254, 7600, 2207, 65, 215, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[326498, 7670, 181, 3, 51, "Input"],
Cell[326682, 7675, 866, 24, 91, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[327585, 7704, 1405, 39, 141, "Input"],
Cell[328993, 7745, 3748, 111, 268, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[332778, 7861, 160, 3, 51, "Input"],
Cell[332941, 7866, 5934, 183, 288, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[338912, 8054, 218, 5, 51, "Input"],
Cell[339133, 8061, 1983, 57, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[341153, 8123, 328, 8, 51, "Input"],
Cell[341484, 8133, 337, 8, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[341858, 8146, 493, 15, 51, "Input"],
Cell[342354, 8163, 804, 27, 110, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[343195, 8195, 276, 6, 51, "Input"],
Cell[343474, 8203, 531, 15, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[344042, 8223, 359, 10, 51, "Input"],
Cell[344404, 8235, 559, 16, 96, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[345000, 8256, 156, 3, 51, "Input"],
Cell[345159, 8261, 618, 18, 87, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[345814, 8284, 177, 3, 51, "Input"],
Cell[345994, 8289, 404, 11, 87, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[346435, 8305, 888, 25, 51, "Input"],
Cell[347326, 8332, 1687, 53, 140, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[349050, 8390, 329, 7, 51, "Input"],
Cell[349382, 8399, 1542, 45, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[350961, 8449, 1190, 34, 112, "Input"],
Cell[352154, 8485, 1710, 56, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[353901, 8546, 158, 3, 51, "Input"],
Cell[354062, 8551, 1874, 61, 87, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[355973, 8617, 126, 2, 51, "Input"],
Cell[356102, 8621, 1205, 38, 91, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[357344, 8664, 278, 7, 51, "Input"],
Cell[357625, 8673, 319, 8, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[357981, 8686, 493, 15, 51, "Input"],
Cell[358477, 8703, 1358, 45, 113, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[359872, 8753, 301, 7, 51, "Input"],
Cell[360176, 8762, 1080, 33, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[361293, 8800, 569, 17, 51, "Input"],
Cell[361865, 8819, 979, 31, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[362881, 8855, 160, 3, 51, "Input"],
Cell[363044, 8860, 1590, 51, 87, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[364671, 8916, 177, 3, 51, "Input"],
Cell[364851, 8921, 716, 22, 91, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[365604, 8948, 281, 7, 51, "Input"],
Cell[365888, 8957, 403, 9, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[366328, 8971, 1041, 30, 82, "Input"],
Cell[367372, 9003, 673, 20, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[368082, 9028, 159, 3, 51, "Input"],
Cell[368244, 9033, 627, 20, 121, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[368908, 9058, 159, 3, 51, "Input"],
Cell[369070, 9063, 563, 17, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[369670, 9085, 126, 2, 51, "Input"],
Cell[369799, 9089, 303, 9, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[370139, 9103, 1533, 43, 112, "Input"],
Cell[371675, 9148, 3398, 102, 137, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[375110, 9255, 317, 8, 51, "Input"],
Cell[375430, 9265, 4504, 144, 190, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[379971, 9414, 159, 3, 51, "Input"],
Cell[380133, 9419, 4397, 144, 237, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[384567, 9568, 161, 3, 51, "Input"],
Cell[384731, 9573, 4004, 124, 206, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[388772, 9702, 128, 2, 51, "Input"],
Cell[388903, 9706, 1343, 42, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[390283, 9753, 337, 7, 51, "Input"],
Cell[390623, 9762, 3029, 53, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[393689, 9820, 883, 26, 82, "Input"],
Cell[394575, 9848, 1586, 48, 107, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[396198, 9901, 229, 5, 51, "Input"],
Cell[396430, 9908, 758, 22, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[397225, 9935, 357, 10, 51, "Input"],
Cell[397585, 9947, 806, 25, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[398428, 9977, 159, 3, 51, "Input"],
Cell[398590, 9982, 787, 25, 121, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[399414, 10012, 160, 3, 51, "Input"],
Cell[399577, 10017, 728, 22, 106, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[400342, 10044, 126, 2, 51, "Input"],
Cell[400471, 10048, 468, 14, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[400976, 10067, 235, 6, 51, "Input"],
Cell[401214, 10075, 1026, 18, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[402277, 10098, 1204, 36, 82, "Input"],
Cell[403484, 10136, 2748, 86, 147, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[406269, 10227, 202, 5, 51, "Input"],
Cell[406474, 10234, 845, 26, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[407356, 10265, 309, 8, 51, "Input"],
Cell[407668, 10275, 655, 20, 116, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[408360, 10300, 126, 2, 51, "Input"],
Cell[408489, 10304, 334, 10, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[408860, 10319, 282, 6, 51, "Input"],
Cell[409145, 10327, 1033, 18, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[410215, 10350, 1203, 36, 82, "Input"],
Cell[411421, 10388, 2529, 75, 112, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[413987, 10468, 201, 5, 51, "Input"],
Cell[414191, 10475, 822, 25, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[415050, 10505, 311, 8, 51, "Input"],
Cell[415364, 10515, 654, 20, 116, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[416055, 10540, 130, 2, 51, "Input"],
Cell[416188, 10544, 303, 9, 96, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[416528, 10558, 282, 6, 51, "Input"],
Cell[416813, 10566, 1072, 20, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[417922, 10591, 1294, 36, 82, "Input"],
Cell[419219, 10629, 2803, 95, 115, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[422059, 10729, 445, 13, 51, "Input"],
Cell[422507, 10744, 2494, 89, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[425038, 10838, 300, 8, 51, "Input"],
Cell[425341, 10848, 1303, 41, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[426681, 10894, 129, 2, 51, "Input"],
Cell[426813, 10898, 2185, 69, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[429035, 10972, 161, 3, 51, "Input"],
Cell[429199, 10977, 949, 31, 116, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[430185, 11013, 157, 3, 51, "Input"],
Cell[430345, 11018, 856, 28, 88, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[431238, 11051, 128, 2, 51, "Input"],
Cell[431369, 11055, 365, 11, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[431771, 11071, 336, 7, 51, "Input"],
Cell[432110, 11080, 1055, 19, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[433202, 11104, 1299, 37, 82, "Input"],
Cell[434504, 11143, 2817, 95, 115, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[437358, 11243, 454, 13, 51, "Input"],
Cell[437815, 11258, 2388, 88, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[440240, 11351, 300, 8, 51, "Input"],
Cell[440543, 11361, 3788, 123, 270, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[444368, 11489, 128, 2, 51, "Input"],
Cell[444499, 11493, 4708, 152, 185, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[449244, 11650, 159, 3, 51, "Input"],
Cell[449406, 11655, 1867, 63, 116, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[451310, 11723, 158, 3, 51, "Input"],
Cell[451471, 11728, 1707, 57, 88, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[453215, 11790, 128, 2, 51, "Input"],
Cell[453346, 11794, 390, 12, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[453773, 11811, 280, 6, 51, "Input"],
Cell[454056, 11819, 1049, 18, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[455142, 11842, 1361, 38, 82, "Input"],
Cell[456506, 11882, 4407, 144, 182, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[460950, 12031, 573, 15, 51, "Input"],
Cell[461526, 12048, 3306, 116, 166, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[464869, 12169, 442, 12, 51, "Input"],
Cell[465314, 12183, 7675, 246, 522, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[473026, 12434, 127, 2, 51, "Input"],
Cell[473156, 12438, 12428, 400, 522, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[485621, 12843, 159, 3, 63, "Input"],
Cell[485783, 12848, 6846, 233, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[492666, 13086, 157, 3, 63, "Input"],
Cell[492826, 13091, 20269, 676, 950, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[513132, 13772, 128, 2, 51, "Input"],
Cell[513263, 13776, 853, 29, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[514153, 13810, 232, 6, 51, "Input"],
Cell[514388, 13818, 1033, 18, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[515458, 13841, 1376, 38, 82, "Input"],
Cell[516837, 13881, 4517, 149, 182, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[521391, 14035, 447, 13, 51, "Input"],
Cell[521841, 14050, 3295, 117, 166, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[525173, 14172, 300, 8, 51, "Input"],
Cell[525476, 14182, 5960, 191, 270, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[531473, 14378, 129, 2, 51, "Input"],
Cell[531605, 14382, 5886, 190, 270, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[537528, 14577, 159, 3, 51, "Input"],
Cell[537690, 14582, 4489, 152, 222, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[542216, 14739, 158, 3, 51, "Input"],
Cell[542377, 14744, 10661, 354, 566, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[553075, 15103, 126, 2, 51, "Input"],
Cell[553204, 15107, 725, 24, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[553966, 15136, 328, 7, 51, "Input"],
Cell[554297, 15145, 1065, 18, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[555399, 15168, 1299, 37, 82, "Input"],
Cell[556701, 15207, 3107, 98, 157, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[559845, 15310, 341, 9, 51, "Input"],
Cell[560189, 15321, 2333, 76, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[562559, 15402, 583, 18, 51, "Input"],
Cell[563145, 15422, 1831, 56, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[565013, 15483, 290, 8, 51, "Input"],
Cell[565306, 15493, 2526, 81, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[567869, 15579, 198, 5, 51, "Input"],
Cell[568070, 15586, 3300, 112, 222, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[571407, 15703, 158, 3, 51, "Input"],
Cell[571568, 15708, 16958, 563, 891, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[588563, 16276, 126, 2, 51, "Input"],
Cell[588692, 16280, 827, 28, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[589556, 16313, 425, 8, 51, "Input"],
Cell[589984, 16323, 1095, 20, 201, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[591116, 16348, 1295, 37, 82, "Input"],
Cell[592414, 16387, 3186, 102, 157, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[595637, 16494, 341, 9, 51, "Input"],
Cell[595981, 16505, 2321, 75, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[598339, 16585, 602, 19, 51, "Input"],
Cell[598944, 16606, 1826, 56, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[600807, 16667, 257, 7, 51, "Input"],
Cell[601067, 16676, 2360, 77, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[603464, 16758, 201, 5, 51, "Input"],
Cell[603668, 16765, 2130, 73, 116, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[605835, 16843, 158, 3, 51, "Input"],
Cell[605996, 16848, 15337, 508, 765, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[621370, 17361, 128, 2, 51, "Input"],
Cell[621501, 17365, 1463, 50, 95, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
